(define _ir10_1
  '((cat clause)
    (proc ((type ascriptive)
           (mode attributive)))        ;; default
    (partic ((carrier ((lex "car")
                       (cat common)
                       (distance near)))
             (attribute === "expensive")))))

(define _ir10_2
  '((cat clause)
    (proc ((type composite)
           (relation-type possessive)
           (mode attributive)          ;; default
           (agentive yes)              ;; default
           (effective yes)             ;; default
           (effect-type dispositive)   ;; default
           (dative-prep "to")
           (lex "give")))
    (dative-move no)
    (partic ((agent ((cat proper) (lex "John")))
             (affected ((cat proper) (lex "Mary")))
             (possessor {^ affected})
             (possessed ((lex "book") 
                         (cat common)
                         (definite no)
                         (describer === "blue")))))))

(define _ir10_3
  '((cat clause)
    (proc ((type composite) 
           (relation-type possessive)
           (voice passive)
           (lex "give")
           (dative-prep "to")))
    (dative-move no)
    (partic ((agent ((cat proper) (lex "John")))
             (affected ((cat proper) (lex "Mary")))
             (possessed ((cat common) 
                         (lex "book") 
                         (definite no) 
                         (classifier === "science")))))))

(define _ir10_4
  '((cat clause)
    (proc ((type mental) (lex "like")))
    (partic ((processor ((cat proper) (lex "John")))
             (phenomenon ((cat proper) (lex "Mary")))))))

(define _ir10_5
  '((cat clause)
    (proc ((type ascriptive) (mode equative)))
    (partic ((identified ((lex "John") (cat proper)))
             (identifier ((lex "teacher") (cat common)))))))

(define _ir10_6
  '((cat clause)
    (proc ((type ascriptive) 
           (voice passive) 
           (mode equative)))
    (partic ((identified ((lex "John") (cat proper)))
             (identifier ((lex "president") (cat common)))))))


;; Really difficult: throw is classified as "locative" by Fawcett.
;; However, throw allows for dative move, which we prefer to leave
;; as a characteristic unique to possessive processes.
;; We could say that throw is a combination of material/locative AND
;; possessive, that would require us to change the grammar to support
;; composite processes of 3 processes.  That would be a Good thing to do in
;; any case, to account for sentences like [4 participants]:
;; I paid the hotel $2 for the room.
(define _ir10_7
  '((cat clause)
    (proc ((type composite)
           (relation-type possessive)
           (dative-prep "to")
           (lex "throw")
           (voice passive)))
    (partic ((agent ((lex "John") (cat proper)))
             (possessed ((lex "ball")
                         (cat common)
                         (definite no)
                         (describer === "heavy")))
             (possessor ((lex "Mary") (cat proper)))))))

(define _ir10_8
  '((cat clause)
    (proc ((type ascriptive) (mode attributive)))
    (partic ((carrier ((lex "book")
                       (cat common)
                       (possessor ((lex "John") (cat proper)))))
             (attribute === "beautiful")))))

(define _ir10_9
  '((cat clause)
    (proc ((type material) 
           (lex "move")
           (agentive no)))
    (partic ((affected ((cat common) 
                        (lex "SIG-display marker")))))))

(define _ir10_10
  '((cat clause)
    (proc ((type composite)
           (relation-type locative)
           (agentive no)
           (lex "move")))
    (partic ((affected ((cat common)
                        (lex "sig-display marker")))
             (located {^ affected})
             (location ((cat pp)
                        (prep ((lex "to")))
                        (np ((cat common) (lex "right")))))))))

(define _ir10_11
  '((cat clause)
    (proc ((type composite)
           (relation-type locative)
           (agentive no)
           (lex "move")))
    (partic ((affected ((cat common)
                        (lex "sig-display marker")))
             (located {^ affected})
             (location ((cat pp)
                        (prep === "from")
                        (np ((cat common) (lex "left")))))))))

(define _ir10_12
  '((cat clause)
    (proc ((type composite)
           (relation-type locative)
           (agentive no)
           (lex "move")))
    (partic 
     ((affected ((cat common)
                 (lex "sig-display marker")))
      (located {^ affected})
      (location 
       ((cat list)
        (distinct ~(((cat pp)
                     (prep === "from")
                     (np ((cat common) (lex "left"))))
                    ((cat pp)
                     (prep === "to")
                     (np ((cat common) (lex "right"))))))))))))

(define _ir10_13
  '((cat clause)
    (proc ((type material)  ;; mmmh really ?
           (lex "cause")
           (subject-clause present-participle)
           (object-clause infinitive)))
    (partic 
     ((agent ((cat clause)
              (proc ((type material)
                     (lex "increase")
                     (agentive no)))
              (partic ((affected ((cat common) 
                                  (lex "power level")))))))
      (affected ((cat clause)
                 (proc ((type composite)
                        (relation-type locative)
                        (agentive no)
                        (lex "move")))
                 (partic 
                  ((affected ((cat common)
                              (lex "sig-display marker")))
                   (located {^ affected})
                   (location ((cat pp)
                              (prep === "to")
                              (np ((cat common) 
                                   (lex "right")))))))))))))

(define _ir10_14
  '((cat clause)
    (mood infinitive)
    (proc ((mood infinitive)  ;; embedded ??
           (lex "do")
           (type material)))
    (partic ((agent ((cat personal-pronoun)
                     (gender feminine)))
             (affected ((cat personal-pronoun)
                        (gender neuter)))))))

(define _ir10_15
  '((cat clause)
    (proc ((type ascriptive)
           (mode attributive)))
    (partic ((carrier ((cat clause)
                       (proc ((lex "do")
                              (type material)))
                       (partic ((agent ((cat personal-pronoun)
                                        (gender feminine)))
                                (affected ((cat personal-pronoun)
                                           (gender neuter)))))))
             (attribute ((cat common)
                         (definite no)
                         (lex "statement")
                         (describer === "bold")))))))

(define _ir10_16
  '((cat common)
    (head === "man")
    (animate yes)
    (qualifier ((cat clause)
                (restrictive no)
                (scope ((role phenomenon))) 
                (proc ((type mental)
                       (lex "know")))
                (participants ((processor ((cat personal-pronoun)
                                           (person first)))))))))

(define _ir10_17
  '((cat common)
    (head === "man")
    (animate yes)
    (qualifier ((cat clause)
                (restrictive yes)    ;; ***** here is the difference
                (scope ((role phenomenon))) 
                (proc ((type mental)
                       (lex "know")))
                (participants
                 ((processor ((cat personal-pronoun)
                              (person first)))))))))

(define _ir10_18
  '((cat common)
    (head === "man")
    (qualifier ((cat clause)
                (restrictive yes)
                (scope ((role processor)))
                (proc ((type mental)
                       (lex "know")
                       (transitive yes)))
                (partic ((phenomenon ((cat personal-pronoun)
                                      (person first)))))))))

(define _ir10_19
  '((cat common)
    (head === "position")
    (qualifier ((cat clause)
                (restrictive yes)
                (scope ((role location)))
                (proc ((type composite)
                       (lex "move")
                       (agentive no)))
                (partic ((affected ((cat common) (head === "marker")))
                         (location ((cat pp) 
                                    (prep === to)
                                    (head === "right")))))))))

(define _ir10_20
  '((cat common)
    (head === "position")
    (definite yes)
    (qualifier ((cat pp)
                (restrictive yes)
                (np ((cat common)
                     (head === "marker")))))))

(define _ir10_21
  '((cat np)               
    (complex apposition)     
    (restrictive no)          
    (distinct ~(((cat common) 
                 (head === "wife")
                 (possessor ((cat personal-pronoun)
                             (person first))))
                ((cat proper)
                 (restrictive no)
                 (head === "Carol"))))))

(define _ir10_22
  '((cat np)
    (complex apposition)
    (restrictive yes) ;; **** Here is the difference
    (distinct 
     ~(((cat common) 
        (head === "brother")
        (possessor  ((cat personal-pronoun)
                     (person first))))
       ((cat proper)
        (head === "Steve"))))))

(define _ir10_23
  '((cat common)
    (head === "person")
    (definite no)
    (describer === "intelligent")))


(define _ir10_24
  '((cat np)
    (complex conjunction)
    (distinct
     ~(((complex apposition)
        (restrictive yes) 
        (distinct ~(((cat common) 
                     (head === "brother")
                     (possessor ((cat personal-pronoun)
                                 (person first))))
                    ((cat proper)
                     (head === "Steve")))))
       ((complex apposition)
        (restrictive no)        
        (distinct ~(((cat common) 
                     (head === "wife")
                     (possessor ((cat personal-pronoun)
                                 (person first))))
                    ((cat proper)
                     (head === "Carol")))))))))

(define _ir10_25
  '((cat np)
    (complex conjunction)
    (distinct
     ~(((complex apposition)
        (restrictive no)        
        (distinct ~(((cat common) 
                     (head === "wife")
                     (possessor ((cat personal-pronoun)
                                 (person first))))
                    ((cat proper)
                     (head === "Carol")))))
       ((complex apposition)
        (restrictive yes) 
        (distinct ~(((cat common) 
                     (head === "brother")
                     (possessor ((cat personal-pronoun)
                                 (person first))))
                    ((cat proper)
                     (head === "Steve")))))
       ((cat proper)
        (lex "John"))))))

(define _ir10_26
  '((cat clause)
    (complex conjunction)
    (common ((mood imperative)))
    (distinct
     ~(((proc ((type material) (lex "take")))
        (partic ((affected ((cat common) (head === "hammer"))))))
       ((proc ((type material) (lex "hit")))
        (partic ((affected ((cat common) (head === "nail"))))))))))		   

(define _ir10_27
  '((cat clause)
    (complex conjunction)
    (common ((mood imperative)))
    (distinct
     ~(((proc ((type material) (lex "take")))
        (time-relater === "first")
        (partic ((affected ((cat common) (head === "hammer"))))))
       ((proc ((type material) (lex "hit")))
        (time-relater === "then")
        (partic ((affected ((cat common) (head === "nail"))))))))))		   

(define _ir10_28
  '((cat clause)
    (complex conjunction)
    (common ((mood imperative)))
    (distinct
     ~(((proc ((type material) (lex "take")))
        (epistemic-modality possible)
        (partic ((affected ((cat common) (head === "hammer"))))))
       ((proc ((type material) (lex "hit")))
        (partic ((affected ((cat common) (head === "nail"))))))))))

(define _ir10_29
  '((cat clause)
    (mood imperative)
    (proc ((type material)
           (lex "clean")))
    (partic ((affected ((cat common) (head === "box")))))
    (circum ((purpose ((proc ((type material) 
                              (lex "install")))
                       (partic ((affected ((cat common) 
                                           (head === "battery")))))))))))

(define _ir10_30
  '((cat clause)
    (epistemic-modality possible)
    (proc ((type composite)
           (relation-type locative)
           (agentive no)
           (lex "move")))
    (partic 
     ((affected ((cat common)
                 (lex "sig-display marker")))
      (located {^ affected})
      (location ((cat pp)
                 (prep === "to")
                 (np ((cat common) 
                      (lex "right")))))))))

(define _ir10_31 _ir10_27)

(define _ir10_32 _ir10_28)

(define _ir10_33
  '((cat clause)
    (mood imperative)
    (proc ((type material)
           (lex "hit")))
    (partic ((affected ((cat common) (head === "nail")))))
    (circum ((instrument ((cat common) (head === "hammer")))))))		   

(define _ir10_34
  '((cat clause)
    (mood imperative)
    (proc ((type material)
           (lex "hit")
           (instrument-prep "using")))
    (partic ((affected ((cat common) (head === nail)))))
    (circum ((instrument ((cat common) (head === "hammer")))))))		   

(define _ir10_35
  '((cat clause)
    (mood imperative)
    (proc ((type material)
           (lex "take")
           (particle "off")
           (instrument-prep "using")))
    (partic ((affected ((cat common) (head === nail)))))
    (circum ((instrument ((cat common)
                          (head === screwdriver)
                          (definite no)))))))		   

(define _ir10_36
  '((cat clause)
    (proc ((type material)
           (voice passive)
           (lex "take")
           (particle "off")
           (instrument-prep "using")))
    (partic ((affected ((cat common) (head === nail)))))
    (circum ((instrument ((cat common)
                          (head === screwdriver)
                          (definite no)))))))		   

(define _ir10_37
  '((cat clause)
    (mood imperative)
    (proc ((type material)
           (lex "take")
           (particle "off")))
    (partic ((affected ((cat common) (head === nail)))))
    (circum ((instrument ((cat common) 
                          (prep "using")
                          (head === screwdriver)
                          (definite no)))))))		   

(define _ir10_38
  '((cat clause)
    (proc ((type locative) (lex "line up")))
    (partic ((location ((cat pp)
                        (prep === "with")
                        (np ((cat common) (head === compartment)))))
             (located ((cat common) (head === battery)))))))		   

(define _ir10_39
  '((cat clause)
    (process ((type material)
              (lex "do")))
    (partic ((agent ((cat personal-pronoun)
                     (animate yes)
                     (gender masculine)
                     (person third)
                     (number singular)))
             (affected ((cat personal-pronoun)
                        (gender neuter)
                        (person third)
                        (number singular)))))
    (circum ((reason ((cat personal-pronoun)
                      (gender masculine)
                      (person second)
                      (number singular)))))))

(define _ir10_40
  '((cat clause)
    (process ((lex "do")
              (type material)))
    (partic ((agent ((cat personal-pronoun)
                     (animate yes)
                     (gender masculine)
                     (person third)
                     (number singular)))
             (affected ((cat personal-pronoun)
                        (gender neuter)
                        (person third)
                        (number singular)))))
    (circum ((reason ((cat clause)
                      (process ((type mental)
                                (lex "like")))
                      (partic ((processor {partic agent})
                               (phenomenon ((cat personal-pronoun)
                                            (person second)
                                            (number singular)))))))))))

(define _ir10_41
  '((cat clause)
    (tense past)
    (process ((type material)
              (lex "score")))
    (partic ((agent ((cat personal-pronoun)
                     (animate yes)
                     (gender masculine)
                     (person third)
                     (number singular)))
             (affected ((cat common)
                        (definite no)
                        (cardinal ((value 39)))
                        (lex "point")))))
    (circum ((behalf ((cat proper)
                      (lex "the Lakers")))))))

(define _ir10_42
  '((cat clause)
    (proc ((type locative) 
           (mode equative)
           (cat verb-group)
           (lex "cover")))
    (partic ((identified ((cat np)
                          (head ((cat noun)
                                 (lex "holding battery cover plate")))))
             (identifier ((cat np)
                          (head ((cat noun)
                                 (lex "holding battery compartment")))))))))

(define _ir10_43
  '((cat clause)
    (proc ((type locative) (mode attributive)))
    (partic
     ((carrier ((cat np)
                (lex "holding battery compartment")))
      (attribute ((cat pp)
                  (complex apposition)
                  (restrictive yes)
                  (distinct 
                   ~(((prep ((cat prep) (lex "in")))
                      (np 
                       ((cat np)
                        (head ((cat noun) (lex "back")))
                        (qualifier ((cat pp)  
                                    (np ((cat np)
                                         (head ((cat noun)
                                                (lex "RT"))))))))))
                     ((prep ((cat prep) (lex "at")))
                      (np ((cat np)
                           (describer ((cat list) 
                                       (elements ~(((cat ap) (lex "bottom"))
                                                   ((cat ap) (lex "left"))))))
                           (head ((cat noun) (lex "corner"))))))))))))))

(define _ir10_44
  '((cat clause)
    (proc ((type locative)
           (mode equative)
           (cat verb-group) 
           (lex "contain")))
    (partic
     ((identified ((cat common)
                   (head ((cat noun) 
                          (lex "holding battery compartment")))))
      (identifier
       ((cat common)
        (head ((cat noun) (lex "old holding battery")))
        (qualifier 
         ((cat ap)  
          (head === "shown")
          (qualifier ((cat pp)
                      (prep ((cat prep) (lex "in")))
                      (np ((cat np)
                           (head ((cat noun)
                                  (lex "cut away view")))))))))))))))

(define _ir10_45
  '((cat np)
    (complex conjunction)
    (distinct ~( ((cat common)
                  (head === "box"))
                 ((cat ap)
                  (head === "blue")) ))))


(define _ir10_46
  '((cat np)
    (complex apposition)
    (restrictive no) 
    (distinct 
     ~(((cat common) 
        (head ((cat noun)
               (complex conjunction)
               (distinct ~( ((lex "brother"))
                            ((lex "friend")) ))))
        (possessor ((cat personal-pronoun)
                    (person first))))
       ((cat proper)
        (head === "Steve"))))))


(define _ir10_47
  '((cat clause)
    (proc ((type ascriptive)
           (mode attributive)))
    (tense past)
    (partic ((carrier ((head === "year")
                       (ordinal ((value 1)))
                       (cardinal ((value 2)))
                       (possessor ((cat personal-pronoun)
                                   (number singular)
                                   (person first)))))
             (attribute ((cat ap)
                         (complex conjunction)
                         (distinct ~( ((head === "happy"))
                                      ((head === "uneventful"))))))))))


(define _ir10_48
  '((cat clause)
    (proc ((type possessive) (mode attributive)))
    (tense past)
    (partic ((possessor ((cat proper) (head === "Old McDonald")))
             (possessed ((cat common) (head === farm) (definite no)))))))

(define _ir10_49
  '((cat clause)
    (proc ((type possessive) (mode equative)))
    (tense past)
    (partic ((possessor ((cat proper) (head === "Old McDonald")))
             (possessed ((cat common) (head === farm) (definite no)))))))

(define _ir10_50
  '((cat clause)
    (proc ((type possessive) (mode equative) (voice passive)))
    (tense past)
    (partic ((possessor ((cat proper) (head === "Old McDonald")))
             (possessed ((cat common) (head === farm) (definite no)))))))


(define _ir10_51
  '((cat clause)
    (deontic-modality duty)
    (process ((lex "do")
              (type material)))
    (partic ((agent ((cat personal-pronoun)
                     (animate yes)
                     (person second)
                     (number singular)))
             (affected ((cat personal-pronoun)
                        (gender neuter)
                        (person third)
                        (number singular)))))
    (circum ((purpose ((cat clause)
                       (process ((type ascriptive)
                                 (relation-type attributive)))
                       (partic ((carrier {partic agent})
                                (attribute === innocent)))))
             (behalf ((cat clause)
                      (process ((type material)
                                (lex "eat")))
                      (partic ((agent ((cat personal-pronoun)
                                       (animate yes)
                                       (person third)
                                       (gender masculine)
                                       (number singular)))))))))))

(define _ir10_52
  '((cat clause)
    (mood yes-no)
    (proc ((type ascriptive)))
    (partic ((carrier ((lex "car")
                       (cat common)
                       (distance near)))
             (attribute === "expensive")))))

(define _ir10_53
  '((cat clause)
    (mood yes-no)
    (tense future)
    (proc ((type composite)
           (relation-type possessive)
           (dative-prep "to")
           (lex "give")))
    (partic ((agent ((cat proper) (lex "John")))
             (affected ((cat proper) (lex "Mary")))
             (possessor {^ affected})
             (possessed ((lex "book") 
                         (cat common)
                         (definite no)
                         (describer === "blue")))))))

(define _ir10_54
  '((cat clause)
    (insistence yes)
    (proc ((type composite)
           (relation-type possessive)
           (dative-prep "to")
           (lex "give")))
    (tense past)
    (partic ((agent ((cat proper) (lex "John")))
             (affected ((cat proper) (lex "Mary")))
             (possessor {^ affected})
             (possessed ((lex "book") 
                         (cat common)
                         (definite no)
                         (describer === "blue")))))))


;; ----------------------------------------------------------------------
;; WH
;; ----------------------------------------------------------------------

(define _ir10_55
  '((cat clause)
    (mood wh)
    (scope ((role carrier)))
    (proc ((type ascriptive)))
    (partic ((carrier ((lex "car")
                       (cat common)
                       (distance near)))
             (attribute === "expensive")))))

(define _ir10_56
  '((cat clause)	
    (mood wh)
    (proc ((type ascriptive)))
    (scope ((role carrier) (animate no)))
    (partic ((attribute ((cat common) (definite no) (lex "classic")))))))

;; JR Note: The scope can't simply be "attribute", since then it would be
;; impossible to choose the question pronoun (e.g. in ir10_55 it would be "How"
;; or "How expensive", in ir10_56 it would be "What" or "What kind of")
;; Also note the ambiguity of ir10_56.
(define _ir10_57
  '((cat clause)
    (mood wh)
    (scope ((role identified) (animate yes)))
    (proc ((type ascriptive) (mode equative)))
    (partic ((identifier ((cat common)
                          (possessor ((cat personal-pronoun)
                                      (person second)))
                          (head === "father")))))))		       

(define _ir10_58
  '((cat clause)
    (mood wh)
    (scope ((role identifier) (animate yes)))
    (proc ((type ascriptive) (mode equative)))
    (partic ((identified ((cat common)
                          (possessor ((cat personal-pronoun)
                                      (person second)))
                          (head === "father")))))))

(define _ir10_59
  '((cat clause)
    (mood wh)
    (scope ((role location) (animate no)))
    (proc ((type locative))) 
    (partic ((located ((cat common)
                       (possessor ((cat personal-pronoun)
                                   (person second)))
                       (head === "mother")))))))

(define _ir10_60
  '((cat clause)
    (mood wh)
    (scope ((role located) (animate yes)))
    (proc ((type locative)))
    (partic ((location ((cat pp)
                        (prep === "in")
                        (np ((cat common)
                             (possessor ((cat personal-pronoun)
                                         (person second)))
                             (head === "house")))))))))

(define _ir10_61
  '((cat clause)
    (mood wh)
    (scope ((role located) (animate no)))
    (proc ((type locative) (mode equative) (lex "cover")))
    (partic ((location ((cat common) (head === "opening")))))))

(define _ir10_62
  '((cat clause)
    (mood wh)
    (scope ((role location) (animate no)))
    (proc ((type locative) (mode equative) (lex "cover")))
    (partic ((located ((cat common) (head === "seal")))))))

(define _ir10_63
  '((cat clause)
    (mood wh)
    (scope ((role time)))
    (proc ((type temporal)))
    (partic ((located ((cat common) (head === "game")))))))


(define _ir10_64
  '((cat clause)
    (mood wh)
    (scope ((role located)))
    (proc ((type temporal) (lex "happen")))
    (partic ((time ((cat adv) (lex "then")))))))

;; without specifying a time unit in the question (e.g. "What day is the
;; 10th?" "How long does the fair last?")

(define _ir10_65
  '((cat clause)
    (mood wh)
    (scope ((role attribute)))
    (proc ((type ascriptive)))
    (partic ((carrier ((cat common)      
                       (possessor ((cat personal-pronoun)
                                   (person second)))
                       (head === "sister")))))))

(define _ir10_66
  '((cat clause)
    (mood wh)
    (proc ((type accompaniment)))
    (scope ((role location) (animate yes)))
    (partic ((located ((cat common)
                       (possessor ((cat personal-pronoun)
                                   (person second)))
                       (head === "sister")))))))

(define _ir10_67
  '((cat clause)
    (mood wh)
    (scope ((role possessor) (animate yes)))
    (proc ((type possessive)))
    (partic ((possessed ((cat common) (definite no) (head === "PhD.")))))))

(define _ir10_68
  '((cat clause)
    (mood wh)
    (proc ((type possessive)))
    (scope ((role possessed) (animate no)))
    (partic ((possessor ((cat personal-pronoun)
                         (gender feminine)
                         (number singular)
                         (person third)))))))

(define _ir10_69
  '((cat clause)
    (mood wh)
    (proc ((type possessive) (mode equative)))
    (scope ((role possessor) (animate yes)))
    (partic ((possessed ((cat common) 
                         (distance near) 
                         (head === "book")))))))

(define _ir10_70
  '((cat clause)
    (mood wh)
    (proc ((type possessive) (mode equative)))
    (scope ((role possessed) (animate no)))
    (partic ((possessor ((cat personal-pronoun)
                         (gender feminine)
                         (person third)
                         (number singular)))))))

(define _ir10_71
  '((cat clause)
    (mood wh)
    (scope ((role agent)
            (animate yes)))
    (proc ((type composite) 
           (relation-type possessive)
           (dative-prep "to") 
           (lex "give")))
    (partic ((possessed ((lex "book") 
                         (cat common)
                         (definite no)
                         (describer === "blue")))
             (affected ((lex "Mary") (cat proper)))
             (possessor {^ affected})))))

(define _ir10_72
  '((cat clause)
    (mood wh)
    (tense future)
    (scope ((role possessed) (animate no)))
    (proc ((type composite)
           (relation-type possessive)
           (dative-prep "to")
           (lex "give")))
    (partic ((agent ((lex "John") (cat proper)))
             (affected ((lex "Mary") (cat proper)))
             (possessor {^ affected})))))

(define _ir10_73
  '((cat clause)
    (mood wh)
    (tense future)
    (scope ((role possessor) (animate yes)))
    (proc ((type composite)
           (relation-type possessive)
           (dative-prep "to")
           (lex "give")))
    (partic ((agent ((lex "John") (cat proper)))
             (possessed ((lex "book")
                         (cat common)
                         (definite no)
                         (describer === "blue")))))))

(define _ir10_74
  '((cat clause)
    (mood wh)
    (scope ((role phenomenon) (animate no)))
    (proc ((type mental) (lex "prefer")))
    (partic ((processor ((cat proper) (lex "Deborah")))))))

(define _ir10_75
  '((cat clause)
    (mood wh)
    (scope ((role processor) (animate yes)))
    (proc ((type mental) (lex "worship")))
    (partic ((phenomenon ((cat proper) (lex "Baal")))))))

;; "They want MONEY" ?

(define _ir10_76
  '((cat clause)
    (mood wh)
    (scope ((role reason)))
    (proc ((type material)
           (lex "do")))
    (partic ((agent ((cat personal-pronoun)
                     (animate yes)
                     (gender masculine)
                     (person third)
                     (number singular)))
             (affected ((cat personal-pronoun)
                        (gender neuter)
                        (person third)
                        (number singular)))))))

(define _ir10_77
  '((cat clause)
    (mood wh)
    (scope ((role from-loc)))
    (proc ((type composite)
           (relation-type locative)
           (agentive no)
           (lex "move")))
    (partic ((affected ((cat common) (lex "sig-display marker")))
             (located {^ affected})
             (location ((cat pp) (prep === to) (np ((lex "right")))))))))



;; ======================================================================
;; test RELATIVE CLAUSES
;; ======================================================================

(define _ir10_78
  '((cat common)
    (head === box)
    (qualifier ((cat clause)
                (scope ((role carrier)))
                (proc ((type ascriptive)))
                (partic ((attribute === "expensive")))))))

(define _ir10_79
  '((cat common)
    (head === box)
    (qualifier ((cat clause)	
                (proc ((type ascriptive)))
                (scope ((role carrier) (animate no)))
                (partic ((attribute ((cat common) 
                                     (definite no) 
                                     (lex "classic")))))))))

(define _ir10_80
  '((cat common)
    (head === man)
    (animate yes)
    (qualifier ((cat clause)
                (scope ((role identified)))
                (proc ((type ascriptive) (mode equative)))
                (partic ((identifier ((cat common)
                                      (possessor ((cat personal-pronoun)
                                                  (person second)))
                                      (head === "father")))))))))

(define _ir10_81
  '((cat common)
    (head === man)
    (animate yes)
    (qualifier ((cat clause)
                (scope ((role identifier)))
                (proc ((type ascriptive) (mode equative)))
                (partic ((identified ((cat common)
                                      (possessor ((cat personal-pronoun)
                                                  (person second)))
                                      (head === "father")))))))))


(define _ir10_82
  '((cat common)
    (head === house)
    (qualifier ((cat clause)
                (scope ((role location)))
                (proc ((type locative))) 
                (partic ((located ((cat common)
                                   (possessor ((cat personal-pronoun)
                                               (person second)))
                                   (head === "mother")))))))))


(define _ir10_83
  '((cat common)
    (head === man)
    (animate yes)
    (qualifier ((cat clause)
                (scope ((role located)))
                (proc ((type locative)))
                (partic ((location ((cat pp)
                                    (prep === "in")
                                    (np ((cat common)
                                         (possessor ((cat personal-pronoun)
                                                     (person second)))
                                         (head === "house")))))))))))


(define _ir10_84
  '((cat common)
    (head === plate)
    (qualifier ((cat clause)
                (scope ((role located)))
                (proc ((type locative) (mode equative) (lex "cover")))
                (partic ((location ((cat common) 
                                    (head === "opening")))))))))


(define _ir10_85
  '((cat common)
    (head === hole)
    (qualifier ((cat clause)
                (scope ((role location) (animate no)))
                (proc ((type locative) (mode equative) (lex "cover")))
                (partic ((located ((cat common) 
                                   (head === "seal")))))))))

(define _ir10_86
  '((cat common)
    (head === time)
    (qualifier ((cat clause)
                (scope ((role time)))
                (proc ((type temporal)
                       (lex "start")))
                (partic ((located ((cat common) 
                                   (head === "game")))))))))

(define _ir10_87
  '((cat common)
    (head === thing)
    (qualifier ((cat clause)
                (restrictive yes)
                (scope ((role located)))
                (proc ((type temporal) (lex "happen")))
                (partic ((time ((cat adv) (lex "then")))))))))

;; agentive dispositive possessive attributive: Ag + Af/Pr + Pd
(define _ir10_88
  '((cat clause)
    (tense past)
    (dative-move no)
    (proc ((type composite) (relation-type possessive) (lex "give")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (affected ((cat proper) (number plural) (lex "the Raiders")))
             (possessor {^ affected})
             (possessed ((cat common) (lex "victory")))))))

(define _ir10_89
  '((cat common)
    (head === way)
    (qualifier ((cat clause)
                (scope ((role attribute)))
                (proc ((type ascriptive)))
                (partic ((carrier ((cat common)      
                                   (possessor ((cat personal-pronoun)
                                               (person second)))
                                   (head === "sister")))))))))


(define _ir10_90
  '((cat common)
    (head === person)
    (animate yes)
    (qualifier ((cat clause)
                (proc ((type accompaniment)))
                (scope ((role location) (animate yes)))
                (partic ((located ((cat common)
                                   (possessor ((cat personal-pronoun)
                                               (person second)))
                                   (head === "sister")))))))))


(define _ir10_91
  '((cat common)
    (head === person)
    (animate yes)
    (qualifier ((cat clause)
                (scope ((role possessor) (animate yes)))
                (proc ((type possessive)))
                (partic ((possessed ((cat common) 
                                     (definite no) 
                                     (head === "PhD.")))))))))


(define _ir10_92
  '((cat common)
    (head === box)
    (qualifier ((cat clause)
                (proc ((type possessive)))
                (scope ((role possessed) (animate no)))
                (partic ((possessor ((cat personal-pronoun)
                                     (gender feminine)
                                     (number singular)
                                     (person third)))))))))


(define _ir10_93
  '((cat common)
    (head === person)
    (animate yes)
    (qualifier ((cat clause)
                (proc ((type possessive) (mode equative)))
                (scope ((role possessor) (animate yes)))
                (partic ((possessed ((cat common) 
                                     (distance near) 
                                     (head === "book")))))))))


(define _ir10_94
  '((cat common)
    (head === box)
    (qualifier ((cat clause)
                (proc ((type possessive) (mode equative)))
                (scope ((role possessed)))
                (partic ((possessor ((cat personal-pronoun)
                                     (gender feminine)
                                     (person third)
                                     (number singular)))))))))


(define _ir10_95
  '((cat common)
    (head === person)
    (animate yes)
    (qualifier ((cat clause)
                (scope ((role agent)))
                (proc ((type composite) 
                       (relation-type possessive)
                       (dative-prep "to") 
                       (lex "give")))
                (partic ((possessed ((lex "book") 
                                     (cat common)
                                     (definite no)
                                     (describer === "blue")))
                         (affected ((lex "Mary") (cat proper)))
                         (possessor {^ affected})))))))


(define _ir10_96
  '((cat common)
    (head === box)
    (qualifier ((cat clause)
                (tense future)
                (scope ((role possessed) (animate no)))
                (proc ((type composite)
                       (relation-type possessive)
                       (dative-prep "to")
                       (lex "give")))
                (partic ((agent ((lex "John") (cat proper)))
                         (affected ((lex "Mary") (cat proper)))
                         (possessor {^ affected})))))))


(define _ir10_97
  '((cat common)
    (head === person)
    (animate yes)
    (qualifier ((cat clause)
                (tense future)
                (scope ((role possessor) (animate yes)))
                (proc ((type composite)
                       (relation-type possessive)
                       (dative-prep "to")
                       (lex "give")))
                (partic ((agent ((lex "John") (cat proper)))
                         (possessed ((lex "book")
                                     (cat common)
                                     (definite no)
                                     (describer === "blue")))))))))


(define _ir10_98
  '((cat common)
    (head === box)
    (qualifier ((cat clause)
                (scope ((role phenomenon)))
                (proc ((type mental) (lex "prefer")))
                (partic ((processor ((cat proper) 
                                     (lex "Deborah")))))))))


(define _ir10_99
  '((cat common)
    (head === person)
    (animate yes)
    (qualifier ((cat clause)
                (scope ((role processor)))
                (proc ((type mental) (lex "worship")))
                (partic ((phenomenon ((cat proper) 
                                      (lex "Baal")))))))))


;; ======================================================================
;; test of ALL clause patterns of the new transitvity system:
;; ======================================================================
;; simple process
;; event
;; material
;; agentive non-effective: Ag
(define _ir10_100
  '((cat clause)
    (proc ((type material) 
           (effective no)
           ;;	     (agentive yes)  is default
           (lex "run")))
    (partic ((agent ((cat proper) (lex "Bo")))))))

;; agentive dispositive: Ag + Af
(define _ir10_101
  '((cat clause)
    (proc ((type material) 
           ;;	     (effective yes)           is default
           ;;           (effect-type dispositive) is default
           (lex "drink")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (affected ((cat common) 
                        (number plural)
                        (classifier === "protein") 
                        (head === "shake")))))))

;; agentive creative: Ag + Cr
(define _ir10_102
  '((cat clause)
    (proc ((type material) (effect-type creative) (lex "cook")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (created ((cat common) (lex "diner")))))))

;; agentive with range: Ag + Rg
(define _ir10_103
  '((cat clause)
    (proc ((type material) 
           (effective no)
           (event-as participant)
           (lex "take")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (range ((cat common) (definite no) (lex "walk")))))))

(define _ir10_104
  '((cat clause)
    (proc ((type material) 
           (effective no)
           (event-as process)
           (lex "climb")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (range ((cat common) (lex "mountain")))))))

;; non-agentive dispositive: Af
(define _ir10_105
  '((cat clause)
    (proc ((type material) (agentive no) (lex "open")))
    (partic ((affected ((cat common) (lex "window")))))))

;; non-agentive creative: Cr
(define _ir10_106
  '((cat clause)
    (proc ((type material) 
           (agentive no) 
           (effect-type creative) 
           (lex "pop")))
    (partic ((created ((cat common) (lex "window")))))))

;; mental non-transitive: Pr
(define _ir10_107
  '((cat clause)
    (proc ((type mental) (transitive no) (lex "know")))
    (partic ((processor ((cat proper) (lex "Bo")))))))

;; mental transitive: Pr + Ph
(define _ir10_108
  '((cat clause)
    (proc ((type mental) 
           (lex "know")))
    (partic ((processor ((cat proper) (lex "Bo")))
             (phenomenon ((cat proper) (lex "FUF")))))))

;; verbal: still on the todo list

;; relation
;; ascriptive attributive: Ca + At
(define _ir10_109
  '((cat clause)
    (proc ((type ascriptive)
           (mode attributive)))
    (partic ((carrier ((cat proper) (lex "Bo")))
             (attribute ((cat ap) (lex "strong")))))))


;; ascriptive equative: Id + Ir
(define _ir10_110
  '((cat clause)
    (proc ((type ascriptive) (mode equative)))
    (partic ((identified ((cat proper) (lex "Bo")))
             (identifier ((cat common) (lex "greatest")))))))

;; possessive attributive: Pr + Pd
(define _ir10_111
  '((cat clause)
    (proc ((type possessive)))
    (partic ((possessor ((cat proper) (lex "Bo")))
             (possessed ((cat common)
                         (number plural)
                         (definite no)
                         (lex "sneaker")))))))

;; possesive equative: Id + Ir
(define _ir10_112
  '((cat clause)
    (proc ((type possessive) (mode equative)))
    (partic ((identified ((cat proper) (lex "Bo")))
             (identifier ((cat common)
                          (number plural)
                          (definite no)
                          (lex "sneaker")))))))

;; locative spatial atributive: Ld + Ln
(define _ir10_113
  '((cat clause)
    (proc ((type spatial)))
    (partic ((located ((cat proper) (lex "Bo")))
             (location ((cat adv) (lex "here")))))))

;; locative spatial equative: Id + Ir
(define _ir10_114
  '((cat clause)
    (proc ((type spatial) (mode equative) (lex "occupy")))
    (partic ((located ((cat proper) (lex "Bo")))
             (location ((cat common) 
                        (classifier === "left")
                        (head === "flank")))))))

;; locative temporal attributive: Ld + Tm
(define _ir10_115
  '((cat clause)
    (proc ((type temporal)))
    (partic ((located ((cat common) (lex "race")))
             (time ((cat adv) (lex "now")))))))

;; locative spatial equative: Id + Ir
(define _ir10_116
  '((cat clause)
    (proc ((type temporal) (mode equative) (lex "follow")))
    (partic ((identified ((cat common) (lex "steeplechase")))
             (identifier ((cat common) 
                          (classifier === "high")
                          (head === "jump")))))))

;; locative accompaniment (always equative): Ld/Id + Ac/Ir
(define _ir10_117
  '((cat clause)
    (proc ((type accompaniment)))
    (partic ((located ((cat proper) (lex "Bo")))
             (location ((cat pp) 
                        (prep === with) 
                        (np ((cat proper) (lex "Mo")))))))))

(define _ir10_118
  '((cat clause)
    (proc ((type accompaniment) (mode equative) (lex "accompany")))
    (partic ((identified ((cat proper) (lex "Bo")))
             (identifier ((cat proper) (lex "Mo")))))))

;; locative existential: Ld
(define _ir10_119
  '((cat clause)
    (proc ((type existential)))
    (partic ((located ((cat common) (definite no) (lex "bug")))))))

;; locative natural-phenom: no participant
(define _ir10_120
  '((cat clause) (proc ((type natural-phenom) (lex "rain")))))


;; composite process
;; agentive dispositive ascriptive attributive: Ag + Af/Ca + At
(define _ir10_121
  '((cat clause)
    (tense past)
    (proc ((type composite)
           (relation-type ascriptive)
           ;;	     (agentive yes)         is default
           ;;           (effective yes)        is default
           ;;           (effect-type affected) is default
           ;;           (mode attributive)     is default          
           (lex "make")))
    (partic ((agent ((cat proper) (lex "Nike")))
             (affected ((cat proper) (lex "Bo")))
             (carrier {^ affected})
             (attribute ((cat ap) (lex "rich")))))))

;; agentive dispositive ascriptive equative: Ag + Af/Id + At
(define _ir10_122
  '((cat clause)
    (proc ((type composite)
           (relation-type ascriptive)
           (mode equative)
           (lex "make")))
    (partic ((agent ((cat common) (lex "deal")))
             (affected ((cat proper) (lex "Bo")))
             (identified {^ affected})
             (identifier ((cat common) (lex "richest")))))))

;; agentive dispositive possessive attributive: Ag + Af/Pr + Pd
(define _ir10_123
  '((cat clause)
    (tense past)
    (proc ((type composite) (relation-type possessive) (lex "give")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (affected ((cat proper) (number plural) (lex "the Raiders")))
             (possessor {^ affected})
             (possessed ((cat common) (lex "victory")))))))

;; agentive dispositive locative attributive: Ag + Af/Ld + Ln
(define _ir10_124
  '((cat clause)
    (tense past)
    (proc ((type composite) (relation-type locative) (lex "lift")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (affected ((cat proper) (lex "the Raiders")))
             (located {^ affected})
             (location ((cat pp)
                        (prep ((lex "to")))
                        (np ((cat common) 
                             (definite no)
                             (lex "victory")))))))))

;; agentive creative locative attributive: Ag + Cr/Ld + Ln
(define _ir10_125
  '((cat clause)
    (proc ((type composite) 
           (relation-type locative)
           (effect-type creative)
           (lex "pop")))
    (partic ((agent ((cat personal-pronoun) 
                     (person third)
                     (gender neuter)
                     (number singular)))
             (created ((cat common) (definite no) (lex "window")))
             (located {^ created})
             (location ((cat pp)
                        (prep ((lex "on")))
                        (np ((cat common) (lex "screen")))))))))

;; agentive non-effective ascriptive attributive: Ag/Ca + At
(define _ir10_126
  '((cat clause)
    (tense past)
    (proc ((type composite) 
           (relation-type ascriptive) 
           (effective no)
           (lex "get")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (carrier {^ agent})
             (attribute ((cat ap) (lex "tough")))))))

;; agentive non-effective ascriptive equative: Ag/Id + Ir
(define _ir10_127
  '((cat clause)
    (tense past)
    (proc ((type composite) 
           (relation-type ascriptive) 
           (mode equative)
           (effective no)
           (lex "become")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (identified {^ agent})
             (identifier ((cat common) (lex "best")))))))

;; agentive non-effective possessive attributive: Ag/Pr + Pd
(define _ir10_128
  '((cat clause)
    (tense past)
    (proc ((type composite) 
           (relation-type possessive)
           (effective no)
           (lex "buy")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (possessor {^ agent})
             (possessed ((cat common) 
                         (definite no) 
                         (number plural)
                         (lex "sneaker")))))))

;; agentive non-effective locative attributive: Ag/Ld + Ln
(define _ir10_129
  '((cat clause)
    (tense past)
    (proc ((type composite) 
           (relation-type locative)
           (effective no)
           (lex "run")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (located {^ agent})
             (location ((cat adv) (lex "home")))))))

;; non-agentive dispositive ascriptive attributive: Af/Ca + At
(define _ir10_130
  '((cat clause)
    (tense past)
    (proc ((type composite)
           (agentive no)
           (relation-type ascriptive)
           (lex "grow")))
    (partic ((affected ((cat proper) (lex "Bo")))
             (carrier {^ affected})
             (attribute ((cat ap) (lex "old")))))))

;; non-agentive dispositive possessive attributive: Af/Pr + Pd
(define _ir10_131
  '((cat clause)
    (tense past)
    (proc ((type composite)
           (agentive no)
           (relation-type possessive)
           (lex "receive")))
    (partic ((affected ((cat proper) (lex "Bo")))
             (possessor {^ affected})
             (possessed ((cat common) (lex "ball")))))))

;; non-agentive dispositive locative attributive: Af/Ld + Ln
(define _ir10_132
  '((cat clause)
    (tense past)
    (proc ((type composite)
           (agentive no)
           (relation-type locative)
           (lex "fall")))
    (partic ((affected ((cat proper) (lex "Bo")))
             (located {^ affected})
             (location ((cat adv) (lex "down")))))))

;; non-agentive creative asciptive attributive: Cr/Ca + At
(define _ir10_133
  '((cat clause)
    (tense past)
    (proc ((type composite)
           (agentive no)
           (effect-type creative)
           (relation-type ascriptive)
           (lex "pop")))
    (partic ((created ((cat common) (lex "window")))
             (carrier {^ created})
             (attribute ((cat ap) (lex "wide")))))))

;; non-agentive creative locative attributive: Cr/Ld + Ln
(define _ir10_134
  '((cat clause)
    (tense past)
    (proc ((type composite)
           (agentive no)
           (effect-type creative)
           (relation-type locative)
           (lex "pop")))
    (partic ((created ((cat common) (lex "window")))
             (located {^ created})
             (location ((cat pp)
                        (prep ((lex "on")))
                        (np ((cat common) (lex "screen")))))))))

(define _ir10_135
  '((cat clause)
    (epistemic-modality possible)
    (proc ((type composite)
           (relation-type locative)
           (agentive no)
           (lex "move")))
    (partic ((affected ((cat common)
                        (lex "sig-display marker")))
             (located {^ affected})
             (location ((cat pp)
                        (prep === "to")
                        (np ((cat common) (lex "right")))))))))

(define _ir10_136
  '((cat clause)
    (epistemic-modality inference)
    (proc ((type ascriptive)
           (mode attributive)))
    (partic ((carrier ((cat clause)
                       (proc ((lex "do")
                              (type material)))
                       (partic ((agent ((cat personal-pronoun)
                                        (gender feminine)))
                                (affected ((cat personal-pronoun)
                                           (gender neuter)))))))
             (attribute ((cat common)
                         (definite no)
                         (lex "statement")
                         (describer === "bold")))))))

(define _ir10_137
  '((cat common)
    (head === "man")
    (animate yes)
    (qualifier ((cat clause)
                (epistemic-modality "may")
                (restrictive no)
                (scope ((role phenomenon))) 
                (proc ((type mental)
                       (lex "know")
                       (transitive yes)))
                (participants
                 ((processor ((cat personal-pronoun)
                              (person first)))))))))

(define _ir10_138
  '((cat clause)
    (mood imperative)
    (proc ((type material) (lex "take")))
    (partic ((affected ((cat common) (head === "hammer")))))))		   

(define _ir10_139
  '((cat clause)
    (tense past)
    (proc ((type temporal) (lex "happen")))
    (partic ((located ((cat np) (head === game)))
             (time ((cat adv) (lex "then")))))))
