(define _ir11_1
  '((cat clause)
    (proc ((type ascriptive)
           (mode attributive)))        ;; default
    (partic ((carrier ((lex "car")
                       (cat common)
                       (distance near)))
             (attribute ((lex "expensive")
                         (cat ap)))))))

(define _ir11_2
  '((cat clause)
    (proc ((type composite)
           (relation-type possessive)
           (mode attributive)          ;; default
           (agentive yes)              ;; default
           (effective yes)             ;; default
           (effect-type dispositive)   ;; default
           (dative-prep "to")
           (lex "give")))
    (dative-move no)
    (partic ((agent ((cat proper) (lex "John")))
             (affected ((cat proper) (lex "Mary")))
             (possessor {^ affected})
             (possessed ((lex "book") 
                         (cat common)
                         (definite no)
                         (describer === "blue")))))))

(define _ir11_3
  '((cat clause)
    (proc ((type composite) 
           (relation-type possessive)
           (voice passive)
           (lex "give")
           (dative-prep "to")))
    (dative-move no)
    (partic ((agent ((cat proper) (lex "John")))
             (affected ((cat proper) (lex "Mary")))
             (possessed ((cat common) 
                         (lex "book") 
                         (definite no) 
                         (classifier === "science")))))))

(define _ir11_4
  '((cat clause)
    (proc ((type mental) (lex "like")))
    (partic ((processor ((cat proper) (lex "John")))
             (phenomenon ((cat proper) (lex "Mary")))))))

(define _ir11_5
  '((cat clause)
    (proc ((type ascriptive) (mode equative)))
    (partic ((identified ((lex "John") (cat proper)))
             (identifier ((lex "teacher") (cat common)))))))

(define _ir11_6
  '((cat clause)
    (proc ((type ascriptive) 
           (voice passive) 
           (mode equative)))
    (partic ((identified ((lex "John") (cat proper)))
             (identifier ((lex "president") (cat common)))))))


;; Really difficult: throw is classified as "locative" by Fawcett.
;; However, throw allows for dative move, which we prefer to leave
;; as a characteristic unique to possessive processes.
;; We could say that throw is a combination of material/locative AND
;; possessive, that would require us to change the grammar to support
;; composite processes of 3 processes.  That would be a Good thing to do in
;; any case, to account for sentences like [4 participants]:
;; I paid the hotel $2 for the room.
;; No! This is not a 4 participants sentence, sorry...
(define _ir11_7
  '((cat clause)
    (proc ((type composite)
           (relation-type possessive)
           (dative-prep "to")
           (lex "throw")
           (voice passive)))
    (partic ((agent ((lex "John") (cat proper)))
             (possessed ((lex "ball")
                         (cat common)
                         (definite no)
                         (describer === "heavy")))
             (possessor ((lex "Mary") (cat proper)))))))

(define _ir11_8
  '((cat clause)
    (proc ((type ascriptive) (mode attributive)))
    (partic ((carrier ((lex "book")
                       (cat common)
                       (possessor ((lex "John") (cat proper)))))
             (attribute === "beautiful")))))

(define _ir11_9
  '((cat clause)
    (proc ((type material) 
           (lex "move")
           (agentive no)))
    (partic ((affected ((cat common) 
                        (lex "SIG-display marker")))))))

(define _ir11_10
  '((cat clause)
    (proc ((type composite)
           (relation-type locative)
           (agentive no)
           (lex "move")))
    (partic ((affected ((cat common)
                        (lex "sig-display marker")))
             (located {^ affected})
             (location ((cat pp)
                        (prep ((lex "to")))
                        (np ((cat common) (lex "right")))))))))

(define _ir11_11
  '((cat clause)
    (proc ((type composite)
           (relation-type locative)
           (agentive no)
           (lex "move")))
    (partic ((affected ((cat common)
                        (lex "sig-display marker")))
             (located {^ affected})
             (location ((cat pp)
                        (prep === "from")
                        (np ((cat common) (lex "left")))))))))

(define _ir11_12
  '((cat clause)
    (proc ((type composite)
           (relation-type locative)
           (agentive no)
           (lex "move")))
    (partic 
     ((affected ((cat common)
                 (lex "sig-display marker")))
      (located {^ affected})
      (location 
       ((cat list)
        (distinct ~(((cat pp)
                     (prep === "from")
                     (np ((cat common) (lex "left"))))
                    ((cat pp)
                     (prep === "to")
                     (np ((cat common) (lex "right"))))))))))))

(define _ir11_13
  '((cat clause)
    (proc ((type material)  ;; mmmh really ?
           (lex "cause")
           (subject-clause present-participle)
           (object-clause infinitive)))
    (partic 
     ((agent ((cat clause)
              (proc ((type material)
                     (lex "increase")
                     (agentive no)))
              (partic ((affected ((cat common) 
                                  (lex "power level")))))))
      (affected ((cat clause)
                 (proc ((type composite)
                        (relation-type locative)
                        (agentive no)
                        (lex "move")))
                 (partic 
                  ((affected ((cat common)
                              (lex "sig-display marker")))
                   (located {^ affected})
                   (location ((cat pp)
                              (prep === "to")
                              (np ((cat common) 
                                   (lex "right")))))))))))))

(define _ir11_14
  '((cat clause)
    (mood infinitive)
    (proc ((mood infinitive)  ;; embedded ??
           (lex "do")
           (type material)))
    (partic ((agent ((cat personal-pronoun)
                     (gender feminine)))
             (affected ((cat personal-pronoun)
                        (gender neuter)))))))

(define _ir11_15
  '((cat clause)
    (proc ((type ascriptive)
           (mode attributive)))
    (partic ((carrier ((cat clause)
                       (proc ((lex "do")
                              (type material)))
                       (partic ((agent ((cat personal-pronoun)
                                        (gender feminine)))
                                (affected ((cat personal-pronoun)
                                           (gender neuter)))))))
             (attribute ((cat common)
                         (definite no)
                         (lex "statement")
                         (describer === "bold")))))))

(define _ir11_16
  '((cat common)
    (head === "man")
    (animate yes)
    (qualifier ((cat clause)
                (restrictive no)
                (scope ((role phenomenon))) 
                (proc ((type mental)
                       (lex "know")))
                (participants ((processor ((cat personal-pronoun)
                                           (person first)))))))))

(define _ir11_17
  '((cat common)
    (head === "man")
    (animate yes)
    (qualifier ((cat clause)
                (restrictive yes)    ;; ***** here is the difference
                (scope ((role phenomenon))) 
                (proc ((type mental)
                       (lex "know")))
                (participants
                 ((processor ((cat personal-pronoun)
                              (person first)))))))))

(define _ir11_18
  '((cat common)
    (head === "man")
    (qualifier ((cat clause)
                (restrictive yes)
                (scope ((role processor)))
                (proc ((type mental)
                       (lex "know")
                       (transitive yes)))
                (partic ((phenomenon ((cat personal-pronoun)
                                      (person first)))))))))

(define _ir11_19
  '((cat common)
    (head === "position")
    (qualifier ((cat clause)
                (restrictive yes)
                (scope ((role location)))
                (proc ((type composite)
                       (lex "move")
                       (agentive no)))
                (partic ((affected ((cat common) (head === "marker")))
                         (location ((cat pp) 
                                    (prep === to)
                                    (head === "right")))))))))

(define _ir11_20
  '((cat common)
    (head === "position")
    (definite yes)
    (qualifier ((cat pp)
                (restrictive yes)
                (np ((cat common)
                     (head === "marker")))))))

(define _ir11_21
  '((cat np)               
    (complex apposition)     
    (restrictive no)          
    (distinct ~(((cat common) 
                 (head === "wife")
                 (possessor ((cat personal-pronoun)
                             (person first))))
                ((cat proper)
                 (restrictive no)
                 (head === "Carol"))))))

(define _ir11_22
  '((cat np)
    (complex apposition)
    (restrictive yes) ;; **** Here is the difference
    (distinct 
     ~(((cat common) 
        (head === "brother")
        (possessor  ((cat personal-pronoun)
                     (person first))))
       ((cat proper)
        (head === "Steve"))))))

(define _ir11_23
  '((cat common)
    (head === "person")
    (definite no)
    (describer === "intelligent")))


(define _ir11_24
  '((cat np)
    (complex conjunction)
    (distinct
     ~(((complex apposition)
        (restrictive yes) 
        (distinct ~(((cat common) 
                     (head === "brother")
                     (possessor ((cat personal-pronoun)
                                 (person first))))
                    ((cat proper)
                     (head === "Steve")))))
       ((complex apposition)
        (restrictive no)        
        (distinct ~(((cat common) 
                     (head === "wife")
                     (possessor ((cat personal-pronoun)
                                 (person first))))
                    ((cat proper)
                     (head === "Carol")))))))))

(define _ir11_25
  '((cat np)
    (complex conjunction)
    (distinct
     ~(((complex apposition)
        (restrictive no)        
        (distinct ~(((cat common) 
                     (head === "wife")
                     (possessor ((cat personal-pronoun)
                                 (person first))))
                    ((cat proper)
                     (head === "Carol")))))
       ((complex apposition)
        (restrictive yes) 
        (distinct ~(((cat common) 
                     (head === "brother")
                     (possessor ((cat personal-pronoun)
                                 (person first))))
                    ((cat proper)
                     (head === "Steve")))))
       ((cat proper)
        (lex "John"))))))

(define _ir11_26
  '((cat clause)
    (complex conjunction)
    (common ((mood imperative)))
    (distinct
     ~(((proc ((type material) (lex "take")))
        (partic ((affected ((cat common) (head === "hammer"))))))
       ((proc ((type material) (lex "hit")))
        (partic ((affected ((cat common) (head === "nail"))))))))))		   


(define _ir11_27
  '((cat clause)
    (complex conjunction)
    (common ((mood imperative)))
    (distinct
     ~(((proc ((type material) (lex "take")))
        (time-relater === "first")
        (partic ((affected ((cat common) (head === "hammer"))))))
       ((proc ((type material) (lex "hit")))
        (time-relater === "then")
        (partic ((affected ((cat common) (head === "nail"))))))))))		   

(define _ir11_28
  '((cat clause)
    (complex conjunction)
    (common ((mood imperative)))
    (distinct
     ~(((proc ((type material) (lex "take")))
        (epistemic-modality possible)
        (partic ((affected ((cat common) (head === "hammer"))))))
       ((proc ((type material) (lex "hit")))
        (partic ((affected ((cat common) (head === "nail"))))))))))

(define _ir11_29
  '((cat clause)
    (mood imperative)
    (proc ((type material)
           (lex "clean")))
    (partic ((affected ((cat common) (head === "box")))))
    (circum ((purpose ((proc ((type material) 
                              (lex "install")))
                       (partic ((affected ((cat common) 
                                           (head === "battery")))))))))))

(define _ir11_30
  '((cat clause)
    (epistemic-modality possible)
    (proc ((type composite)
           (relation-type locative)
           (agentive no)
           (lex "move")))
    (partic 
     ((affected ((cat common)
                 (lex "sig-display marker")))
      (located {^ affected})
      (location ((cat pp)
                 (prep === "to")
                 (np ((cat common) 
                      (lex "right")))))))))

(define _ir11_31 _ir11_27)

(define _ir11_32 _ir11_28)

(define _ir11_33
  '((cat clause)
    (mood imperative)
    (proc ((type material)
           (lex "hit")))
    (partic ((affected ((cat common) (head === "nail")))))
    (circum ((instrument ((cat common) (head === "hammer")))))))		   

(define _ir11_34
  '((cat clause)
    (mood imperative)
    (proc ((type material)
           (lex "hit")
           (instrument-prep "using")))
    (partic ((affected ((cat common) (head === nail)))))
    (circum ((instrument ((cat common) (head === "hammer")))))))		   

(define _ir11_35
  '((cat clause)
    (mood imperative)
    (proc ((type material)
           (lex "take")
           (particle "off")
           (instrument-prep "using")))
    (partic ((affected ((cat common) (head === nail)))))
    (circum ((instrument ((cat common)
                          (head === screwdriver)
                          (definite no)))))))		   

(define _ir11_36
  '((cat clause)
    (proc ((type material)
           (voice passive)
           (lex "take")
           (particle "off")
           (instrument-prep "using")))
    (partic ((affected ((cat common) (head === nail)))))
    (circum ((instrument ((cat common)
                          (head === screwdriver)
                          (definite no)))))))		   

(define _ir11_37
  '((cat clause)
    (mood imperative)
    (proc ((type material)
           (lex "take")
           (particle "off")))
    (partic ((affected ((cat common) (head === nail)))))
    (circum ((instrument ((cat common) 
                          (prep "using")
                          (head === screwdriver)
                          (definite no)))))))		   

(define _ir11_38
  '((cat clause)
    (proc ((type locative) (lex "line up")))
    (partic ((location ((cat pp)
                        (prep === "with")
                        (np ((cat common) (head === compartment)))))
             (located ((cat common) (head === battery)))))))		   

(define _ir11_39
  '((cat clause)
    (process ((type material)
              (lex "do")))
    (partic ((agent ((cat personal-pronoun)
                     (animate yes)
                     (gender masculine)
                     (person third)
                     (number singular)))
             (affected ((cat personal-pronoun)
                        (gender neuter)
                        (person third)
                        (number singular)))))
    (circum ((reason ((cat personal-pronoun)
                      (gender masculine)
                      (person second)
                      (number singular)))))))

(define _ir11_40
  '((cat clause)
    (process ((lex "do")
              (type material)))
    (partic ((agent ((cat personal-pronoun)
                     (animate yes)
                     (gender masculine)
                     (person third)
                     (number singular)))
             (affected ((cat personal-pronoun)
                        (gender neuter)
                        (person third)
                        (number singular)))))
    (circum ((reason ((cat clause)
                      (process ((type mental)
                                (lex "like")))
                      (partic ((processor {partic agent})
                               (phenomenon ((cat personal-pronoun)
                                            (person second)
                                            (number singular)))))))))))

(define _ir11_41
  '((cat clause)
    (tense past)
    (process ((type material)
              (lex "score")))
    (partic ((agent ((cat personal-pronoun)
                     (animate yes)
                     (gender masculine)
                     (person third)
                     (number singular)))
             (affected ((cat common)
                        (definite no)
                        (cardinal ((value 39)))
                        (lex "point")))))
    (circum ((behalf ((cat proper)
                      (lex "the Lakers")))))))


(define _ir11_42
  '((cat clause)
    (proc ((type locative) 
           (mode equative)
           (cat verb-group)
           (lex "cover")))
    (partic ((identified ((cat np)
                          (head ((cat noun)
                                 (lex "holding battery cover plate")))))
             (identifier ((cat np)
                          (head ((cat noun)
                                 (lex "holding battery compartment")))))))))

(define _ir11_43
  '((cat clause)
    (proc ((type locative) (mode attributive)))
    (partic
     ((carrier ((cat np)
                (lex "holding battery compartment")))
      (attribute ((cat pp)
                  (complex apposition)
                  (restrictive yes)
                  (distinct 
                   ~(((prep ((cat prep) (lex "in")))
                      (np 
                       ((cat np)
                        (head ((cat noun) (lex "back")))
                        (qualifier ((cat pp)  
                                    (np ((cat np)
                                         (head ((cat noun)
                                                (lex "RT"))))))))))
                     ((prep ((cat prep) (lex "at")))
                      (np ((cat np)
                           (describer ((cat list) 
                                       (elements ~(((cat ap) (lex "bottom"))
                                                   ((cat ap) (lex "left"))))))
                           (head ((cat noun) (lex "corner"))))))))))))))

(define _ir11_44
  '((cat clause)
    (proc ((type locative)
           (mode equative)
           (cat verb-group) 
           (lex "contain")))
    (partic
     ((identified ((cat common)
                   (head ((cat noun) 
                          (lex "holding battery compartment")))))
      (identifier
       ((cat common)
        (head ((cat noun) (lex "old holding battery")))
        (qualifier 
         ((cat ap)  
          (head === "shown")
          (qualifier ((cat pp)
                      (prep ((cat prep) (lex "in")))
                      (np ((cat np)
                           (head ((cat noun)
                                  (lex "cut away view")))))))))))))))

(define _ir11_45
  '((cat np)
    (complex conjunction)
    (distinct ~( ((cat common)
                  (head === "box"))
                 ((cat ap)
                  (head === "blue")) ))))


(define _ir11_46
  '((cat np)
    (complex apposition)
    (restrictive no) 
    (distinct 
     ~(((cat common) 
        (head ((cat noun)
               (complex conjunction)
               (distinct ~( ((lex "brother"))
                            ((lex "friend")) ))))
        (possessor ((cat personal-pronoun)
                    (person first))))
       ((cat proper)
        (head === "Steve"))))))


(define _ir11_47
  '((cat clause)
    (proc ((type ascriptive)
           (mode attributive)))
    (tense past)
    (partic ((carrier ((head === "year")
                       (ordinal ((value 1)))
                       (cardinal ((value 2)))
                       (possessor ((cat personal-pronoun)
                                   (number singular)
                                   (person first)))))
             (attribute ((cat ap)
                         (complex conjunction)
                         (distinct ~( ((head === "happy"))
                                      ((head === "uneventful"))))))))))


(define _ir11_48
  '((cat clause)
    (proc ((type possessive) (mode attributive)))
    (tense past)
    (partic ((possessor ((cat proper) (head === "Old McDonald")))
             (possessed ((cat common) (head === farm) (definite no)))))))

(define _ir11_49
  '((cat clause)
    (proc ((type possessive) (mode equative)))
    (tense past)
    (partic ((possessor ((cat proper) (head === "Old McDonald")))
             (possessed ((cat common) (head === farm) (definite no)))))))

(define _ir11_50
  '((cat clause)
    (proc ((type possessive) (mode equative) (voice passive)))
    (tense past)
    (partic ((possessor ((cat proper) (head === "Old McDonald")))
             (possessed ((cat common) (head === farm) (definite no)))))))


(define _ir11_51
  '((cat clause)
    (deontic-modality duty)
    (process ((lex "do")
              (type material)))
    (partic ((agent ((cat personal-pronoun)
                     (animate yes)
                     (person second)
                     (number singular)))
             (affected ((cat personal-pronoun)
                        (gender neuter)
                        (person third)
                        (number singular)))))
    (circum ((purpose ((cat clause)
                       (process ((type ascriptive)
                                 (relation-type attributive)))
                       (partic ((carrier {partic agent})
                                (attribute === innocent)))))
             (behalf ((cat clause)
                      (process ((type material)
                                (lex "eat")))
                      (partic ((agent ((cat personal-pronoun)
                                       (animate yes)
                                       (person third)
                                       (gender masculine)
                                       (number singular)))))))))))

;; ======================================================================
;; Test questions 
;; ======================================================================

;; ----------------------------------------------------------------------
;; YES-NO
;; ----------------------------------------------------------------------

(define _ir11_52
  '((cat clause)
    (mood yes-no)
    (proc ((type ascriptive)))
    (partic ((carrier ((lex "car")
                       (cat common)
                       (distance near)))
             (attribute === "expensive")))))

(define _ir11_53
  '((cat clause)
    (mood yes-no)
    (tense future)
    (proc ((type composite)
           (relation-type possessive)
           (dative-prep "to")
           (lex "give")))
    (partic ((agent ((cat proper) (lex "John")))
             (affected ((cat proper) (lex "Mary")))
             (possessor {^ affected})
             (possessed ((lex "book") 
                         (cat common)
                         (definite no)
                         (describer === "blue")))))))

(define _ir11_54
  '((cat clause)
    (insistence yes)
    (proc ((type composite)
           (relation-type possessive)
           (dative-prep "to")
           (lex "give")))
    (tense past)
    (partic ((agent ((cat proper) (lex "John")))
             (affected ((cat proper) (lex "Mary")))
             (possessor {^ affected})
             (possessed ((lex "book") 
                         (cat common)
                         (definite no)
                         (describer === "blue")))))))


;; ----------------------------------------------------------------------
;; WH
;; ----------------------------------------------------------------------

(define _ir11_55
  '((cat clause)
    (mood wh)
    (scope ((role carrier)))
    (proc ((type ascriptive)))
    (partic ((carrier ((lex "car")
                       (cat common)
                       (distance near)))
             (attribute === "expensive")))))

(define _ir11_56
  '((cat clause)	
    (mood wh)
    (proc ((type ascriptive)))
    (scope ((role carrier) (animate no)))
    (partic ((attribute ((cat common) (definite no) (lex "classic")))))))

;; JR Note: The scope can't simply be "attribute", since then it would be
;; impossible to choose the question pronoun (e.g. in ir11_55 it would be "How"
;; or "How expensive", in ir11_56 it would be "What" or "What kind of")
;; Also note the ambiguity of ir11_56.
(define _ir11_57
  '((cat clause)
    (mood wh)
    (scope ((role identified) (animate yes)))
    (proc ((type ascriptive) (mode equative)))
    (partic ((identifier ((cat common)
                          (possessor ((cat personal-pronoun)
                                      (person second)))
                          (head === "father")))))))		       

(define _ir11_58
  '((cat clause)
    (mood wh)
    (scope ((role identifier) (animate yes)))
    (proc ((type ascriptive) (mode equative)))
    (partic ((identified ((cat common)
                          (possessor ((cat personal-pronoun)
                                      (person second)))
                          (head === "father")))))))

(define _ir11_59
  '((cat clause)
    (mood wh)
    (scope ((role location) (animate no)))
    (proc ((type locative))) 
    (partic ((located ((cat common)
                       (possessor ((cat personal-pronoun)
                                   (person second)))
                       (head === "mother")))))))

(define _ir11_60
  '((cat clause)
    (mood wh)
    (scope ((role located) (animate yes)))
    (proc ((type locative)))
    (partic ((location ((cat pp)
                        (prep === "in")
                        (np ((cat common)
                             (possessor ((cat personal-pronoun)
                                         (person second)))
                             (head === "house")))))))))

(define _ir11_61
  '((cat clause)
    (mood wh)
    (scope ((role located) (animate no)))
    (proc ((type locative) (mode equative) (lex "cover")))
    (partic ((location ((cat common) (head === "opening")))))))

(define _ir11_62
  '((cat clause)
    (mood wh)
    (scope ((role location) (animate no)))
    (proc ((type locative) (mode equative) (lex "cover")))
    (partic ((located ((cat common) (head === "seal")))))))

(define _ir11_63
  '((cat clause)
    (mood wh)
    (scope ((role time)))
    (proc ((type temporal)))
    (partic ((located ((cat common) (head === "game")))))))


(define _ir11_64
  '((cat clause)
    (mood wh)
    (scope ((role located)))
    (proc ((type temporal) (lex "happen")))
    (partic ((time ((cat adv) (lex "then")))))))

;; without specifying a time unit in the question (e.g. "What day is the
;; 10th?" "How long does the fair last?")

(define _ir11_65
  '((cat clause)
    (mood wh)
    (scope ((role attribute)))
    (proc ((type ascriptive)))
    (partic ((carrier ((cat common)      
                       (possessor ((cat personal-pronoun)
                                   (person second)))
                       (head === "sister")))))))

(define _ir11_66
  '((cat clause)
    (mood wh)
    (proc ((type accompaniment)))
    (scope ((role location) (animate yes)))
    (partic ((located ((cat common)
                       (possessor ((cat personal-pronoun)
                                   (person second)))
                       (head === "sister")))))))

(define _ir11_67
  '((cat clause)
    (mood wh)
    (scope ((role possessor) (animate yes)))
    (proc ((type possessive)))
    (partic ((possessed ((cat common) (definite no) (head === "PhD.")))))))

(define _ir11_68
  '((cat clause)
    (mood wh)
    (proc ((type possessive)))
    (scope ((role possessed) (animate no)))
    (partic ((possessor ((cat personal-pronoun)
                         (gender feminine)
                         (number singular)
                         (person third)))))))

(define _ir11_69
  '((cat clause)
    (mood wh)
    (proc ((type possessive) (mode equative)))
    (scope ((role possessor) (animate yes)))
    (partic ((possessed ((cat common) 
                         (distance near) 
                         (head === "book")))))))

(define _ir11_70
  '((cat clause)
    (mood wh)
    (proc ((type possessive) (mode equative)))
    (scope ((role possessed) (animate no)))
    (partic ((possessor ((cat personal-pronoun)
                         (gender feminine)
                         (person third)
                         (number singular)))))))

(define _ir11_71
  '((cat clause)
    (mood wh)
    (scope ((role agent)
            (animate yes)))
    (proc ((type composite) 
           (relation-type possessive)
           (dative-prep "to") 
           (lex "give")))
    (partic ((possessed ((lex "book") 
                         (cat common)
                         (definite no)
                         (describer === "blue")))
             (affected ((lex "Mary") (cat proper)))
             (possessor {^ affected})))))

(define _ir11_72
  '((cat clause)
    (mood wh)
    (tense future)
    (scope ((role possessed) (animate no)))
    (proc ((type composite)
           (relation-type possessive)
           (dative-prep "to")
           (lex "give")))
    (partic ((agent ((lex "John") (cat proper)))
             (affected ((lex "Mary") (cat proper)))
             (possessor {^ affected})))))

(define _ir11_73
  '((cat clause)
    (mood wh)
    (tense future)
    (scope ((role possessor) (animate yes)))
    (proc ((type composite)
           (relation-type possessive)
           (dative-prep "to")
           (lex "give")))
    (partic ((agent ((lex "John") (cat proper)))
             (possessed ((lex "book")
                         (cat common)
                         (definite no)
                         (describer === "blue")))))))

(define _ir11_74
  '((cat clause)
    (mood wh)
    (scope ((role phenomenon) (animate no)))
    (proc ((type mental) (lex "prefer")))
    (partic ((processor ((cat proper) (lex "Deborah")))))))

(define _ir11_75
  '((cat clause)
    (mood wh)
    (scope ((role processor) (animate yes)))
    (proc ((type mental) (lex "worship")))
    (partic ((phenomenon ((cat proper) (lex "Baal")))))))

;; "They want MONEY" ?

(define _ir11_76
  '((cat clause)
    (mood wh)
    (scope ((role reason)))
    (proc ((type material)
           (lex "do")))
    (partic ((agent ((cat personal-pronoun)
                     (animate yes)
                     (gender masculine)
                     (person third)
                     (number singular)))
             (affected ((cat personal-pronoun)
                        (gender neuter)
                        (person third)
                        (number singular)))))))

(define _ir11_77
  '((cat clause)
    (mood wh)
    (scope ((role from-loc)))
    (proc ((type composite)
           (relation-type locative)
           (agentive no)
           (lex "move")))
    (partic ((affected ((cat common) (lex "sig-display marker")))
             (located {^ affected})
             (location ((cat pp) (prep === to) (np ((lex "right")))))))))



;; ======================================================================
;; test RELATIVE CLAUSES
;; ======================================================================

(define _ir11_78
  '((cat common)
    (head === box)
    (qualifier ((cat clause)
                (scope ((role carrier)))
                (proc ((type ascriptive)))
                (partic ((attribute === "expensive")))))))

(define _ir11_79
  '((cat common)
    (head === box)
    (qualifier ((cat clause)	
                (proc ((type ascriptive)))
                (scope ((role carrier) (animate no)))
                (partic ((attribute ((cat common) 
                                     (definite no) 
                                     (lex "classic")))))))))

(define _ir11_80
  '((cat common)
    (head === man)
    (animate yes)
    (qualifier ((cat clause)
                (scope ((role identified)))
                (proc ((type ascriptive) (mode equative)))
                (partic ((identifier ((cat common)
                                      (possessor ((cat personal-pronoun)
                                                  (person second)))
                                      (head === "father")))))))))

(define _ir11_81
  '((cat common)
    (head === man)
    (animate yes)
    (qualifier ((cat clause)
                (scope ((role identifier)))
                (proc ((type ascriptive) (mode equative)))
                (partic ((identified ((cat common)
                                      (possessor ((cat personal-pronoun)
                                                  (person second)))
                                      (head === "father")))))))))


(define _ir11_82
  '((cat common)
    (head === house)
    (qualifier ((cat clause)
                (scope ((role location)))
                (proc ((type locative))) 
                (partic ((located ((cat common)
                                   (possessor ((cat personal-pronoun)
                                               (person second)))
                                   (head === "mother")))))))))


(define _ir11_83
  '((cat common)
    (head === man)
    (animate yes)
    (qualifier ((cat clause)
                (scope ((role located)))
                (proc ((type locative)))
                (partic ((location ((cat pp)
                                    (prep === "in")
                                    (np ((cat common)
                                         (possessor ((cat personal-pronoun)
                                                     (person second)))
                                         (head === "house")))))))))))


(define _ir11_84
  '((cat common)
    (head === plate)
    (qualifier ((cat clause)
                (scope ((role located)))
                (proc ((type locative) (mode equative) (lex "cover")))
                (partic ((location ((cat common) 
                                    (head === "opening")))))))))


(define _ir11_85
  '((cat common)
    (head === hole)
    (qualifier ((cat clause)
                (scope ((role location) (animate no)))
                (proc ((type locative) (mode equative) (lex "cover")))
                (partic ((located ((cat common) 
                                   (head === "seal")))))))))

(define _ir11_86
  '((cat common)
    (head === time)
    (qualifier ((cat clause)
                (scope ((role time)))
                (proc ((type temporal)
                       (lex "start")))
                (partic ((located ((cat common) 
                                   (head === "game")))))))))

(define _ir11_87
  '((cat common)
    (head === thing)
    (qualifier ((cat clause)
                (restrictive yes)
                (scope ((role located)))
                (proc ((type temporal) (lex "happen")))
                (partic ((time ((cat adv) (lex "then")))))))))


(define _ir11_88
  '((cat common)
    (head === position)
    (qualifier ((cat clause)
                (scope ((role from-loc)))
                (proc ((type composite)
                       (relation-type locative)
                       (agentive no)
                       (lex "move")))
                (partic ((affected ((cat common) (lex "sig-display marker")))
                         (located {^ affected})
                         (location ((cat pp) 
                                    (prep === to) 
                                    (np ((lex "right")))))))))))


(define _ir11_89
  '((cat common)
    (head === way)
    (qualifier ((cat clause)
                (scope ((role attribute)))
                (proc ((type ascriptive)))
                (partic ((carrier ((cat common)      
                                   (possessor ((cat personal-pronoun)
                                               (person second)))
                                   (head === "sister")))))))))


(define _ir11_90
  '((cat common)
    (head === person)
    (animate yes)
    (qualifier ((cat clause)
                (proc ((type accompaniment)))
                (scope ((role location) (animate yes)))
                (partic ((located ((cat common)
                                   (possessor ((cat personal-pronoun)
                                               (person second)))
                                   (head === "sister")))))))))


(define _ir11_91
  '((cat common)
    (head === person)
    (animate yes)
    (qualifier ((cat clause)
                (scope ((role possessor) (animate yes)))
                (proc ((type possessive)))
                (partic ((possessed ((cat common) 
                                     (definite no) 
                                     (head === "PhD.")))))))))


(define _ir11_92
  '((cat common)
    (head === box)
    (qualifier ((cat clause)
                (proc ((type possessive)))
                (scope ((role possessed) (animate no)))
                (partic ((possessor ((cat personal-pronoun)
                                     (gender feminine)
                                     (number singular)
                                     (person third)))))))))


(define _ir11_93
  '((cat common)
    (head === person)
    (animate yes)
    (qualifier ((cat clause)
                (proc ((type possessive) (mode equative)))
                (scope ((role possessor) (animate yes)))
                (partic ((possessed ((cat common) 
                                     (distance near) 
                                     (head === "book")))))))))


(define _ir11_94
  '((cat common)
    (head === box)
    (qualifier ((cat clause)
                (restrictive yes)
                (proc ((type possessive) (mode equative)))
                (scope ((role possessed)))
                (partic ((possessor ((cat personal-pronoun)
                                     (gender feminine)
                                     (person third)
                                     (number singular)))))))))


(define _ir11_95
  '((cat common)
    (head === person)
    (animate yes)
    (qualifier ((cat clause)
                (scope ((role agent)))
                (proc ((type composite) 
                       (relation-type possessive)
                       (dative-prep "to") 
                       (lex "give")))
                (partic ((possessed ((lex "book") 
                                     (cat common)
                                     (definite no)
                                     (describer === "blue")))
                         (affected ((lex "Mary") (cat proper)))
                         (possessor {^ affected})))))))


(define _ir11_96
  '((cat common)
    (head === box)
    (qualifier ((cat clause)
                (tense future)
                (scope ((role possessed)))
                (proc ((type composite)
                       (relation-type possessive)
                       (dative-prep "to")
                       (lex "give")))
                (partic ((agent ((lex "John") (cat proper)))
                         (affected ((lex "Mary") (cat proper)))
                         (possessor {^ affected})))))))


(define _ir11_97
  '((cat common)
    (head === person)
    (animate yes)
    (qualifier ((cat clause)
                (tense future)
                (scope ((role possessor) (animate yes)))
                (proc ((type composite)
                       (relation-type possessive)
                       (dative-prep "to")
                       (lex "give")))
                (partic ((agent ((lex "John") (cat proper)))
                         (possessed ((lex "book")
                                     (cat common)
                                     (definite no)
                                     (describer === "blue")))))))))


(define _ir11_98
  '((cat common)
    (head === box)
    (qualifier ((cat clause)
                (scope ((role phenomenon)))
                (proc ((type mental) (lex "prefer")))
                (partic ((processor ((cat proper) 
                                     (lex "Deborah")))))))))


(define _ir11_99
  '((cat common)
    (head === person)
    (animate yes)
    (qualifier ((cat clause)
                (scope ((role processor)))
                (proc ((type mental) (lex "worship")))
                (partic ((phenomenon ((cat proper) 
                                      (lex "Baal")))))))))


;; ======================================================================
;; test of ALL clause patterns of the new transitvity system:
;; ======================================================================
;; simple process
;; event
;; material
;; agentive non-effective: Ag
(define _ir11_100
  '((cat clause)
    (proc ((type material) 
           (effective no)
           ;;	     (agentive yes)  is default
           (lex "run")))
    (partic ((agent ((cat proper) (lex "Bo")))))))

;; agentive dispositive: Ag + Af
(define _ir11_101
  '((cat clause)
    (proc ((type material) 
           ;;	     (effective yes)           is default
           ;;           (effect-type dispositive) is default
           (lex "drink")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (affected ((cat common) 
                        (number plural)
                        (classifier === "protein") 
                        (head === "shake")))))))

;; agentive creative: Ag + Cr
(define _ir11_102
  '((cat clause)
    (proc ((type material) (effect-type creative) (lex "cook")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (created ((cat common) (lex "diner")))))))

;; agentive with range: Ag + Rg
(define _ir11_103
  '((cat clause)
    (proc ((type material) 
           (effective no)
           (event-as participant)
           (lex "take")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (range ((cat common) (definite no) (lex "walk")))))))

(define _ir11_104
  '((cat clause)
    (proc ((type material) 
           (effective no)
           (event-as process)
           (lex "climb")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (range ((cat common) (lex "mountain")))))))

;; non-agentive dispositive: Af
(define _ir11_105
  '((cat clause)
    (proc ((type material) (agentive no) (lex "open")))
    (partic ((affected ((cat common) (lex "window")))))))

;; non-agentive creative: Cr
(define _ir11_106
  '((cat clause)
    (proc ((type material) 
           (agentive no) 
           (effect-type creative) 
           (lex "pop")))
    (partic ((created ((cat common) (lex "window")))))))

;; mental non-transitive: Pr
(define _ir11_107
  '((cat clause)
    (proc ((type mental) (transitive no) (lex "know")))
    (partic ((processor ((cat proper) (lex "Bo")))))))

;; mental transitive: Pr + Ph
(define _ir11_108
  '((cat clause)
    (proc ((type mental) 
           (lex "know")))
    (partic ((processor ((cat proper) (lex "Bo")))
             (phenomenon ((cat proper) (lex "FUF")))))))

;; verbal: still on the todo list

;; relation
;; ascriptive attributive: Ca + At
(define _ir11_109
  '((cat clause)
    (proc ((type ascriptive)
           (mode attributive)))
    (partic ((carrier ((cat proper) (lex "Bo")))
             (attribute ((cat ap) (lex "strong")))))))


;; ascriptive equative: Id + Ir
(define _ir11_110
  '((cat clause)
    (proc ((type ascriptive) (mode equative)))
    (partic ((identified ((cat proper) (lex "Bo")))
             (identifier ((cat common) (lex "greatest")))))))

;; possessive attributive: Pr + Pd
(define _ir11_111
  '((cat clause)
    (proc ((type possessive)))
    (partic ((possessor ((cat proper) (lex "Bo")))
             (possessed ((cat common)
                         (number plural)
                         (definite no)
                         (lex "sneaker")))))))

;; possesive equative: Id + Ir
(define _ir11_112
  '((cat clause)
    (proc ((type possessive) (mode equative)))
    (partic ((identified ((cat proper) (lex "Bo")))
             (identifier ((cat common)
                          (number plural)
                          (definite no)
                          (lex "sneaker")))))))

;; locative spatial atributive: Ld + Ln
(define _ir11_113
  '((cat clause)
    (proc ((type spatial)))
    (partic ((located ((cat proper) (lex "Bo")))
             (location ((cat adv) (lex "here")))))))

;; locative spatial equative: Id + Ir
(define _ir11_114
  '((cat clause)
    (proc ((type spatial) (mode equative) (lex "occupy")))
    (partic ((located ((cat proper) (lex "Bo")))
             (location ((cat common) 
                        (classifier === "left")
                        (head === "flank")))))))

;; locative temporal attributive: Ld + Tm
(define _ir11_115
  '((cat clause)
    (proc ((type temporal)))
    (partic ((located ((cat common) (lex "race")))
             (time ((cat adv) (lex "now")))))))

;; locative spatial equative: Id + Ir
(define _ir11_116
  '((cat clause)
    (proc ((type temporal) (mode equative) (lex "follow")))
    (partic ((identified ((cat common) (lex "steeplechase")))
             (identifier ((cat common) 
                          (classifier === "high")
                          (head === "jump")))))))

;; locative accompaniment (always equative): Ld/Id + Ac/Ir
(define _ir11_117
  '((cat clause)
    (proc ((type accompaniment)))
    (partic ((located ((cat proper) (lex "Bo")))
             (location ((cat pp) 
                        (prep === with) 
                        (np ((cat proper) (lex "Mo")))))))))

(define _ir11_118
  '((cat clause)
    (proc ((type accompaniment) (mode equative) (lex "accompany")))
    (partic ((identified ((cat proper) (lex "Bo")))
             (identifier ((cat proper) (lex "Mo")))))))

;; locative existential: Ld
(define _ir11_119
  '((cat clause)
    (proc ((type existential)))
    (partic ((located ((cat common) (definite no) (lex "bug")))))))

;; locative natural-phenom: no participant
(define _ir11_120
  '((cat clause) (proc ((type natural-phenom) (lex "rain")))))


;; composite process
;; agentive dispositive ascriptive attributive: Ag + Af/Ca + At
(define _ir11_121
  '((cat clause)
    (tense past)
    (proc ((type composite)
           (relation-type ascriptive)
           ;;	     (agentive yes)         is default
           ;;           (effective yes)        is default
           ;;           (effect-type affected) is default
           ;;           (mode attributive)     is default          
           (lex "make")))
    (partic ((agent ((cat proper) (lex "Nike")))
             (affected ((cat proper) (lex "Bo")))
             (carrier {^ affected})
             (attribute ((cat ap) (lex "rich")))))))

;; agentive dispositive ascriptive equative: Ag + Af/Id + At
(define _ir11_122
  '((cat clause)
    (proc ((type composite)
           (relation-type ascriptive)
           (mode equative)
           (lex "make")))
    (partic ((agent ((cat common) (lex "deal")))
             (affected ((cat proper) (lex "Bo")))
             (identified {^ affected})
             (identifier ((cat common) (lex "richest")))))))

;; agentive dispositive possessive attributive: Ag + Af/Pr + Pd
(define _ir11_123
  '((cat clause)
    (tense past)
    (proc ((type composite) (relation-type possessive) (lex "give")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (affected ((cat proper) (lex "the Raiders")))
             (possessor {^ affected})
             (possessed ((cat common) (lex "victory")))))))

;; agentive dispositive locative attributive: Ag + Af/Ld + Ln
(define _ir11_124
  '((cat clause)
    (tense past)
    (proc ((type composite) (relation-type locative) (lex "lift")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (affected ((cat proper) (lex "the Raiders")))
             (located {^ affected})
             (location ((cat pp)
                        (prep ((lex "to")))
                        (np ((cat common) 
                             (definite no)
                             (lex "victory")))))))))

;; agentive creative locative attributive: Ag + Cr/Ld + Ln
(define _ir11_125
  '((cat clause)
    (proc ((type composite) 
           (relation-type locative)
           (effect-type creative)
           (lex "pop")))
    (partic ((agent ((cat personal-pronoun) 
                     (person third)
                     (gender neuter)
                     (number singular)))
             (created ((cat common) (definite no) (lex "window")))
             (located {^ created})
             (location ((cat pp)
                        (prep ((lex "on")))
                        (np ((cat common) (lex "screen")))))))))

;; agentive non-effective ascriptive attributive: Ag/Ca + At
(define _ir11_126
  '((cat clause)
    (tense past)
    (proc ((type composite) 
           (relation-type ascriptive) 
           (effective no)
           (lex "get")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (carrier {^ agent})
             (attribute ((cat ap) (lex "tough")))))))

;; agentive non-effective ascriptive equative: Ag/Id + Ir
(define _ir11_127
  '((cat clause)
    (tense past)
    (proc ((type composite) 
           (relation-type ascriptive) 
           (mode equative)
           (effective no)
           (lex "become")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (identified {^ agent})
             (identifier ((cat common) (lex "best")))))))

;; agentive non-effective possessive attributive: Ag/Pr + Pd
(define _ir11_128
  '((cat clause)
    (tense past)
    (proc ((type composite) 
           (relation-type possessive)
           (effective no)
           (lex "buy")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (possessor {^ agent})
             (possessed ((cat common) 
                         (definite no) 
                         (number plural)
                         (lex "sneaker")))))))

;; agentive non-effective locative attributive: Ag/Ld + Ln
(define _ir11_129
  '((cat clause)
    (tense past)
    (proc ((type composite) 
           (relation-type locative)
           (effective no)
           (lex "run")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (located {^ agent})
             (location ((cat adv) (lex "home")))))))

;; non-agentive dispositive ascriptive attributive: Af/Ca + At
(define _ir11_130
  '((cat clause)
    (tense past)
    (proc ((type composite)
           (agentive no)
           (relation-type ascriptive)
           (lex "grow")))
    (partic ((affected ((cat proper) (lex "Bo")))
             (carrier {^ affected})
             (attribute ((cat ap) (lex "old")))))))

;; non-agentive dispositive possessive attributive: Af/Pr + Pd
(define _ir11_131
  '((cat clause)
    (tense past)
    (proc ((type composite)
           (agentive no)
           (relation-type possessive)
           (lex "receive")))
    (partic ((affected ((cat proper) (lex "Bo")))
             (possessor {^ affected})
             (possessed ((cat common) (lex "ball")))))))

;; non-agentive dispositive locative attributive: Af/Ld + Ln
(define _ir11_132
  '((cat clause)
    (tense past)
    (proc ((type composite)
           (agentive no)
           (relation-type locative)
           (lex "fall")))
    (partic ((affected ((cat proper) (lex "Bo")))
             (located {^ affected})
             (location ((cat adv) (lex "down")))))))

;; non-agentive creative asciptive attributive: Cr/Ca + At
(define _ir11_133
  '((cat clause)
    (tense past)
    (proc ((type composite)
           (agentive no)
           (effect-type creative)
           (relation-type ascriptive)
           (lex "pop")))
    (partic ((created ((cat common) (lex "window")))
             (carrier {^ created})
             (attribute ((cat ap) (lex "wide")))))))

;; non-agentive creative locative attributive: Cr/Ld + Ln
(define _ir11_134
  '((cat clause)
    (tense past)
    (proc ((type composite)
           (agentive no)
           (effect-type creative)
           (relation-type locative)
           (lex "pop")))
    (partic ((created ((cat common) (lex "window")))
             (located {^ created})
             (location ((cat pp)
                        (prep ((lex "on")))
                        (np ((cat common) (lex "screen")))))))))

(define _ir11_135
  '((cat clause)
    (epistemic-modality possible)
    (proc ((type composite)
           (relation-type locative)
           (agentive no)
           (lex "move")))
    (partic ((affected ((cat common)
                        (lex "sig-display marker")))
             (located {^ affected})
             (location ((cat pp)
                        (prep === "to")
                        (np ((cat common) (lex "right")))))))))

(define _ir11_136
  '((cat clause)
    (epistemic-modality inference)
    (proc ((type ascriptive)
           (mode attributive)))
    (partic ((carrier ((cat clause)
                       (proc ((lex "do")
                              (type material)))
                       (partic ((agent ((cat personal-pronoun)
                                        (gender feminine)))
                                (affected ((cat personal-pronoun)
                                           (gender neuter)))))))
             (attribute ((cat common)
                         (definite no)
                         (lex "statement")
                         (describer === "bold")))))))

(define _ir11_137
  '((cat common)
    (head === "man")
    (animate yes)
    (qualifier ((cat clause)
                (epistemic-modality "may")
                (restrictive no)
                (scope ((role phenomenon))) 
                (proc ((type mental)
                       (lex "know")
                       (transitive yes)))
                (participants
                 ((processor ((cat personal-pronoun)
                              (person first)))))))))

(define _ir11_138
  '((cat clause)
    (mood imperative)
    (proc ((type material) (lex "take")))
    (partic ((affected ((cat common) (head === "hammer")))))))		   

(define _ir11_139
  '((cat clause)
    (tense past)
    (proc ((type temporal) (lex "happen")))
    (partic ((located ((cat np) (head === game)))
             (time ((cat adv) (lex "then")))))))

;; agentive dispositive possessive attributive: Ag + Af/Pr + Pd
(define _ir11_140
  '((cat clause)
    (tense past)
    (dative-move no)
    (proc ((type composite) (relation-type possessive) (lex "give")))
    (partic ((agent ((cat proper) (lex "Bo")))
             (affected ((cat proper) (lex "the Raiders")))
             (possessor {^ affected})
             (possessed ((cat common) (lex "victory")))))))


;; ----------------------------------------------------------------------
;; TEST LEXICAL ROLES
;; ----------------------------------------------------------------------

;; PROBLEMS WITH PASSIVE... CHECK HPSG's TREATMENT OF PASSIVE
;; AS A DIFFERENT LEXICAL ITEM GENERATED BY A LEXICAL RULE...


(define _ir11_141
  '((cat clause)
    (tense past)
    (proc ((type lexical)
           (lex "persuade")
           (subcat ((1 {^3 lex-roles persuader})
                    (2 {^3 lex-roles persuadee})
                    (3 {^3 lex-roles soa})
                    (1 ((cat np)))
                    (2 ((cat np)))
                    (3 ((cat clause)
                        (mood infinitive)
                        (oblique ((1 ((index {^4 2 index})
                                      (gap yes)))))))))))
    (lex-roles 
     ((persuader === customer)
      (persuadee === programmer)
      (soa ((proc ((type material)
                   (lex "revise")))
            (partic ((affected === code)))))))))

;; With a more general approach ala HPSG/S&P91
;; Roles influence/influencer/soa	     
(define _ir11_142
  '((cat clause)
    (tense present)
    (proc ((type lexical)
           (lex "want")
           (voice active)
           (subcat ((1 {^3 lex-roles influence})
                    (2 {^3 lex-roles influenced})
                    (3 {^3 lex-roles soa})
                    (3 ((cat clause)
                        (mood infinitive)
                        (oblique ((1 ((index {^4 2 index})  ;; controlled
                                      (gap yes)))))))))))
    (lex-roles 
     ((influence === customer)
      (influenced ((cat personal-pronoun) 
                   (person third)
                   (gender masculine)
                   (number singular)))
      (soa ((proc ((type material)
                   (lex "do")))
            (partic ((affected ((cat personal-pronoun) 
                                (person third)
                                (gender neuter)
                                (number singular)))))))))))


;; ----------------------------------------------------------------------
;; TEST BK-CLASS 
;; ----------------------------------------------------------------------

(define _ir11_143
  '((cat clause)
    (proces ((concept c-game-result)
             (tense past)
             (type material)))
    (partic ((agent ((lex "Denver Nugget")
                     (concept c-nuggets)
                     (definite yes)
                     (number plural)))
             (affected ((definite yes)
                        (concept c-celtics)
                        (lex "Celtic")
                        (number plural)))))
    (circum ((manner ((concept c-narrow)))))))

(define _ir11_144
  '((cat clause)
    (proces ((concept c-game-result)
             (lex "beat")))
    (partic ((agent ((lex "Denver Nugget")
                     (concept c-nuggets)
                     (cat common)
                     (definite yes)
                     (number plural)))
             (affected ((definite yes)
                        (lex "Celtic")
                        (cat common)
                        (concept c-celtics)
                        (number plural)))))
    (tense past)
    (circum ((manner ((concept c-narrow)))))))

(define _ir11_145
  '((cat clause)
    (proces ((concept c-game-result)
             (lex "beat")))
    (partic ((agent ((definite yes)
                     (lex "Denver Nugget")
                     (concept c-nuggets)
                     (cat common)
                     (number plural)))
             (affected ((definite yes)
                        (lex "Celtic")
                        (cat common)
                        (concept c-celtics)
                        (number plural)))))
    (tense past)
    (adjuncts ((ao none)))     ;; don't use an adverb
    (ao ((concept c-team-rating)
         (partic ((carrier ((concept {partic agent concept})))))
         (orientation -)))))


(define _ir11_146
  '((cat clause)
    (proces ((concept c-game-result)
             (lex "beat")))
    (partic ((agent ((definite yes)
                     (concept c-nuggets)
                     (cat common)
                     (describer none) ;; don't use an adjective
                     (lex "Denver Nugget")
                     (number plural)))
             (affected ((definite yes)
                        (concept c-celtics)
                        (cat common)
                        (lex "Celtic")
                        (number plural)))))
    (tense past)
    (ao ((concept c-team-rating)
         (partic ((carrier ((concept {partic agent concept})))))
         (orientation -)))))

(define _ir11_147
  '((cat clause)
    (proces ((concept c-game-result)))
    (partic ((agent ((definite yes)
                     (lex "Denver Nugget")
                     (cat common)
                     (concept c-nuggets)
                     (number plural)))
             (affected ((definite yes)
                        (concept c-celtics)
                        (cat common)
                        (lex "Celtic")
                        (number plural)))))
    (tense past)
    (ao ((concept c-team-rating)
         (partic ((carrier ((concept {partic agent concept})))))
         (orientation -)))))

(define _ir11_148
  '((cat clause)
    (proces ((concept c-game-result)))
    (partic ((agent ((definite yes)
                     (cat common)
                     (concept c-nuggets)
                     (lex "Denver Nugget")
                     (number plural)))
             (affected ((definite yes)
                        (concept c-celtics)
                        (cat common)
                        (lex "Celtic")
                        (number plural)))))
    (tense past)
    (ao ((concept c-team-rating)
         (partic ((carrier ((concept {partic agent concept})))))
         (orientation -)))
    (circum ((manner ((concept c-narrow)))))))

(define _ir11_149
  '((cat clause)
    (proces ((concept c-game-result)
             (tense past)
             (subcat ((1 {lex-roles winner})
                      (2 {lex-roles loser})
                      (4 {lex-roles score})
                      (4 ((cat score)))))))
    (lex-roles ((winner ((lex "Denver Nugget")
                         (concept c-nuggets)
                         (number plural)))
                (loser ((concept c-celtics)
                        (lex "Celtic")
                        (number plural)))
                (score ((win 101)
                        (lose 99)))))))

(define _ir11_150
  '((cat clause)
    (proces ((concept c-game-result)
             (tense past)
             (subcat ((1 {lex-roles winner})
                      (2 {lex-roles loser})
                      (4 {lex-roles score})
                      (4 ((cat score)))))))
    (lex-roles ((winner ((lex "Denver Nugget")
                         (concept c-nuggets)
                         (number plural)))
                (loser ((concept c-celtics)
                        (lex "Celtic")
                        (number plural)))
                (score ((win 101)
                        (lose 99)))))
    (circum ((manner ((concept c-narrow)))))))

(define _ir11_151
  '((cat clause)
    (proces ((concept c-game-result)
             (tense past)
             (lex "beat")
             (subcat ((1 {lex-roles winner})
                      (2 {lex-roles loser})
                      (4 {lex-roles score})
                      (4 ((cat score)))))))
    (lex-roles ((winner ((lex "Denver Nugget")
                         (concept c-nuggets)
                         (number plural)))
                (loser ((concept c-celtics)
                        (lex "Celtic")
                        (number plural)))
                (score ((win 101)
                        (lose 99)))))
    (circum ((manner ((concept c-narrow)))))))

(define _ir11_152
  '((cat clause)
    (proces ((concept c-game-result)
             (tense past)
             (subcat ((1 {lex-roles winner})
                      (2 {lex-roles loser})
                      (4 {lex-roles score})
                      (4 ((cat score)))))))
    (ao ((concept c-team-rating)
         (partic ((carrier ((concept c-nuggets)))))
         (orientation -)))
    (lex-roles ((winner ((lex "Denver Nugget")
                         (concept c-nuggets)
                         (number plural)))
                (loser ((concept c-celtics)
                        (lex "Celtic")
                        (number plural)))
                (score ((win 101)
                        (lose 99)))))))


(define _ir11_153
  '((cat clause)
    (proces ((concept c-game-result)
             (tense past)
             (lex "beat")
             (subcat ((1 {lex-roles winner})
                      (2 {lex-roles loser})
                      (4 {lex-roles score})
                      (4 ((cat score)))))))
    (ao ((concept c-team-rating)
         (partic ((carrier ((concept c-nuggets)))))
         (orientation -)))
    (adjuncts ((ao none)))
    (lex-roles ((winner ((lex "Denver Nugget")
                         (concept c-nuggets)
                         (number plural)))
                (loser ((concept c-celtics)
                        (lex "Celtic")
                        (number plural)))
                (score ((win 101)
                        (lose 99)))))))


(define _ir11_154
  '((cat clause)
    (proces ((concept c-game-result)
             (tense past)
             (lex "beat")
             (subcat ((1 {lex-roles winner})
                      (2 {lex-roles loser})
                      (4 {lex-roles score})
                      (4 ((cat score)))))))
    (ao ((concept c-team-rating)
         (partic ((carrier ((concept c-nuggets)))))
         (orientation -)))
    (lex-roles ((winner ((lex "Denver Nugget")
                         (concept c-nuggets)
                         (describer none)
                         (number plural)))
                (loser ((concept c-celtics)
                        (lex "Celtic")
                        (number plural)))
                (score ((win 101)
                        (lose 99)))))))


(define _ir11_155
  '((cat clause)
    (proces ((concept c-game-result)
             (tense past)
             (subcat ((1 {lex-roles winner})
                      (2 {lex-roles loser})
                      (4 {lex-roles score})
                      (4 ((cat score)))))))
    (ao ((concept c-team-rating)
         (partic ((carrier ((concept c-nuggets)))))
         (orientation -)))
    (circum ((manner ((concept c-narrow)))))
    (lex-roles ((winner ((lex "Denver Nugget")
                         (concept c-nuggets)
                         (number plural)))
                (loser ((concept c-celtics)
                        (lex "Celtic")
                        (number plural)))
                (score ((win 101)
                        (lose 99)))))))

(define _ir11_156
  '((cat clause)
    (tense past)
    (proc ((type lexical)
           (lex "persuade")
           (subcat ((1 {^3 lex-roles persuader})
                    (2 {^3 lex-roles persuadee})
                    (3 {^3 lex-roles soa})
                    (1 ((cat np)))
                    (2 ((cat np)))
                    (3 ((cat clause)
                        (mood bound)
                        (binder === that)))))))
    (lex-roles ((persuader === customer)
                (persuadee === programmer)
                (soa ((proc ((type existential)))
                      (partic ((located ((cat common) 
                                         (definite no) 
                                         (lex "bug")))))))))))
