;;; -*- Mode:Lisp; Syntax:Common-Lisp; Package: FUG5 -*-
;;; -----------------------------------------------------------------------
;;; File:         determiners.l
;;; Description:  
;;; Author:       Yael Dahan Netzer
;;; Created:      22 Aug 1997
;;; Modified:     
;;; Package:      FUG5
;;; -----------------------------------------------------------------------

(in-package "FUG5")

(def-conj determiners-quantifiers

;; first check if quantitative
;; then if yes - enter this alternation

;; make a feature that is either: (number plural) (countable no)
;; (denotation quatity)
;; Also must be a definition for nouns as mayim, nisuAim, - countable no, number
;; plural

  

;; if partitive and pre-quantifier given - then partitive-phrase should
;; point there. 
;; If post quantifier is given, cat adj, should get the gender, number,
;; definite and mark-definite features.
 
;; features that affect pre-det, post-det: distance, status, total

  (alt check-det-quant-features
       (((definite #(under indef))
         (determiners yes))
        ((total none)
	 (distance none)
	 (status none)
	 (det-type none)
	 (selective none)
	 (determiners none))
	((determiners yes))))

  (alt quantitative
       (((orientation none)
	 (superlative no)
	 (comparative no)
	 (cardinal none)
	 (evaluation none)
	 (evaluative no)
	 (fraction none)
	 (multiplier none)
	 (partitive no)
	 (quantitative no)
	 (quantifier none))
	((quantitative yes)
	 
	 (alt exact
	      (((exact no)
		(quantifier yes)
		(cardinal none)
		(fraction none)
		(multiplier none)
		(alt (((head-cat common))
		      ((head-cat proper))
		      ((head-cat pronoun)
		       (partitive yes)))))
	       ((exact yes)))))))  
 
  (alt realize-total 
       (((determiners none)
	 (ordinal none)
	 (quantitative no))
	((alt total-realize-as  (:index total) 
	      (((total none)
		(total-realize-as none))
	       ((total #(under +))
		;; col hamexoniot hatzehubot
		(alt (((number plural))
		      ((countable no)
		       (number singular))))
		(definite #(under yes))
		(mark-definite yes)
		(total-realized-as partitive)
		(partitive-phrase ((type total)))
		(partitive yes))
               ;; cl yeled
               ((total #(under +))
		(number singular)
		(definite no)
		(countable yes)
		(partitive no)
		(quantifier none)
		(pre-det ((type total)))
		(total-realized-as pre-det))
	       
	       ;; Eyzeh yeled clShu
	       ((total #(under +))
                (definite #(under indef))
                (total-realized-as post-det)
                (det-type generalizing))
               ;; cl SloSah yeladym
	       ;; cl revaw Sawah.
	       ;; cl camah yeladym.
	       ((total #(under +))
		(alt (((number plural))
                      ((countable #(under no)))))
		(definite no)
		(alt (((cardinal given) (number plural)) ;; col shlosha yamim
		      ;; col camah yamim.
		      ((fraction given) (countable #(under no))) ;; col revaw Sawa
		      ((orientation #(under +))
		       (degree none))))
                (pre-det ((type total)))
                (total-realized-as pre-det))
                ;(total-realized-as each) ;; what about col SeAr hayeladym?
		;(pre-det ((type every))));; col cama yamim
	       ;; Sum/Af yeled
	       ((total #(under -))
		(definite no)
                (number singular)
                (partitive no)
                (pre-det ((type total)))
                (total-realized-as pre-det))
	       ;; Af EHad mehayeladym
	       ((total #(under -))
		(definite yes)
                (alt (((number plural))
                      ((countable no))))
		(partitive yes)
		(total-realized-as partitive)
		(partitive-phrase ((type total)
                                   (total -)
                                   (gender {^2 gender})))))))))
         

  (alt pre-det-type
       (((total none))
	((total-realized-as partitive))
        ((total-realized-as post-det))
	((pre-det ((type total)))
	 (partitive no)
	 (pre-quantifier none)
	 (post-quantifier none)
	 (alt total+- 
	      (((total +)
                ;;; PRE-DET here: what cat? no inflections here?
		(pre-det ((cat article)
			  (lex "cl") ;col
			  (nismax yes))))
	       ((total -)
		(pre-det ((cat article)
			  (lex ((ralt ("Af" "Sum"))))
			  (nismax yes)))))))))
        

  
  (:! deictic)

  (opt ordinal 
       ((ordinal given)
	;(realize-ordinal yes)
	(:! ordinal)
	))
  (:! determiner-types)
  
  (:! cardinal-fraction-quantifier)
  ;; cardinal exlusive with quantifier
  (:! multiplier)
  (:! quantifiers)
  
  
  (alt partitive (:wait partitive) 
       (((partitive no))
	((partitive yes)
	 (definite yes)
  ;; 2/11 yael
	(alt partitive-phrase
	      (((partitive-phrase given))
	       ((partitive-phrase ((part {^2 pre-quantifier})))))))))
  
  (:! definite-mark-definite))

;; I make it AP in case it is definite
(def-alt deictic
    (((status none)
      (deictic none))
     ;; give an option for lex..
     ((control (stringp #@{^ status}))
      (deictic ((cat ap)
                (number {^2 number})
                (gender {^2 gender})
                (definite {^2 definite})
                (mark-definite {^3 mark-definite})
		(lex {^2 status}))))
      ((status given)
       (alt (((status same)
	      ({^2 definite} yes)
	      ({^2 mark-definite} ((alt (no yes))))
	      ({^2 distance} none)
              (pre-det ((cat article)))
              (alt (((gender masculine)
                     (alt (((number singular)
                            (pre-det ((lex "Ooto"))))
                           ((number plural)
                            (pre-det ((lex "Ootam")))))))
                    ((gender feminine)
                     (alt (((number singular)
                            (pre-det ((lex "Ootah"))))
                           ((number plural)
                            (pre-det ((lex "Ootan")))))))))))))

              
         ((deictic ( 	       ;; adj or determiner?
		 (type {^2 status})
		 (gender {^2 gender})
		 (number {^2 number})
		 (definite {^3 syntax definite})
		 (alt deictic-type (:index type)
		      (((lex given))
		       ;; Glinert: determiners type b - the same
		       ;; needs agreement
		       
		       ;; Glinert: attributive only adjectives - 
		       ;; (determiner-like-adjectives)
		       ;; needs agreement.
		       ((type different)
			(cat ap)
			(position end)
			(lex "AHer"))
		       ((type specific)
			(cat ap)
			(lex "mesuyam"))
		       ((type mentioned)
			(cat ap)
			(definite yes)

			(lex "medubar"))
		       ((type recent)
			(cat ap)
                        (definite yes)
			(lex "noxaHy"))
		       ((type usual)
			(cat ap)
			(position end)
			(lex "ragyl"))
		       ((type entire)
			(cat phrase)
			(definite yes)
			(pattern (col pronoun))
			(cset ((- pronoun)))
			(col ((cat phrase)
			      (lex "col")))
			(pronoun ((cat pronoun)
				  (case objective)
				  (pronoun-type personal)
				  (gender  {^2 gender})
				  (number {^2 number})
				  (person {^2 person})))))))))))

(def-alt quantifiers (:index quantifier)
  (((quantifier none))
   ;((total-realized-as #(under partitive)))
   ((total-realized-as #(under pre-det)))
   ((quantifier any)
    (alt (((total none))
	  ((total-realized-as each))
	  ((total-realized-as partitive))))
    (alt orientation (:index orientation)
	 (((orientation +)
	   (alt system
		(((system closed)
		  (alt orientation+ 
		       (((superlative no)
			 (comparative no)
			 (evaluation none)
			 (evaluative no)
			 (alt degree-+ (:index degree)
			      (((degree #(under +))
				(alt rav-harbe 
				     ((
				       (definite #(under yes))
				       (post-quantifier 
					((cat ap)
					 (definite yes)
					 (mark-definite {^3 mark-definite})
					 (number {^2 number})
					 (gender {^2 gender})
					 (lex "rav"))))
				      ((pre-quantifier ((cat article)
							(lex "harbeh")))
				       (alt (((partitive no)
					      (definite no))
					     ((partitive yes))))
				       (alt (((number plural))
					     ((countable no))))))))
			       ((degree #(under -))
				(alt (((number plural)
				       (alt (((partitive #(under yes)))
					     ((definite no))))
				       (countable yes);; not mass
				       (pre-quantifier ((cat article)
							(lex "camah"))))
				      ((countable #(under no))
				       (pre-quantifier ((cat article)
							(lex "kZat")))))))
                               ((number plural)
				(alt (((partitive #(under yes)))
				      ((definite no))))
                                (countable yes);; not mass
                                (pre-quantifier ((cat article)
                                                 (lex "camah"))))
                               ((countable #(under no))
                                (pre-quantifier ((cat article)
                                                 (lex "kZat")))))))
			;; what will it be for MASS nouns? I do not know!!                               
					;((countable #(under no))
					;(pre-quantifier ((cat phrase)
					;	 (lex "kZat")))))))
			((superlative no)
			 (comparative #(under yes))
			 (evaluation none)
			 (evaluative no)
			 (alt (((definite no)
                                (alt (((number plural))
                                      ((countable #(under no))))))
			       ((partitive yes))))
			 (pre-quantifier ((cat article)
					  (lex "yoter"))))
			;; take care not to be partitive construction
			((comparative no)
			 (evaluation none)
			 (evaluative no)
			 (superlative #(under yes))
			 (definite yes)
			 (partitive yes)
			 (pre-quantifier ((cat quant-partitive)
					  
					  (lex ((ralt ("marbyt" "rov")))))))
			((evaluative #(under yes))
			 (superlative no)
			 (comparative no)
			 (alt (((evaluation +)
				(pre-quantifier ((cat article)
						 (lex "maspyk"))))
			       ((evaluation #(under -))
				(pre-quantifier ((cat article)
						 (lex "yoter mday"))))))))))
		 ((system open)
		  (interrogative no)
		  (evaluative no)
		  (evaluation none)
		  (superlative no)
		  (comparative no)
		  (degree +)
		  ;; mispar rav shel talmidim.. mispar gadol, atzum..
		  (alt plural-or-mass
		       (((number plural)
			 (quant-head ((cat noun) 
				      (lex ((alt (given "myspar"))))))
			 (quant-mod ((cat adj)
				     (lex ((alt (given
						 ((ralt ("gadol" "rav")))))))))
					;({^ head-case} objective)
			 (pattern (quant-head quant-mod shel))
			 (shel ((cat prep) (lex "Sel"))))
			((countable no)
			 (pattern (quant-head quant-mod shel))
			 (cset ((- quant-mod quant-head shel)))
			 ;; Is there another possibility here ? see SURGE
			 (quant-head ((cat noun)
				      (lex "camut")
				      (gender feminine)
				      (definite {^2 definite})))
			 (quant-mod ((cat adj)
				     (gender {^ quant-head gender})
				     (definite {^ quant-head definite})
				     (mark-definite {^ quant-head definite})
				     (lex ((alt (given ((ralt ("gadol" "rav"))))))))))))))))
	  
			
	  ((orientation #(under -))
	   (alt orientaion-
		(((system closed)
		  (alt 
		   (((superlative no)
		     (comparative no)
		     (evaluation none)
		     (evaluative no)
		     (alt (((number plural)
                            (pre-quantifier ((cat article)
				       (lex "mewaT"))))
			   ((countable no)
                            (pre-quantifier ((cat article)
                                             (lex "mewaT"))))))
		     )
		    ((superlative no)
		     (comparative #(under yes))
		     (definite no)
		     (pre-quantifier ((cat article)
				      (lex "paHot"))))
		    ((comparative no)
		     (superlative #(under yes))
		     (definite yes)
		     (pre-quantifier ((cat article)
				      (lex "miwuT"))))
		    ((evaluative #(under yes))
		     (alt (((evaluation #(under +))
			    (pre-quantifier ((cat article)
					     (lex "day"))))
			   ((evualuation -)
			    (pre-quantifier ((cat article)
					     (lex "paHot mday"))))))))))
		 
		 ((system open)
		  (evaluative no)
		  (evaluation none)
		  (superlative no)
		  (comparative no)
		  (definite no)
		  (pattern (quant-head quant-mod shel))
		  (cset ((- quant-mod quant-head of)))
		  (alt (((number plural)
			 (quant-head ((cat noun) (lex "mispar")))
			 (quant-mod ((cat adj)
				     (lex ((alt ("katan" given))))))
			 (shel ((cat prep) (lex "Sel"))))
			((countable no)
			 (quant-head ((cat noun)
				      (lex "camut")
				      (gender feminine)
				      (definite {^2 definite})))
			 (quant-mod ((cat adj)
				     (gender {^ quant-head gender})
				     (definite {^ quant-head definite})
				     (lex ((alt (given ((ralt ("katan" "muwat")))))))))))))))))))))

	


(def-alt cardinal
  (((cardinal given)
    (alt exact-cardinal
	 (((exact yes)
	   (cardinal ((value given)))
	   (cardinal ((digit ((alt (no yes))))
		      (definite {^2 definite})
		      (gender {^2 gender})))
	   (alt (((control (and (numberp #@{^ cardinal value})
				(= #@{^ cardinal value} 1)))
		  (cardinal ((cat cardinal))))
		 ((control (numberp #@{^ cardinal value}))
		  (cardinal ((cat cardinal)
			     ;; yd 24/12
			     (alt cardinal-wo-gap
				  ((({^2 head gap} none)
				    ({^2 head case} objective)
				    (definite {^2 definite})
				    ;; take care here when head is gapped- not
				    ;; to generate a nismax form of number
				    (alt cardinal-form
					 (((value 2)
					   (nismax yes))
					  ((value given)
					   (alt (((definite no)
						  (nismax no))
						 ((definite yes)
					   (nismax yes))))))))
				   (({^ head gap} #(under yes))
				    (nismax no))))))))))
					
	 ((exact no))))) ;; make a system for: astrot, me'ot..revavot
   ((cardinal none))))

;; ordinals
(def-alt ordinal
  (((ordinal none))
   ((ordinal given)
    (alt ordinal-number-constraints
	 (((ordinal ((value ((alt (1 - + last <>))))))
	   (alt (((number plural)
		  (countable yes))
		 ((countable no))))) ;; allow - bazman haAHaron..
	  ((cardinal none)
	   (quantifier none)
	   (number singular)
	   (countable yes))))
    (alt (((ordinal  ((alt (((control (integerp #@{^ value})))
                            ((value none))))))
	   (ordinal ((cat ordinal)
		     (gender {^2 gender})
		     (number {^2 number})
		     (definite {^2 definite})
		     (mark-definite {^2 mark-definite}))))
          
	  ((ordinal ((cat ap)
		     (gender {^2 gender})
		     (number {^2 number})
		     (definite {^2 definite})
		     (mark-definite {^2 mark-definite})
		     (alt ordinal-value
			  (((value +)
			    (definite yes)
			    (mark-definite yes)
			    (lex "bA") ;; okev...???
			    )
			   ((value -)
			    ;(definite yes)
			    (lex "kodem")) 
			    ((value <>) ;; why is it ordinal???
			     (lex "AHer") ; seems to be a determiner.
			     )
			    ((value ?)
			     (definite yes)
			     (lex "my yodew camah"))
			    ((value last)
			     (lex "AHaron"))))))))))))




;; ordinal agrees in gender,number,definiteness....     
;; can appear without a noun: ha-ba sheyavo.. 
(def-conj cat-ordinal
  (cat ordinal)
  (complex none)
  (alt (((value given)
	 (control (and (integerp #@{^ value})
		       (> #@{^ value} 0) 
		       (< #@{^ value} 100)))
	 (digit no))
	((digit yes))))
  (alt (((mark-definite yes)
	 (pattern (det head))
	 (det ((cat article)
	       (definite yes)))

	 (head ((cat ordinal)
		(digit {^2 digit})
		(value {^2 value})
		(lex {^2 lex})
		(number {^2 number})
		(gender {^2 gender})))
	 (cset ((- head))))
	 
	((mark-definite no)))))
	 
  
	 
	 
		  
;;; TODO: if its (definite no) perhaps it should be "yeled mispar 100"
	 
(def-alt cardinal-fraction-quantifier
	 (((cardinal none)
	   (fraction none))
	  ((cardinal given)
	   (cardinal ((cat cardinal)
		      (partitive {^2 partitive})
		      (gender {^2 gender})
		      (definite {^2 definite})))
	   ;;; yd 28/12
           (alt (((fraction given)
		  (partitive yes)
		  (definite yes)
		  (partitive-phrase ((type fraction))))
		 ((total +))
		 ((partitive no))))
	   (:! cardinal))
		  ;; between 2-7 pronoun can be compound
	  ((cardinal given)
	   (cardinal ((cat cardinal)))
	   ({^ head} ((gap #(under yes)))))
	  ((cardinal given)
	   (partitive #(under yes))
	   (cardinal ((cat cardinal)
		      (gender {^2 gender}))))
          ((fraction given)
	   (fraction ((alt (((den 2)
			     (num 1)
			     (fraction-as partitive)
			     (cat quant-partitive)
			     (lex "maHaZyt"))
			    ((cat fraction)
			     ))))))))
			     


;; I do not check yet coocurance.
;; It seems to me that when (partitive yes) it can appear with
;; any NP, and as an amount-quantifier, it might be as a cardinal
;; and fraction.
(def-alt multiplier
  (((multiplier none))
   ((multiplier given)
    (alt (((countable yes)
           (number plural))
          ((countable no))
          ((countable yes)
           (number singular)
           (head-denotation quantity))))
    
    (multiplier ((cat phrase)
		 (alt (((value 1)
			(cat phrase)
			(lex "pawam AHat"))
		       ((value 2)
			(cat phrase)
			(lex ((ralt ("ciflayim" "py Stayim")))))
		       ((control (numberp #@{^ value}))
			(ralt (((times ((cat phrase) (lex "pewamym")))
                                (partitive no)
                                (pattern (quantity times)))
			       ((times ((cat phrase) (lex "py")))
				(pattern (times quantity)))))
			(quantity ((cat cardinal)
				   (gender feminine)
				   (definite no)
				   (value {^2 value})))))))))))


(def-alt determiner-types
;;; glinert - type A - demonstratives
  (((distance none)
    (det-type none)
    (selective none))
   ;; yeled zeh, hayeled hahu'
   ((distance given)
    (det-type demonstrative)
    (definite yes)
    ;({^2 possessor} none)
    (:! demonstratives))
;;; glinert - type B - same: handled with deictics (status)
;;; glinert - type C - such: yaelda cazot, Secaze
   ((distance none)
    (det-type such)
    (selective none)
    (definite ((alt (no indef))));; allow 'eyze IyS cazeh bA' (?)
    (post-det ((cat pp)
	      (prep ((lex "c")))
	      (np ((cat demonstrative-pronoun)
		   (pronoun-type demonstrative)
		   (number {^3 number})
		   (gender {^3 gender})))
	      (cset ((- np))))))
;;; glinert - type D - indeterminate (some..) - handled as (definite indef)
;;; glinert - type E - a certain - use (selective yes) 
   ((selective #(under yes))
    (det-type selective)
    (distance none)
    (definite ((alt (no indef))))
    ;(cardinal none)
    (countable yes)
    (alt selective-number 
	 (((number singular)
           (cardinal none)
	   (post-det ((cat article)))
	   (alt (((gender masculine)
		  (post-det ((lex "EHad"))))
		 ((gender feminine)
		  (post-det ((lex "AHat")))))))
	  ((number plural)
	   (cardinal none)
	   (alt ((
                  (definite #(under indef))
		  
		  (pre-det ((cat article)
			    (pattern (indef-art head))
			    (head ((cat phrase)
				   (lex "camah"))))))
		 ((gender masculine)
                  (post-det ((lex "AHadym") (cat article))))
                 ((gender feminine)
                  (post-det ((lex "AHadot") (cat article)))))))
          ((cardinal given)
           (pre-det ((cat article)
                     (lex "eyzeh")))))))
   ;; glinert - type F - ill-definted "a sort of..."
   ((det-type sort-of)
    (distance none)
    (alt (((definite no)
	   (pre-det ((cat article) (lex "min"))))
	  ((definite indef)
	   (pre-det ((cat article)
		     (pattern (indef-art head))
		     (head ((cat phrase)
			    (lex "min")))))))))

   ;; also - as post-det : Angly meshune caze
   ;; and more see p. 94
   
   ;; type g - "the-very .." with abstract noun: weZem hamaHSava (definite)
   ;; type h - the main, the basic: wiqar hewarim
   ;; type i - generalizing - cl Synuy, dyrah clShy.
   ((det-type generalizing)
    (total-realized-as post-det)
    (distance none)
    (definite ((alt (indef no))))
    
    (alt (((gender masculine)
           (alt (((number singular)
                  (post-det ((cat article) (lex "clSehu"))))
                 ((number plural)
                  (post-det ((cat article) (lex "clSehem")))))))
          ((gender feminine)
           (alt (((number singular)
                  (post-det ((cat article) (lex "clSehy"))))
                 ((number plural)
                  (post-det ((cat article) (lex "clSehen"))))))))))
   ;; type j - all-sort-of - cl miney Synuyim
   ;; type k - X-sort-of Sney sugey haparot (determiner due to agreement!)
   ;; type l - negatives - Sum wiparon - (total -) (definite no)
   ;; type m - interrogative and exclamatory - eyze teruZ yeS lo?
   ;; type n - descriptive (non-indentificatory) motek Sel baHura: describer - do realize-as determiner
   ;; type o - superlative - mivHar hamegilot,
   ;;          (definite yes)
		 ))
	
	 

(def-alt demonstratives
  (((distance none))
   ((distance given)
    (definite yes)
    (selective none)
    (interrogative no)
    ;; cannot generate: yaldy hazeh
    (alt (((possessor none))
	  ((possessive-style pp))))
    (alt (((distance near)
	   (post-det 
	    ((cat phrase)
	     (mark-definite {^3 mark-definite})
	     (pattern (dots ze))
	     (cset ((- ze)))
	     (ze ((cat demonstrative-pronoun)
		  (distance near)
		  (pronoun-type demonstrative)
		  (gender {^3 gender})
		  (number {^3 number})))
	     (alt (((mark-definite yes)
		    (pattern (ha ze))
		    (ha ((cat article)
			 (definite yes))))
		   ((mark-definite no)
		    (pattern (ze))))))))
		
	  ((distance #(under far))
	   ;; two possiblities: oto yeled, hayeled hahu.
	   ;; don't mind differences now.
	   (ralt ((({^2 mark-definite} ((alt (yes no)))) ;; maya-agmon
                   ;; change this to lex!! YD **********8
                   (pre-det ((cat article)))
                   (alt (((gender masculine)
                          (alt (((number singular)
                                 (pre-det ((lex "Ooto"))))
                                ((number plural)
                                 (pre-det ((lex "Ootam")))))))
                         ((gender feminine)
                          (alt (((number singular)
                                 (pre-det ((lex "Ootah"))))
                                ((number plural)
                                 (pre-det ((lex "Ootan"))))))))))
                  (({^2 mark-definite} yes)
		   (post-det ((cat phrase)
			      (pattern (ha hu))
			      (cset ((- hu)))
			      (ha ((cat article)
				   (definite yes)))
			      (hu ((cat pronoun)
				   (pronoun-type demonstrative)
				   (distance far)
				   (person third)
				   (gender {^3 gender})
				   (number {^3 number}))))))))))))))
;;; oto yeled she ba etmol (that boy...)



	
;; make another possibility for definite: indef.


(def-alt definite-mark-definite (:wait definite)
  (((definite no)
    (mark-definite no))
   ((definite #(under indef))
    (mark-definite {^2 mark-definite})
    (alt (((mark-definite indef)
           (pre-det ((cat article)
                     (pattern (indef-art dots))
                     (indef-art ((cat phrase)
                                 (alt ((({^2 gender} #(under feminine))
                                        (number singular)
                                        (lex "Eyzu"))
                                       ((lex "Eyzeh")))))))))
          ((mark-definite no)))))
   ;; allow:
   ;; eyze yeled eHad... 
   ;; eyze camah yeladim
   ;; eyzu yalda baAah.
   ((definite yes)
    (alt (((head-cat common))
	  ((head-cat pronoun))
	  ((head-cat proper)
	   (alt (((number singular))
		 ((number plural)
		  ({^2 mark-definite} yes)))))))
    (alt mark-definite
	 (((mark-definite yes))
	  ((mark-definite no)))))))

;; post-det agree in mark-definite with head-noun
;; 
;; ============================================================
(provide "determiners")
;; ============================================================