;;; -*- Mode:Lisp; Syntax:Common-Lisp; Package: FUG5 -*-
;;; -----------------------------------------------------------------------
;;; File:         hir.l
;;; Description:  Very new inputs.
;;; Author:       Yael Dahan Netzer
;;; Created:      19 Apr 1997
;;; Modified:     
;;; Package:      FUG5
;;; -----------------------------------------------------------------------

(in-package "FUG5")

;; use script of Dana Yizhar
;; Glinert Chap. 1
(def-test h1
  "pyZah." ;; pitza
  ((cat common)
   (lex "pyZah")))

(def-test h2
  "hapyZah." ;; pitza
  ((cat common)
   (definite yes)
   (lex "pyZah")))

(def-test h3
  ("Eyzeh Haver."
   "Haver EHad.")
  ((cat common)
   (lex "Haver")
   (selective yes)))

(def-test h4
  "daVyd haHamud."
  ((cat proper)
   (lex "daVyd")
   (describer ((lex "Hamud")))))
;; Hibaknu et moSe haHamud

(def-test h5
  "sybah zot."
  ((cat common)
   (lex "sybah")
   (gender feminine)
   (distance near)
   (mark-definite no)))

(def-test h6
  "hasybah hazot."
  ((cat common)
   (lex "sybah")
   (gender feminine)
   (distance near)))
   ;(mark-definite yes)

(def-test h7
 "namery hawemeqym." ;; nemery haamkim
 ((cat common)
  (lex "namer")
  (classifier ((lex "wemeq")
	       (number plural)))
  (definite yes)
  (number plural)))

(def-test h8
  "nameryhem."
  ((cat common)
   (lex "namer")
   (number plural)
   (possessor ((cat pronoun)
	       (number plural)))))

(def-test h9
 "Ooto sVVeder." ;;oto sVeder
 ((cat common)
  (lex "sVVeder")
  (status same)))

(def-test h10
  "Ooto sVVeder."
  ((cat common)
   (lex "sVVeder")
   (status same)
   (definite yes)))

(def-test h11
  "hasVeder hazeh." ;; hasVeder haze
  ((cat common)
   (lex "sVeder")
   (distance near)))

(def-test h12
  "sVeder zeh."
  ((cat common)
   (lex "sVeder")
   (distance near)
   (mark-definite no)))

(def-test h13
  "daVyd Sely." ;moSe Seli
  ((cat proper)
   (lex "daVyd")
   (possessor ((cat pronoun) (person first)))))

(def-test h14
  "Zarfat Sel VySy." ;;tzarfat Sel ViSi
  ((cat proper)
   (lex "Zarfat")
   (possessor ((cat proper) (lex "VySy")))))

(def-test h15
  "Sarah haSniyah." ;;sara haSniya
  ((cat proper)
   (ordinal ((value 2)))
   (gender feminine)
   (lex "Sarah")))

(def-test h16
  "yuny habA." ;;yuni haba
  ((cat proper)
   (lex "yuny")
   (ordinal ((value +)))))

(def-test h17
  "hagrynbergym." ;; hagrinbergim
  ((cat proper)
   (lex "grynberg")
   (number plural)))

(def-test h18 ;;is this possible? (surge: this last)
  
  "zeh haAHaron." ;;ze haAHaron
  ((cat demonstrative-pronoun)
   (distance near)
   (ordinal ((value last)))))

;; cat partitive -- no good yet. surge:"One they."
(def-test h19
  "EHad mhem."
  ((cat pronoun)
   (partitive yes)
   (cardinal ((value 1)))
   (number plural)))


(def-test h20
  "begedy Sabat." ;bigdey Sabat
  ((cat common)
   (lex "beged")
   (number plural)
   (classifier ((cat common)
		(lex "Sabat")))))

(def-test h21
  "begedy hatynok." ;bigdey hatinok
  ((cat common)
   (lex "beged")
   (number plural)
   (definite yes)
   (classifier ((cat common)
		(lex "tynok")))))

(def-test h22
  "begedym Sel Sabat."
  ((cat common)
   (lex "beged")
   (number plural)
   (possessive-style pp)
   (possessor ((cat common)
	       (lex "Sabat")))))

(def-test h23
  "habegedym Sel hatynok."
  ((cat common)
   (lex "beged")
   (definite yes)
   (number plural)
   (possessor ((cat common)
	       (definite yes)
	       (lex "tynok")))
   (possessive-style pp)))

(def-test h24
  "begedym Sel hatynok."
  ((cat common)
   (lex "beged")
   (definite no)
   (number plural)
   (possessor ((cat common)
	       (definite yes)
	       (lex "tynok")))))
   

(def-test h25
  "begedayV Sel hatynok."
  ((cat common)
   (lex "beged")
   (number plural)
   (possessive-style double-genitive)
   (possessor ((cat common)
	       (definite yes)
	       (lex "tynok")))))

;;; does not work well.
(def-test h26
  "Habery hanawarah hazot."
  ((cat common)
   (lex "Haber")
   (animate yes)
   (number plural)
   (definite yes)
   (classifier ((cat common)
		(lex "nawarah")
		(gender feminine)
		(mark-definite yes)
		(distance near)))))
		
(def-test h27
  "haIyS qaZar haSewar." ;; hiS ktzar hase'ar
  ((cat common)
   (lex "IyS")
   (definite yes)
   (describer ((cat ap)
	       (lex "qaZar")
	       (classifier ((cat common) (lex "Sewar")))
	       (realize-as construct)))))

(def-test h28
  "sfalym male'y mayim qarym."
  ((cat common)
   (lex "sefel")
   (number plural)
   (describer ((cat ap)
	       (lex "male'")
	       (realize-as construct)
	       (classifier ((cat common)
			    (lex "mayim")
			    ;;referencce-number plural
			    (describer "kar")))))))
			    
(def-test h29
  "Surat qonym Aroxah."
  ((cat common)
   (gender feminine)
   (lex "Sura")
   (classifier ((lex "qone") (number plural)))
   (describer ((lex "Arox")))))

(def-test h30
  "Snayim mhadubym." ;Snayim mehadubim
  ((cat common)
   (lex "dov")
   (cardinal ((value 2)))
   (partitive yes)))

(def-test h31
  "megylot hacat hawatyqah."
  ((cat common)
   (lex "megylah")
   (definite yes)
   (number plural)
   (gender feminine)
   (classifier ((lex "cat")
		(gender feminine)
		(describer ((lex "watyq")))))))

(def-test h32
  "masaw hasatah wadatyt waqSany."
  ((cat common)
   (lex "masaw")
   (classifier ((cat common)
		(lex "hasatah")
		(gender feminine)
		(classifier ((cat ap) (lex "wadaty")))))
   (describer ((lex "waqSany")))))

(def-test h33
  ("marbyt hamenorot hahen."  ;; and threre are more..
   "meyrav hamenorot hahen."
   "rov hamenorot hahen.")
  ((cat common)
   (lex "menorah")
   (gender feminine)
   (number plural)
   (superlative yes)
   (orientation +)
   (determiner ((det ((position end)))))
   (distance far)))

(def-test h34
  ("marbyt Ootan hamenorot."  ;; and threre are more..
   "meyrav Ootan hamenorot."
   "rov Ootan hamenorot.")
  ((cat common)
   (lex "menorah")
   (gender feminine)
   (number plural)
   (superlative yes)
   (orientation +)
   ;(determiner ((det ((position front)))))
   (distance far)))

(def-test h35
  "yeledy hanawarah hazot."
  ((cat common)
   (lex "yeled")
   (number plural)
   (possessor ((cat common) (lex "nawar") (animate yes)
	       (gender feminine) (distance near)))))
   


(def-test h36
  "SloSah Avot."
  ((cat common)
   (lex "Av")
   (cardinal ((value 3)))))

(def-test h37
  "hayeled."
  ((cat np)
   (definite yes)
   (lex "yeled")))

(def-test h38
  "hayeledym."
  ((cat np)
   (definite yes)
   (number plural)
   (lex "yeled")))

(def-test h39
  "yeled."
  ((cat np)
   (definite no)
   (lex "yeled")))

(def-test h40
  "yeledym."
  ((cat np)
   ;(definite no)
   (number plural)
   (lex "yeled")))
   
(def-test h41
  "Which car."
  ((cat np)
   (interrogative yes)
   (lex "car")))

(def-test h42
  "Eyzeh yeled."
  ((cat np)
   (interrogative yes)
   (selective no)
   (lex "yeled")))

(def-test h43
  "Whose yeled."
  ((cat np)
   (interrogative yes)
   (possessive yes)
   (lex "yeled")))

(def-test h44
  "yeledi."
  ((cat np)
   (lex "yeled")
   (possessor ((cat personal-pronoun)
	       (person first)))))

(def-test h45
  "yeled Sel jon."
  ((cat np)
   (lex "yeled")
   (possessor ((cat proper)
	       (lex "jon")))))

(def-test h46
  "yeledym Sel haIyS."
  ((cat np)
   (number plural)
   (possessive-style pp)
   (lex "yeled")
   (possessor ((cat np)
	       (definite yes)
	       (lex "IyS")))))

(def-test h47
  "Which man's car."
  ((cat np)
   (interrogative yes)
   (lex "car")
   (possessor ((cat np)
	       (lex "man")))))

(def-test h48
  "yeled zeh."
  ((cat common)
   (mark-definite no)
   (distance near)
   (lex "yeled")))

(def-test h49
  "hayeled hazeh."
  ((cat common)
   ;(mark-definite yes)
   (distance near)
   (lex "yeled")))

(def-test h50
  ("hayeled hahu'."
   "Ooto hayeled.")
  ((cat common)
   (distance far)
   (lex "yeled")))


;; Test quantifier det

(def-test h51
  "cl hayeledym."
  ((cat common)
   (number plural)
   (definite yes)
   (total +)
   (lex "yeled")))

(def-test h52
  ("Af yeled."
   "Sum yeled.")
  ((cat common)
   (number singular)
   (total -)
   (lex "yeled")))

(def-test h53
  "Af EHad mhayeledym."
  ((cat common)
   (number plural)
   (total -)
   (definite yes)
   (lex "yeled")))

(def-test h54
  "cl yeled."
  ((cat common)
   (lex "yeled")
   (number singular)
   (total +)))

(def-test h55
  "Both cars."
  ((cat common)
   (lex "car")
   (definite no)
   (number dual)
   (total +)))
   
(def-test h56
  "Neither car."
  ((cat common)
   (lex "yeled")
   (reference-number dual)
   (total -)))

(def-test h57
  ("yeled EHad."
   "Eyzeh yeled.")
  ((cat common)
   (lex "yeled")
   (total none)
   (selective yes)
   (number singular)))

(def-test h58
  "Either car."
  ((cat common)
   (lex "car")
   (total none)
   (reference-number dual)
   (selective yes)))

(def-test h59
  ("yeledym clSehem."
  "EyzeSehem yeledym.")
  ((cat common)
   (lex "yeled")
   (number plural)
   (total none)
   (selective yes)))

(def-test h60
  "Sney-SlySym hamexoniyot."
  ((cat common)
   (lex "mexonit")
   (gender feminine)
   (fraction ((num 2)
	      (den 3)))
   (definite yes)
   (number plural)))

(def-test h61
  "2/3 hamexonit."
  ((cat common)
   (lex "mexonit")
   (gender feminine)
   (fraction ((num 2) (den 3) (digit yes)))
   (definite yes)))

(def-test h62
  "2/3 mhamexonit."
  ((cat common)
   (partitive yes)
   (lex "mexonit")
   (gender feminine)
   (fraction ((num 2) (den 3) (digit yes)))
   (definite yes)))

(def-test h63
  ("py SaloS haHemAh."
   "SaloS pewamym haHemAh.")
  ((cat common)
   (lex "HemAh")
   (gender feminine)
   (countable no)
   (multiplier ((value 3)))
   (definite yes)))

(def-test h64
  ("ciflayim maScoreto."
   "py Stayim maScoreto.")
  ((cat common)
   (lex "maScoret")
   (denotation quantity)
   (multiplier ((value 2)))
   (possessor ((cat personal-pronoun)
	       (person third)
	       (gender masculine)))))

(def-test h65
  "Stey-HamySiyot mwaseret hayeledym."
  ((cat common)
   (lex "yeled")
   (cardinal ((value 10) (digit no)))
   (fraction ((num 2) (den 5)))
   (definite yes)))


(def-test h66
  "cli."
  ((cat personal-pronoun)
   (reference-number singular)
   (total +)
   (partitive yes)
   (person first)))

(def-test h67
  "hayeledym haravym."
  ((cat common)
   (lex "yeled")
   (exact no)
   (number plural)
   (definite yes)
   (degree +)
   (orientation +)))

(def-test h68
  "mewat hayeledym."
  ((cat common)
   (lex "yeled")
   (exact no)
   (definite yes)
   (number plural)
   (orientation -)))

(def-test h69
  ("hamon yeledym."
   "harbeh yeledym.")
  ((cat common)
   (lex "yeled")
   (definite no)
   (number plural)
   (degree +)
   (orientation +)))

(def-test h70 ;; Definite in Hebrew? cannot
  ;*"yoter hamexoniyot."
  "yoter mexoniyot."
  ((cat common)
   (lex "mexonit")
   (gender feminine)
   ;(definite yes)
   (number plural)
   (orientation +)
   (comparative yes)))

(def-test h71
  ("rov hayeledym."
   "meyrav hayeledym."
   "marbyt hayeledym.")
  ((cat common)
   (lex "yeled")
   (definite yes)
   (number plural)
   (orientation +)
   (superlative yes)))

(def-test h72
  ("maspyk yeledym."
   "day yeledym.")
  ((cat common)
   (lex "yeled")
   (definite no)
   (number plural)
   (evaluative yes)
   (evaluation +)
   (orientation +)))

(def-test h73
  "yoter mday yeledym."
  ((cat common)
   (lex "yeled")
   (definite no)
   (number plural)
   (evaluative yes)
   (evaluation -)
   (orientation +)))

(def-test h74
  ;"some sucar."
  "kZat sucar."
  ((cat common)
   (countable no)
   (lex "sucar")
   (definite no)
   (orientation +)))

(def-test h75
  ("harbeh sucar."
   "hamon sucar.")
  ((cat common)
   (countable no)
   (lex "sucar")
   (definite no)
   (degree +)
   (orientation +)))

(def-test h76
  "kZat sucar."
  ((cat common)
   (countable no)
   (lex "sucar")
   (definite no)
   (degree -)
   (orientation +)))

(def-test h77
  "john."
  ((cat proper)
   (lex "John")))

(def-test h78
  "hagrinbergym."
  ((cat proper)
   (number plural)
   (lex "grinberg")))

(def-test h79
  "hu'."
  ((cat personal-pronoun)
   (person third)
   (number singular)
   (gender masculine)))

(def-test h80
  "hem."
  ((cat personal-pronoun)
   (person third)
   (number plural)
   (gender masculine)))

(def-test h81
  "maspyk mmeno."
  ((cat personal-pronoun)
   (countable no)
   (person third)
   (gender masculine)
   (evaluative yes)))

(def-test h82
  "Ootam Sney yeledym."
  ((cat common)
   (lex "yeled")
   (cardinal ((value 2)))
   (status same)))
  

(def-test h83
  "Sney yeledym AHerym."
  ((cat common)
   (lex "yeled")
   (cardinal ((value 2)))
   (status different)))

(def-test h84
  "haperek hanal."
    ((cat common)
   (lex "perek")
   (status mentioned)))

(def-test h85
 "hatavlyn hamesuyam hazeh."
  ((cat common)
   (lex "tavlyn")
   (distance near)
   (status specific)))

(def-test h86
  "tiyulo haragyl."
  ((cat common)
   (lex "tiyul")
   (possessor ((cat personal-pronoun)
	       (person third)
	       (gender masculine)))
   (status usual)))

(def-test h87
  "yeledo colo."
  ((cat common)
   (lex "yeled")
   (possessor ((cat personal-pronoun)
	       (person third)
	       (gender masculine)))
   (status entire)))

(def-test h88
  "What."
  ((cat question-pronoun)))
   

;;;;;; FUNCTIONAL categories

(def-test h89
  "lev Ariyeh."
  ((cat have) 
   (owner ((lex "Ariyeh"))) 
   (possessed ((lex "lev")))))

(def-test h90
  "lev habarzel Sel Arieh."
  ((cat have) 
   (classifier ((lex "barzel"))) 
   (owner ((lex "Arieh"))) 
   (definite yes) 
   (possessed ((lex "lev")))))

(def-test h91
  "lev haArieh Selo."
  ((cat have) 
   (possessor ((cat pronoun))) 
   (owner ((lex "Arieh"))) 
   (definite yes) 
   (possessed ((lex "lev")))))

(def-test h92
  "lev haeven Selo Sel Arieh."
  ((cat have) 
   (possessor ((cat pronoun))) 
   (classifier ((lex "Even"))) 
   (owner ((lex "Arieh"))) 
   (definite yes) 
   (possessed ((lex "lev")))))

(def-test h93
  "bakbuk yain."
  ((cat container) 
   (container ((lex "bakbuk"))) 
   (contained ((lex "yain")))))

(def-test h94
  "bakbuk lyain."
  ((cat container) 
   (container ((lex "bakbuk"))) 
   (REALIZE-FUNCTION-AS qualifier) 
   (contained ((lex "yain")))))

(def-test h95
  "bakbuk Even lyain."
  ((cat container) 
   (container ((lex "bakbuk"))) 
   (classifier ((lex "Even")))  
   (contained ((lex "yain")))))

(def-test h96
  "bakbuk Even Sel yain wal cise'."
  ((cat container) 
   (container ((lex "bakbuk"))) 
   (qualifier ((cat pp) 
	       (prep ((lex "wal"))) 
	       (np ((lex "cise'"))))) 
   (classifier ((lex "Even")))  
   (contained ((lex "yain")))))

(def-test h97
  "mewil wor."
  ((cat material)
   (material ((lex "wor")))
   (object ((lex "mewil")))))

(def-test h98
  "mewil mwor."
  ((cat material)
   (material ((lex "wor")))
   (object ((lex "mewil")))
   (REALIZE-FUNCTION-AS qualifier)))

(def-test h99
  "psanter canaf Sel hamorah."
  ((cat have1)
   (owner ((lex "psanter")))
   (possessed ((lex "canaf")))
   (possessor ((cat common) (lex "moreh") (animate yes) 
	       (gender feminine) (definite yes)))))

(def-test h100
  "sefer kri'a wim tmunot."
  ((cat have1)
   (owner ((lex "sefer")))
   (classifier ((lex "kri'a")))
   (possessed ((lex "tmunot"))))) 

(def-test h101
  "hayeled hasaHkan."
  ((cat identity)
   (definite yes)
   (identifier ((lex "yeled"))) 
   (identified ((lex "saHkan")))))

(def-test h102
  "magheZ Edym."
  ((cat use)
   (user ((lex "magheZ")))
   (used ((lex "Edym")))))

(def-test h103
  "hamaghetz haHaSmali."
  ((cat use)
   (definite yes)
   (user ((lex "magheZ")))
   (used ((lex "HaSmali") (cat ap)))))

(def-test h104
  "gur Arie."
  ((cat type)
   (object ((lex "gur")))
   (type ((lex "Arie")))))

(def-test h105
  "ma'asar bait."
  ((cat location)
   (locative-relation in)
   (REALIZE-FUNCTION-AS classifier)
   (located ((lex "ma'asar")))
   (location ((lex "bait")))))

(def-test h106
  "haHatul wal SulHan hasalon."
  ((cat location)
   (locative-relation on)
   (located ((lex "Hatul")))
   (definite yes)
   (location ((cat location)
	      (definite yes)
	      (located ((lex "SulHan")))
	      (location ((lex "salon")))
	      (REALIZE-FUNCTION-AS classifier)))))

(def-test h107
  "Simlat Hatunah."
  ((cat for)
   (object ((lex "Simlah")))
   (purpose ((lex "Hatunah")))))

(def-test h108
  "macat HaSmal."
  ((cat caused)
   (causer ((lex "HaSmal")))
   (caused ((lex "maca")))))

(def-test h109
  "maca HaSmalit."
  ((cat caused)
   (gender feminine)
   (causer ((lex "HaSmali") (cat ap)))
   (caused ((lex "maca")))))

(def-test h110
  "cViyat sygaryot."
  ((cat caused)
   (causer ((lex "sygarya") (gender feminine) (number plural)))
   (caused ((lex "cViya")))))

#+ingore(def-test fun23
  "yatus kadaHat."
  ((cat cause)
   (causer ((lex "yatuS")))
   (caused ((lex "kadaHat")))))

(def-test h111
  "tolawat meSy."
  ((cat produce)
   (producer ((lex "tolawat")))
   (artifact ((lex "meSy")))))

(def-test h112
  "zer peraHym."
  ((cat make)
   (configuration ((lex "zer")))
   (units ((lex "peraH")))))

(def-test h113
  "mewyl wor."
  ((cat make)
   (object ((lex "mewyl")))
   (material ((lex "wor")))))

(def-test h114
  "nahar prat."
  ((cat name)
   (named ((lex "nahar")))
   (private-name ((lex "prat")))))

(def-test h115
  "taHarut wal-Sem yaSa HefeZ."
  ((cat name)
   (named ((lex "taHarut")))
   (private-name ((lex "yaSa HefeZ")))
   (REALIZE-FUNCTION-AS qualifier)
   (naming-type in-memory)))

(def-test h116
  "kaZin hasbara Hatix."
  ((cat destination)
   (item ((lex "kaZin")))
   (destination ((lex "hasbara")))
   (describer ((lex "Hatix")))))
   
(def-test h117
  "52 nekudot."
  ((cat measure)
   (quantity ((value 52)))
   (unit ((lex "nekuda") (gender feminine)))))

(def-test h118
  "HamiSah dunam."
  ((cat measure)
   (quantity ((value 5)))
   (unit ((lex "dunam")))))

(def-test h119
  "Surat wamudy Senhav."
  ((cat make)
   (configuration ((lex "Surah") (gender feminine)))
   (units ((cat material) 
	   (object ((lex "wamud")))
	   (material ((lex "Senhav")))))))
	   

(def-test h120
 "sefelym male'y mayim qar." 
  ((cat common) 
   (number plural) 
   (lex "sefel") 
   (describer ((cat ap) 
	       (realize-as construct) 
	       (lex "male'") 
	       (classifier ((cat common) 
			    
			    (lex "mayim") 
			    (countable no) 
			    (describer ((lex "qar")))))))))
;; numbers examples

(def-test h121
 "arbawym VtiSwah haSawarym."
 ((cat common) 
  (lex "Sawar") 
  (definite yes) 
  (cardinal ((value 49) (digit no)))))

(def-test h122
 "Sney dubym."
 ((cat common) 
  (lex "dov") 
  (cardinal ((value 2)))))

(def-test h123
  "Sney hadubym."
  ((cat common) 
   (lex "dov") 
   (definite yes) 
   (cardinal ((value 2)))))

(def-test h124
  "SloSet hadubym."
  ((cat common) 
   (lex "dov") 
   (definite yes) 
   (cardinal ((value 3)))))

(def-test h125
  "SloSah dubym."
  ((cat common) 
   (lex "dov") 
   (definite no) 
   (cardinal ((value 3)))))

(store-Hebrew-nouns '(("rav" "rabanim" "rav" "rabaney")))

(def-test h126
  "SeS rabanyot."
  ((cat common)
   (lex "rav")
   (animate yes)
   (gender feminine)
   (cardinal ((value 6)))))

(def-test h127
  "SiSah rabanim."
  ((cat common)
   (lex "rav")
   (gender masculine)
   (cardinal ((value 6)))))

(def-test h128
  "hacaVanah Selenu lTerorisTym."
  ((cat common)
   (lex "caVanah")
   (definite yes)
   (gender feminine)
   (possessive-style pp)
   (possessor ((cat pronoun) (number plural) (person first)))
   (qualifier ((prep ((lex "l"))) (np ((cat common) (number plural) 
				       (lex "TerorisT")))))))



;;; ornan p. 74
;; 1. sefer eHad mn hasfarim sheli
;; 2. sefer eHad msfaray
;; 3. sefer mn hasfarim sheli
;; 4. sefer misfaray
;; 5. eHad mn hasfarim sheli
;; 6. eHad msfaray
;; 7. sefer eHad msheli
;; 8. sefer msheli
;; 9. eHad msheli
;; 10. sefer eHad sheli
;; 11. sefer sheli
;; 12. eHad sheli

(def-test h129
  "sefer Sely."
  ((cat common)
   (lex "sefer")
   (possessor ((cat pronoun)
	       (person first)))
   (possessive-style pp)))

(def-test h130
  "sefer EHad Sely."
  ((cat common)
   (lex "sefer")
   (selective yes)
   (possessor ((cat pronoun)
	       (person first)))
   (possessive-style pp)))

