;;; -*- Mode:Lisp; Syntax:Common-Lisp; Package: FUG5 -*-
;;; -----------------------------------------------------------------------
;;; File:         load-hebrew-grammar.l
;;; Description:  
;;; Author:       Yael Netzer
;;; Created:      10 Aug 1999
;;; Modified:     
;;; Package:      FUG5
;;; -----------------------------------------------------------------------

(in-package "FUG5")

(setq *surge-linearizer* "/usr/local/surge/code/linearize.l")
(setq *surge-lexicon* "/usr/local/surge/code/lexicon.l")

;; load hebrew grammar
(defun load-hgr ()
  (let ((cur *default-pathname-defaults*)
	(*warn-if-no-in-package* nil))
    (cd "~mark/thesis/cfuf/lisp/hugg")
    (load *surge-linearizer*)
    (load *surge-lexicon*)
    (load "heb-linearizer.l")
    (load "htransitivity.l")
    (load "hcomplex.l")
    (load "hnp.l")
    (load "functional2.l")
    (load "determiners.l")
    (load "misc.l")
    (load "relational.l")
    (load "hgr-modular.l")
    (load "verb-morph.l")
    (load "functional.l")
    (load "heb-types.l")
    (load "types.l")
   (cd cur)))

(load-hgr)


;;; TYPES
