;;; -*- Mode:Lisp; Syntax:Common-Lisp; Package:FUG3 -*-
;;; ------------------------------------------------------------
;;; File        : IR1.L
;;; Description : Simple inputs to test GR1.
;;; Author      : Michael Elhadad
;;; Created     : 20-Jun-88
;;; Modified    : 18 May 90
;;; Language    : Common Lisp
;;; Package     : FUG3
;;; ------------------------------------------------------------

(defmacro define (var value) `(setq ,var ,value))
(load (concatenate 'string *cfuf-common-path* "testsuit/ir1.scm"))

(format t 
  "Sample examples to use with grammar GR1.~%")

(defun ir1_1 ()
  (format t "Example ir1_1: Mary is liked by john.~%")
  (setq ir1_1 _ir1_1))


(defun ir1_2 ()
  (format t "Example ir1_2: <fails>~%")
  (setq ir1_2 _ir1_2))


(defun ir1_3 ()
  ;; Add an irregular verb to lexicon
  (store-verbs '( ("sell" "sells" "sold" "selling" "sold")) )
  (format t "Example ir1_3: Cars are sold by John.~%")
  (setq ir1_3 _ir1_3))


(defun ir1_4 ()
  (format t "Example ir1_4: The meal is eaten by the man.~%")
  (setq ir1_4 _ir1_4))

(ir1_1) (ir1_2) (ir1_3) (ir1_4)

(setq *ir-list* (list (cons ir1_1 "ir1_1") (cons ir1_2 "ir1_2") (cons ir1_3 "ir1_3") (cons ir1_4 "ir1_4")))
