;;; -*- Mode:Lisp; Syntax:Common-Lisp; -*-
;;; ------------------------------------------------------------
;;; File        : IR11.L
;;; Description : Sample inputs to test GR11.
;;; Author      : Michael Elhadad and Jacques Robin
;;; Created     : Aug 14 91
;;; Modified    : Sep 17 91 Added relative examples
;;; Language    : Common Lisp
;;; ------------------------------------------------------------

(defmacro define (var value) `(setq ,var ,value))
(load (concatenate 'string *cfuf-common-path* "testsuit/ir10.scm"))

(defun ir10_1 ()
  (format t "ir10_1  --> This car is expensive~%")
  (setq ir10_1 _ir10_1))

(ir10_1)

(defun ir10_2 ()
  (format t "ir10_2  --> John gives a blue book to Mary.~%")
  (setq ir10_2 _ir10_2))


(ir10_2)

(defun ir10_3 ()
  (format t "ir10_3  --> A science book is given by John to Mary.~%")
  (setq ir10_3 _ir10_3))

(ir10_3)

(defun ir10_4 ()
  (format t "ir10_4  --> John likes Mary.~%")
  (setq ir10_4 _ir10_4))

(ir10_4)

(defun ir10_5 ()
  (format t "ir10_5  --> John is the teacher.~%")
  (setq ir10_5 _ir10_5))

(ir10_5)

(defun ir10_6 ()
  (format t "ir10_6  --> The president is John.~%")
  (setq ir10_6 _ir10_6))

(ir10_6)


;; Really difficult: throw is classified as "locative" by Fawcett.
;; However, throw allows for dative move, which we prefer to leave
;; as a characteristic unique to possessive processes.
;; We could say that throw is a combination of material/locative AND
;; possessive, that would require us to change the grammar to support
;; composite processes of 3 processes.  That would be a Good thing to do in
;; any case, to account for sentences like [4 participants]:
;; I paid the hotel $2 for the room.
(defun ir10_7 ()
  (format t "ir10_7  --> Mary is thrown a heavy ball by John.~%")
  (setq ir10_7 _ir10_7))

(ir10_7)

(defun ir10_8 ()
  (format t "ir10_8  --> John's book is beautiful.~%")
  (setq ir10_8 _ir10_8))

(ir10_8)

(defun ir10_9 ()
  (format t "ir10_9  --> The SIG-display marker moves.~%")
  (setq ir10_9 _ir10_9))

(ir10_9)

(defun ir10_10 ()
  (format t "ir10_10 --> The SIG-display marker moves to the right.~%")
  (setq ir10_10 _ir10_10))

(ir10_10)

(defun ir10_11 ()
  (format t "ir10_11 --> The SIG-display marker moves from the left.~%")
  (setq ir10_11 _ir10_11))
(ir10_11)

(defun ir10_12 ()
  (format t
	  "ir10_12 --> The SIG-display marker moves from the left to the right.~%")  
  (setq ir10_12 _ir10_12))

(ir10_12)

(defun ir10_13 ()
  (format t "ir10_13 --> the power level increasing causes the sig-display ~
	   ~%        marker to move to the right.~%")
  (setq ir10_13 _ir10_13))
;; JR comment: check Talmy's analysis of such explicitly causative clauses

(ir10_13)

(defun ir10_14 ()
  (format t "ir10_14 --> For her to do it.~%")
  (setq ir10_14 _ir10_14))

(ir10_14)

(defun ir10_15 ()
  (format t "ir10_15 --> For her to do it is a bold statement.~%")
  (setq ir10_15 _ir10_15))

(ir10_15)

(defun ir10_16 ()
  (format t "ir10_16 --> The man whom I know.~%")
  (setq ir10_16 _ir10_16))


(ir10_16)

(defun ir10_17 ()
  (format t "ir10_17 --> The man that I know.~%")
  (setq ir10_17 _ir10_17))

(ir10_17)

(defun ir10_18 ()
  (format t "ir10_18 --> The man that knows me.~%")
  (setq ir10_18 _ir10_18))

(ir10_18)

(defun ir10_19 ()
  (format t "ir10_19 --> The position to which the marker moves.~%")
  (setq ir10_19 _ir10_19))

(ir10_19)

(defun ir10_20 ()
  (format t "ir10_20 --> The position of the marker.~%")
  (setq ir10_20 _ir10_20))

(ir10_20)

(defun ir10_21 ()
  (format t "ir10_21 --> My wife, Carol.~%")
  (setq ir10_21 _ir10_21))

(ir10_21)

(defun ir10_22 ()
  (format t "ir10_22 --> My brother Steve.~%")
  (setq ir10_22 _ir10_22))

(ir10_22)

(defun ir10_23 ()
  (format t "ir10_23 --> An intelligent person.~%")
  (setq ir10_23 _ir10_23))

(ir10_23)


(defun ir10_24 ()
  ;; New treatment of lists: complex can be apposition or conjunction
  (format t "ir10_24 --> My brother Steve and my wife, Carol.~%")
  (setq ir10_24 _ir10_24))


(ir10_24)

(defun ir10_25 ()
  (format t "ir10_25 --> My wife, Carol, my brother Steve and John.~%")
  (setq ir10_25 _ir10_25))

(ir10_25)

(defun ir10_26 ()
  (format t "ir10_26 --> Take the hammer and hit the nail.~%")
  (setq ir10_26 _ir10_26))

(ir10_26)		   


(defun ir10_27 ()
  (format t "ir10_27 --> First, take the hammer and then, hit the nail.~%")
  (setq ir10_27 _ir10_27))

(ir10_27)		   

(defun ir10_28 ()
  ;; ir10_28 fails because epistemic-modality is not compatible with imperative.
  (format t "ir10_28 --> <fail>~%")
  (setq ir10_28 _ir10_28))

(ir10_28)

(defun ir10_29 ()
  (format t "ir10_29 --> In order to install the battery, clean the box.~%")
  (setq ir10_29 _ir10_29))
		      
(ir10_29)

(defun ir10_30 ()
  (format t "ir10_30 --> The SIG-display marker can move to the right.~%")
  (setq ir10_30 _ir10_30))

(ir10_30)

(defun ir10_31 ()
  (format t "ir10_31 --> First, take the hammer and then, hit the nail.~%")
  (setq ir10_31 _ir10_31))

(ir10_31)		   

(defun ir10_32 ()
  ;; ir10_32 fails because epistemic-modality is not compatible with imperative.
  (format t "ir10_32 --> <fail>~%")
  (setq ir10_32 _ir10_32))

(ir10_32)		   

(defun ir10_33 ()
  (format t "ir10_33 --> Hit the nail with the hammer.~%")
  (setq ir10_33 _ir10_33))

(ir10_33)		   

(defun ir10_34 ()
  (format t "ir10_34 --> Hit the nail using a hammer.~%")
  (setq ir10_34 _ir10_34))

(ir10_34)		   

(defun ir10_35 ()
  (format t "ir10_35 --> Take the nail off using a screwdriver.~%")
  (setq ir10_35 _ir10_35))

(ir10_35)		   

(defun ir10_36 ()
  (format t "ir10_36 --> The nail is taken off using a screwdriver.~%")
  (setq ir10_36 _ir10_36))

(ir10_36)		   

(defun ir10_37 ()
  ;; another way of specifying the prep for the role instrument.
  (format t "ir10_37 --> Take the nail off using a screwdriver.~%")
  (setq ir10_37 _ir10_37))

(ir10_37)		   

(defun ir10_38 ()
  ;; Add an irregular verb to the lexicon with store-verbs
  ;; Treatment of non-movable particles as a single string (sort of hack)
  ;; Test accompaniment role
  (format t "ir10_38 --> The battery lines up with the compartment.~%")
  (store-verbs '( ("line up" "lines up" "lined up" "lining up" "lined up")) )
  (setq ir10_38 _ir10_38))

(ir10_38)		   

(defun ir10_39 ()
  ;; Test reason role
  (format t "ir10_39 --> He does it because of you.~%")
  (setq ir10_39 _ir10_39))

(ir10_39)

(defun ir10_40 ()
  ;; Test reason role with a clause
  (format t "ir10_40 --> He does it because he likes you.~%")
  (setq ir10_40 _ir10_40))

(ir10_40)

(defun ir10_41 ()
  ;; Test reason role
  (format t "ir10_41 --> He scored thirty-nine points for the Lakers.~%")
  (setq ir10_41 _ir10_41))

(ir10_41)

(defun ir10_42 ()
  (format t "ir10_42 --> The holding battery cover plate~%")
  (format t "    --> covers the holding battery compartment.~%")
  (setq ir10_42 _ir10_42))

(ir10_42)

(defun ir10_43 ()
  (format t "ir10_43 --> The holding battery compartment is~%")
  (format t "    --> in the back of the RT, at the bottom left corner.~%")
  (setq ir10_43 _ir10_43))

(ir10_43)

(defun ir10_44 ()
  ;; TEST: try your own syntactic analysis of this one and come up with 3
  ;; reasons why it is inferior to this one.
  ;; Send answers to djk@cs.columbia.edu
  (format t "ir10_44 --> The holding battery compartment contains~%")
  (format t "    --> the old holding battery shown in the cut-away view.~%")
  (setq ir10_44 _ir10_44))
		
(ir10_44)

(defun ir10_45 ()
  ;; Show that conjunction of different cats fails
  (format t "ir10_45 --> <fail>~%")
  (setq ir10_45 _ir10_45))

(ir10_45)


(defun ir10_46 ()
  ;; Show conjunction of low-level constituents (noun)
  (format t "ir10_46 --> My brother and friend, Steve.~%")
  (setq ir10_46 _ir10_46))

(ir10_46)


(defun ir10_47 ()
  ;; Test ordinal
  (format t "ir10_47 --> My first two years were happy and uneventful.~%")
  (setq ir10_47 _ir10_47))

(ir10_47)


(defun ir10_48 ()
  (format t "ir10_48 --> Old McDonald had a farm.~%")
  (setq ir10_48 _ir10_48))

(ir10_48)

(defun ir10_49 ()
  (format t "ir10_49 --> Old McDonald owned a farm.~%")
  (setq ir10_49 _ir10_49))

(ir10_49)
  
(defun ir10_50 ()
  (format t "ir10_50 --> A farm was owned by Old McDonald.~%")
  (setq ir10_50 _ir10_50))

(ir10_50)


(defun ir10_51 ()
  ;; Test reason role
  (format t "ir10_51 --> To be innocent, you must do it for him to eat.~%")
  (setq ir10_51 _ir10_51))

(ir10_51)

;; ======================================================================
;; Test questions 
;; ======================================================================

;; ----------------------------------------------------------------------
;; YES-NO
;; ----------------------------------------------------------------------

(defun ir10_52 ()
  (format t "ir10_52  --> Is this car expensive?~%")
  (setq ir10_52 _ir10_52))

(ir10_52)

(defun ir10_53 ()
  (format t "ir10_53  --> Will John give a blue book to Mary?~%")
  (setq ir10_53 _ir10_53))

(ir10_53)

(defun ir10_54 ()
  (format t "ir10_54  --> John did give a blue book to Mary.~%")
  (setq ir10_54 _ir10_54))

(ir10_54)


;; ----------------------------------------------------------------------
;; WH
;; ----------------------------------------------------------------------

(defun ir10_55 ()
  (format t "ir10_55  --> What is expensive?~%")
  (setq ir10_55 _ir10_55))

(ir10_55)

(defun ir10_56 ()
  (format t "ir10_56  --> What is a classic?~%")
  (setq ir10_56 _ir10_56))

(ir10_56)

;; JR Note: The scope can't simply be "attribute", since then it would be
;; impossible to choose the question pronoun (e.g. in ir10_55 it would be "How"
;; or "How expensive", in ir10_56 it would be "What" or "What kind of")
;; Also note the ambiguity of ir10_56.
(defun ir10_57 ()
  (format t "ir10_57  --> Who is your father?~%")
  (setq ir10_57 _ir10_57))

(ir10_57)		       

(defun ir10_58 ()
  (format t "ir10_58  --> Which is your father?~%")
  (setq ir10_58 _ir10_58))

(ir10_58)

(defun ir10_59 ()
  (format t "ir10_59  --> Where is your mother?~%")
  (setq ir10_59 _ir10_59))

(ir10_59)

(defun ir10_60 ()
  (format t "ir10_60  --> Who is in your house?~%")
  (setq ir10_60 _ir10_60))

(ir10_60)

(defun ir10_61 ()
  (format t "ir10_61  --> What covers the opening~%")
  (setq ir10_61 _ir10_61))

(ir10_61)

(defun ir10_62 ()
  (format t "ir10_62  --> What does the seal cover~%")
  (setq ir10_62 _ir10_62))

(ir10_62)

(defun ir10_63 ()
  (format t "ir10_63  --> When is the game?~%")
  (setq ir10_63 _ir10_63))

(ir10_63)


(defun ir10_64 ()
  (format t "ir10_64  --> What happens then?~%")
  (setq ir10_64 _ir10_64))

(ir10_64)

;; JR note: equative and circumstance-as-process flavors seem difficult
;; without specifying a time unit in the question (e.g. "What day is the
;; 10th?" "How long does the fair last?")

(defun ir10_65 ()
  (format t "ir10_65 --> How is your sister?~%")
  (setq ir10_65 _ir10_65))

(ir10_65)

(defun ir10_66 ()
  (format t "ir10_66 --> With whom is your sister?~%")
  (setq ir10_66 _ir10_66))

(ir10_66)

(defun ir10_67 ()
  (format t "ir10_67  --> Who has a PhD.?~%")
  (setq ir10_67 _ir10_67))

(ir10_67)

(defun ir10_68 ()
  (format t "ir10_68  --> What does she have?~%")
  (setq ir10_68 _ir10_68))
(ir10_68)

(defun ir10_69 ()
  (format t "ir10_69  --> Who owns this book?~%")
  (setq ir10_69 _ir10_69))

(ir10_69)

(defun ir10_70 ()
  (format t "ir10_70  --> Which does she own?~%")
  (setq ir10_70 _ir10_70))

(ir10_70)

(defun ir10_71 ()
  (format t "ir10_71  --> Who gives a blue book to Mary?~%")
  (setq ir10_71 _ir10_71))

(ir10_71)

(defun ir10_72 ()
  (format t "ir10_72  --> What will John give to Mary?~%")
  (setq ir10_72 _ir10_72))

(ir10_72)

(defun ir10_73 ()
  (format t "ir10_73  --> To whom will John give a blue book?~%")
  (setq ir10_73 _ir10_73))
;; Note problem with scope being DOUBLE role, e.g. here Af/Pr
;; since af and pr unify into affected-carrier.
;; Always choose the most specific in your input.

(ir10_73)

(defun ir10_74 ()
  (format t "ir10_74  --> What does Deborah prefer?~%")
  (setq ir10_74 _ir10_74))

(ir10_74)

(defun ir10_75 ()
  (format t "ir10_75  --> Who worships Baal?~%")
  (setq ir10_75 _ir10_75))

(ir10_75)
;; JR Question: How to make generic reference like "Who worships FIRE" or
;; "They want MONEY" ?

(defun ir10_76 ()
  ;; Test reason role with a clause
  (format t "ir10_76  --> Why does he do it?~%")
  (setq ir10_76 _ir10_76))


(ir10_76)

(defun ir10_77 ()
  (format t
    "ir10_77  --> From where does the SIG-display marker move to the right?~%")  
  (setq ir10_77 _ir10_77))

(ir10_77)



;; ======================================================================
;; test RELATIVE CLAUSES
;; ======================================================================

(defun ir10_78 ()
  (format t "ir10_78  --> The box which is expensive.~%")
  (setq ir10_78 _ir10_78))

(ir10_78)

(defun ir10_79 ()
  (format t "ir10_79  --> The box which is a classic.~%")
  (setq ir10_79 _ir10_79))

(ir10_79)

(defun ir10_80 ()
  (format t "ir10_80  --> The man who is your father.~%")
  (setq ir10_80 _ir10_80))

(ir10_80)

(defun ir10_81 ()
  (format t "ir10_81  --> The man which is your father.~%")
  (setq ir10_81 _ir10_81))

(ir10_81)


(defun ir10_82 ()
  (format t "ir10_82  --> The house where your mother is.~%")
  (setq ir10_82 _ir10_82))

(ir10_82)


(defun ir10_83 ()
  (format t "ir10_83  --> The man who is in your house.~%")
  (setq ir10_83 _ir10_83))

(ir10_83)


(defun ir10_84 ()
  (format t "ir10_84  --> The plate which covers the opening.~%")
  (setq ir10_84 _ir10_84))

(ir10_84)


(defun ir10_85 ()
  (format t "ir10_85  --> The hole which the seal covers.~%")
  (setq ir10_85 _ir10_85))

(ir10_85)

(defun ir10_86 ()
  (format t "ir10_86  --> The time when the game starts.~%")
  (setq ir10_86 _ir10_86))

(ir10_86)

(defun ir10_87 ()
  (format t "ir10_87  --> The thing that happens then.~%")
  (setq ir10_87 _ir10_87))

(ir10_87)

;; agentive dispositive possessive attributive: Ag + Af/Pr + Pd
(defun ir10_88 ()
  (format t "ir10_88 --> Bo gave the victory to the Raiders~%")
  (setq ir10_88 _ir10_88))

(ir10_88)
       
(defun ir10_89 ()
  (format t "ir10_89 --> The way which your sister is.~%")
  (setq ir10_89 _ir10_89))

(ir10_89)


(defun ir10_90 ()
  (format t "ir10_90 --> The person with whom your sister is.~%")
  (setq ir10_90 _ir10_90))

(ir10_90)


(defun ir10_91 ()
  (format t "ir10_91  --> The person who has a PhD.~%")
  (setq ir10_91 _ir10_91))

(ir10_91)


(defun ir10_92 ()
  (format t "ir10_92  --> The box which she has.~%")
  (setq ir10_92 _ir10_92))
(ir10_92)


(defun ir10_93 ()
  (format t "ir10_93  --> The person who owns this book.~%")
  (setq ir10_93 _ir10_93))

(ir10_93)


(defun ir10_94 ()
  (format t "ir10_94  --> The box that she owns.~%")
  (setq ir10_94 _ir10_94))

(ir10_94)


(defun ir10_95 ()
  (format t "ir10_95  --> The person who gives a blue book to Mary.~%")
  (setq ir10_95 _ir10_95))

(ir10_95)


(defun ir10_96 ()
  (format t "ir10_96  --> The box which John will give to Mary.~%")
  (setq ir10_96 _ir10_96))

(ir10_96)


(defun ir10_97 ()
  (format t "ir10_97  --> The person to whom John will give a blue book.~%")
  (setq ir10_97 _ir10_97))

(ir10_97)


(defun ir10_98 ()
  (format t "ir10_98  --> The box which Deborah prefers.~%")
  (setq ir10_98 _ir10_98))

(ir10_98)


(defun ir10_99 ()
  (format t "ir10_99  --> The person who worships Baal.~%")
  (setq ir10_99 _ir10_99))

(ir10_99)


;; ======================================================================
;; test of ALL clause patterns of the new transitvity system:
;; ======================================================================
;; simple process
;; event
;; material
;; agentive non-effective: Ag
(defun ir10_100 ()
  (format t "ir10_100 --> Bo runs~%")
  (store-verbs '( ("run" "runs" "ran" "running" "run")) )
  (setq ir10_100 _ir10_100))

(ir10_100)

;; agentive dispositive: Ag + Af
(defun ir10_101 ()
  (format t "ir10_101 --> Bo drinks protein shakes~%")
  (setq ir10_101 _ir10_101))

(ir10_101)

;; agentive creative: Ag + Cr
(defun ir10_102 ()
  (format t "ir10_102 --> Bo cooks diner~%")
  (setq ir10_102 _ir10_102))

(ir10_102)

;; agentive with range: Ag + Rg
(defun ir10_103 ()
  (format t "ir10_103 --> Bo takes a walk~%")
  (setq ir10_103 _ir10_103))

(ir10_103)

(defun ir10_104 ()
  (format t "ir10_104 --> Bo climbs the mountain~%")
  (setq ir10_104 _ir10_104))

(ir10_104)

;; non-agentive dispositive: Af
(defun ir10_105 ()
  (format t "ir10_105 --> The window opens~%")
  (setq ir10_105 _ir10_105))

(ir10_105)

;; non-agentive creative: Cr
(defun ir10_106 ()
  (format t "ir10_106 --> The window pops~%")
  (setq ir10_106 _ir10_106))

(ir10_106)

;; mental non-transitive: Pr
(defun ir10_107 ()
  (format t "ir10_107 --> Bo knows~%")
  (setq ir10_107 _ir10_107))

(ir10_107)

;; mental transitive: Pr + Ph
(defun ir10_108 ()
  (format t "ir10_108 --> Bo knows FUF~%")
  (setq ir10_108 _ir10_108))

(ir10_108)

;; verbal: still on the todo list

;; relation
;; ascriptive attributive: Ca + At
(defun ir10_109 ()
  (format t "ir10_109 --> Bo is strong~%")
  (setq ir10_109 _ir10_109))

(ir10_109)


;; ascriptive equative: Id + Ir
(defun ir10_110 ()
  (format t "ir10_110 --> Bo is the greatest~%")
  (setq ir10_110 _ir10_110))

(ir10_110)

;; possessive attributive: Pr + Pd
(defun ir10_111 ()
  (format t "ir10_111 --> Bo has sneakers~%")
  (setq ir10_111 _ir10_111))

(ir10_111)

;; possesive equative: Id + Ir
(defun ir10_112 ()
  (format t "ir10_112 --> Bo owns sneakers~%")
  (setq ir10_112 _ir10_112))

(ir10_112)

;; locative spatial atributive: Ld + Ln
(defun ir10_113 ()
  (format t "ir10_113 --> Bo is here~%")
  (setq ir10_113 _ir10_113))

(ir10_113)

;; locative spatial equative: Id + Ir
(defun ir10_114 ()
  (format t "ir10_114 --> Bo occupies the left flank~%")
  (setq ir10_114 _ir10_114))

(ir10_114)

;; locative temporal attributive: Ld + Tm
(defun ir10_115 ()
  (format t "ir10_115 --> The race is now~%")
  (setq ir10_115 _ir10_115))

(ir10_115)

;; locative spatial equative: Id + Ir
(defun ir10_116 ()
  (format t "ir10_116 --> The steeplechase follows the high jump~%") 
  (setq ir10_116 _ir10_116))

(ir10_116)

;; locative accompaniment (always equative): Ld/Id + Ac/Ir
(defun ir10_117 ()
  (format t "ir10_117 --> Bo is with Mo~%")
  (setq ir10_117 _ir10_117))

(ir10_117)

(defun ir10_118 ()
  (format t "ir10_118 --> Bo accompanies Mo~%")
  (setq ir10_118 _ir10_118))

(ir10_118)

;; locative existential: Ld
(defun ir10_119 ()
  (format t "ir10_119 --> There is a bug~%")
  (setq ir10_119 _ir10_119))

(ir10_119)

;; locative natural-phenom: no participant
(defun ir10_120 ()
  (format t "ir10_120 --> It rains~%")
  (setq ir10_120 _ir10_120))

(ir10_120)


;; composite process
;; agentive dispositive ascriptive attributive: Ag + Af/Ca + At
(defun ir10_121 ()
  (format t "ir10_121 --> Nike made Bo rich~%")
  (setq ir10_121 _ir10_121))

(ir10_121)
       
;; agentive dispositive ascriptive equative: Ag + Af/Id + At
(defun ir10_122 ()
  (format t "ir10_122 --> The deal makes Bo the richest~%")
  (setq ir10_122 _ir10_122))

(ir10_122)

;; agentive dispositive possessive attributive: Ag + Af/Pr + Pd
(defun ir10_123 ()
  (format t "ir10_123 --> Bo gave the Raiders the victory~%")
  (setq ir10_123 _ir10_123))

(ir10_123)

;; agentive dispositive locative attributive: Ag + Af/Ld + Ln
(defun ir10_124 ()
  (format t "ir10_124 --> Bo lifted the Raiders to a victory~%")
  (setq ir10_124 _ir10_124))

(ir10_124)

;; agentive creative locative attributive: Ag + Cr/Ld + Ln
(defun ir10_125 ()
  (format t "ir10_125 --> It pops a window on the screen~%")
  (setq ir10_125 _ir10_125))

(ir10_125)

;; agentive non-effective ascriptive attributive: Ag/Ca + At
(defun ir10_126 ()
  (format t "ir10_126 --> Bo got tough~%")
  (setq ir10_126 _ir10_126))

(ir10_126)

;; agentive non-effective ascriptive equative: Ag/Id + Ir
(defun ir10_127 ()
  (format t "ir10_127 --> Bo became the best~%")
  (setq ir10_127 _ir10_127))

(ir10_127)

;; agentive non-effective possessive attributive: Ag/Pr + Pd
(defun ir10_128 ()
  (format t "ir10_128 --> Bo bought sneakers~%")
  (setq ir10_128 _ir10_128))

(ir10_128)

;; agentive non-effective locative attributive: Ag/Ld + Ln
(defun ir10_129 ()
  (format t "ir10_129 --> Bo ran home~%")
  (setq ir10_129 _ir10_129))

(ir10_129)

;; non-agentive dispositive ascriptive attributive: Af/Ca + At
(defun ir10_130 ()
  (format t "ir10_130 --> Bo grew old ~%")
  (setq ir10_130 _ir10_130))

(ir10_130)

;; non-agentive dispositive possessive attributive: Af/Pr + Pd
(defun ir10_131 ()
  (format t "ir10_131 --> Bo received the ball~%")
  (setq ir10_131 _ir10_131))

(ir10_131)

;; non-agentive dispositive locative attributive: Af/Ld + Ln
(defun ir10_132 ()
  (format t "ir10_132 --> Bo fell down~%")
  (setq ir10_132 _ir10_132))

(ir10_132)

;; non-agentive creative asciptive attributive: Cr/Ca + At
(defun ir10_133 ()
  (format t "ir10_133 --> The window popped wide~%")
  (setq ir10_133 _ir10_133))

(ir10_133)

;; non-agentive creative locative attributive: Cr/Ld + Ln
(defun ir10_134 ()
  (format t "ir10_134 --> The window popped on the screen~%")
  (setq ir10_134 _ir10_134))

(ir10_134)

(defun ir10_135 ()
  (format t "ir10_135 --> The SIG-display marker moves to the right.~%")
  (setq ir10_135 _ir10_135))

(ir10_135)

(defun ir10_136 ()
  (format t "ir10_136 --> For her to do it must be a bold statement.~%")
  (setq ir10_136 _ir10_136))
(ir10_136)

(defun ir10_137 ()
  (format t "ir10_137 --> The man whom I may know.~%")
  (setq ir10_137 _ir10_137))

(ir10_137)

(defun ir10_138 ()
  (format t "ir10_138 --> Take the hammer.~%")
  (setq ir10_138 _ir10_138))

(ir10_138)		   
		   
(defun ir10_139 ()
  (format t "ir10_139  --> The game happened then.~%")
  (store-verbs '( ("happen" "happens" "happened" "happening" "happened")) )
  (setq ir10_139 _ir10_139))

(ir10_139)

(defun test10 (&key (from 1) (to 139) (timed nil))
  (do* ((i from (1+ i))
	(func (find-symbol (format nil "IR10_~s" i)) 
	      (find-symbol (format nil "IR10_~s" i))))
       ((> i to) 
	(values))
    (when (fboundp func)
      (format t "~%=======================~%")
      (if timed
	(time (uni (funcall func) :limit 1000))
	(uni (funcall func) :limit 1000)))))


(format t
	"Use (test10 :from 1 :to 139) to test all cases.
Most questions and relatives do not work with gr10 but work with gr11 
which is an improved version of gr10.
Gr11 is the closest example to the current grammar.
")

(setq *ir-list* (list (cons ir10_1 "ir10_1") (cons ir10_2 "ir10_2") (cons ir10_3 "ir10_3") (cons ir10_4 "ir10_4") (cons ir10_5 "ir10_5")
                      (cons ir10_6 "ir10_6") (cons ir10_7 "ir10_7") (cons ir10_8 "ir10_8") (cons ir10_9 "ir10_9")
                      (cons ir10_10 "ir10_10") (cons ir10_11 "ir10_11") (cons ir10_12 "ir10_12") (cons ir10_13 "ir10_13")
                      (cons ir10_14 "ir10_14") (cons ir10_15 "ir10_15") (cons ir10_16 "ir10_16") (cons ir10_17 "ir10_17")
                      (cons ir10_18 "ir10_18") (cons ir10_19 "ir10_19") (cons ir10_20 "ir10_20") (cons ir10_21 "ir10_21")
                      (cons ir10_22 "ir10_22") (cons ir10_23 "ir10_23") (cons ir10_24 "ir10_24") (cons ir10_25 "ir10_25")
                      (cons ir10_26 "ir10_26") (cons ir10_27 "ir10_27") (cons ir10_28 "ir10_28") (cons ir10_29 "ir10_29")
                      (cons ir10_30 "ir10_30") (cons ir10_31 "ir10_31") (cons ir10_32 "ir10_32") (cons ir10_33 "ir10_33")
                      (cons ir10_34 "ir10_34") (cons ir10_35 "ir10_35") (cons ir10_36 "ir10_36") (cons ir10_37 "ir10_37")
                      (cons ir10_38 "ir10_38") (cons ir10_39 "ir10_39") (cons ir10_40 "ir10_40") (cons ir10_41 "ir10_41")
                      (cons ir10_42 "ir10_42") (cons ir10_43 "ir10_43") (cons ir10_44 "ir10_44") (cons ir10_45 "ir10_45")
                      (cons ir10_46 "ir10_46") (cons ir10_47 "ir10_47") (cons ir10_48 "ir10_48") (cons ir10_49 "ir10_49")
                      (cons ir10_50 "ir10_50") (cons ir10_51 "ir10_51") (cons ir10_52 "ir10_52") (cons ir10_53 "ir10_53")
                      (cons ir10_54 "ir10_54") (cons ir10_55 "ir10_55") (cons ir10_56 "ir10_56") (cons ir10_57 "ir10_57")
                      (cons ir10_58 "ir10_58") (cons ir10_59 "ir10_59") (cons ir10_60 "ir10_60") (cons ir10_61 "ir10_61")
                      (cons ir10_62 "ir10_62") (cons ir10_63 "ir10_63") (cons ir10_64 "ir10_64") (cons ir10_65 "ir10_65")
                      (cons ir10_66 "ir10_66") (cons ir10_67 "ir10_67") (cons ir10_68 "ir10_68") (cons ir10_69 "ir10_69")
                      (cons ir10_70 "ir10_70") (cons ir10_71 "ir10_71") (cons ir10_72 "ir10_72") (cons ir10_73 "ir10_73")
                      (cons ir10_74 "ir10_74") (cons ir10_75 "ir10_75") (cons ir10_76 "ir10_76") (cons ir10_77 "ir10_77")
                      (cons ir10_78 "ir10_78") (cons ir10_79 "ir10_79") (cons ir10_80 "ir10_80") (cons ir10_81 "ir10_81")
                      (cons ir10_82 "ir10_82") (cons ir10_83 "ir10_83") (cons ir10_84 "ir10_84") (cons ir10_85 "ir10_85")
                      (cons ir10_86 "ir10_86") (cons ir10_87 "ir10_87") (cons ir10_88 "ir10_88") (cons ir10_89 "ir10_89")
                      (cons ir10_90 "ir10_90") (cons ir10_91 "ir10_91") (cons ir10_92 "ir10_92") (cons ir10_93 "ir10_93")
                      (cons ir10_94 "ir10_94") (cons ir10_95 "ir10_95") (cons ir10_96 "ir10_96") (cons ir10_97 "ir10_97")
                      (cons ir10_98 "ir10_98") (cons ir10_99 "ir10_99") (cons ir10_100 "ir10_100") (cons ir10_101 "ir10_101")
                      (cons ir10_102 "ir10_102") (cons ir10_103 "ir10_103") (cons ir10_104 "ir10_104") (cons ir10_105 "ir10_105")
                      (cons ir10_106 "ir10_106") (cons ir10_107 "ir10_107") (cons ir10_108 "ir10_108") (cons ir10_109 "ir10_109")
                      (cons ir10_110 "ir10_110") (cons ir10_111 "ir10_111") (cons ir10_112 "ir10_112") (cons ir10_113 "ir10_113")
                      (cons ir10_114 "ir10_114") (cons ir10_115 "ir10_115") (cons ir10_116 "ir10_116") (cons ir10_117 "ir10_117")
                      (cons ir10_118 "ir10_118") (cons ir10_119 "ir10_119") (cons ir10_120 "ir10_120") (cons ir10_121 "ir10_121")
                      (cons ir10_122 "ir10_122") (cons ir10_123 "ir10_123") (cons ir10_124 "ir10_124") (cons ir10_125 "ir10_125")
                      (cons ir10_126 "ir10_126") (cons ir10_127 "ir10_127") (cons ir10_128 "ir10_128") (cons ir10_129 "ir10_129")
                      (cons ir10_130 "ir10_130") (cons ir10_131 "ir10_131") (cons ir10_132 "ir10_132") (cons ir10_133 "ir10_133")
                      (cons ir10_134 "ir10_134") (cons ir10_135 "ir10_135") (cons ir10_136 "ir10_136") (cons ir10_137 "ir10_137")
                      (cons ir10_138 "ir10_138") (cons ir10_139 "ir10_139")))
