;;; -*- Mode:Lisp; Syntax:Common-Lisp; Package:FUG3 -*-
;;; ------------------------------------------------------------
;;; File        : IR4.L
;;; Description : Simple inputs to test GR4.
;;; Author      : Michael Elhadad
;;; Created     : 20-Jun-88
;;; Modified    : 07-Aug-89
;;;               18 May 90
;;; Language    : Common Lisp
;;; Package     : FUG3
;;; ------------------------------------------------------------

(defmacro define (var value) `(setq ,var ,value))
(load (concatenate 'string *cfuf-common-path* "testsuit/ir4.scm"))

(defun ir4_1 ()
  (format t "ir4_1  --> This car is expensive~%")
  (setq ir4_1 _ir4_1))

(ir4_1)

(defun ir4_2 ()
  (format t "ir4_2  --> John gives a blue book to Mary.~%")
  (setq ir4_2 _ir4_2))

(ir4_2)

(defun ir4_3 ()
  (format t "ir4_3  --> A science book is given by John to Mary.~%")
  (setq ir4_3 _ir4_3))
(ir4_3)

(defun ir4_4 ()
  (format t "ir4_4  --> John likes Mary.~%")
  (setq ir4_4 _ir4_4))

(ir4_4)

(defun ir4_5 ()
  (format t "ir4_5  --> John is the teacher.~%")
  (setq ir4_5 _ir4_5))

(ir4_5)

(defun ir4_6 ()
  (format t "ir4_6  --> The president is John.~%")
  (setq ir4_6 _ir4_6))

(ir4_6)

(defun ir4_7 ()
  (format t "ir4_7  --> Mary is thrown a heavy ball by John.~%")
  (setq ir4_7 _ir4_7))

(ir4_7)

(defun ir4_8 ()
  (format t "ir4_8  --> John's book is beautiful.~%")
  (setq ir4_8 _ir4_8))

(ir4_8)

(defun ir4_9 ()
  (format t "ir4_9  --> The SIG-display marker moves.~%")
  (setq ir4_9 _ir4_9))

(ir4_9)
	
(defun ir4_10 ()
  (format t "ir4_10 --> The SIG-display marker moves to the right.~%")
  (setq ir4_10 _ir4_10))

(ir4_10)
	
(defun ir4_11 ()
  (format t "ir4_11 --> The SIG-display marker moves from the left.~%")
  (setq ir4_11 _ir4_11))

(ir4_11)
	
(defun ir4_12 ()
  (format t
    "ir4_12 --> The SIG-display marker moves from the left to the right.~%")  
  (setq ir4_12 _ir4_12))

(ir4_12)

	
(defun ir4_13 ()
  (format t "ir4_13 --> the power level increasing causes the sig-display ~
	   ~%        marker to move to the right.~%")
  (setq ir4_13 _ir4_13))

(ir4_13)

(defun ir4_14 ()
  (format t "ir4_14 --> For her to do it.~%")
  (setq ir4_14 _ir4_14))

(ir4_14)

(defun ir4_15 ()
  (format t "ir4_15 --> For her to do it is a bold statement.~%")
  (setq ir4_15 _ir4_15))

(ir4_15)

(defun ir4_16 ()
  (format t "ir4_16 --> The man whom I know.~%")
  (setq ir4_16 _ir4_16))

(ir4_16)

(defun ir4_17 ()
  (format t "ir4_17 --> The man that I know.~%")
  (setq ir4_17 _ir4_17))

(ir4_17)

(defun ir4_18 ()
  (format t "ir4_18 --> The man that knows me.~%")
  (setq ir4_18 _ir4_18))

(ir4_18)

(defun ir4_19 ()
  (format t "ir4_19 --> The position to which the marker moves.~%")
  (setq ir4_19 _ir4_19))

(ir4_19)

(defun ir4_20 ()
  (format t "ir4_20 --> The position of the marker.~%")
  (setq ir4_20 _ir4_20))

(ir4_20)

(defun ir4_21 ()
  (format t "ir4_21 --> My wife, Carol.~%")
  (setq ir4_21 _ir4_21))

(ir4_21)

(defun ir4_22 ()
  (format t "ir4_22 --> My brother Steve.~%")
  (setq ir4_22 _ir4_22))

(ir4_22)

(defun ir4_23 ()
  (format t "ir4_23 --> An intelligent person.~%")
  (setq ir4_23 _ir4_23))

(ir4_23)

(defun ir4_24 ()
  (format t "ir4_24 --> My brother Steve and my wife, Carol.~%")
  (setq ir4_24 _ir4_24))

(ir4_24)

(defun ir4_25 ()
  (format t "ir4_25 --> My wife, Carol, my brother Steve and John.~%")
  (setq ir4_25 _ir4_25))

(ir4_25)

(defun ir4_26 ()
  (format t "ir4_26 --> Take the hammer and hit the nail.~%")
  (setq ir4_26 _ir4_26))

(ir4_26)		   
		    
(defun ir4_27 ()
  (format t "ir4_27 --> In order to install the battery, clean the box.~%")
  (setq ir4_27 _ir4_27))
		      
(ir4_27)



(defun ir4_28 ()
  (format t "ir4_28 --> For her to do it must be a bold statement.~%")
  (setq ir4_28 _ir4_28))

(ir4_28)


(defun ir4_29 ()
  (format t "ir4_29 --> The man whom I may know.~%")
  (setq ir4_29 _ir4_29))

(ir4_29)

(defun ir4_30 ()
  (format t "ir4_30 --> The SIG-display marker can move to the right.~%")
  (setq ir4_30 _ir4_30))

(ir4_30)

(defun ir4_31 ()
  (format t "ir4_31 --> First, take the hammer and then, hit the nail.~%")
  (setq ir4_31 _ir4_31))

(ir4_31)		   

(defun ir4_32 ()
  ;; ir4_32 fails because epistemic-modality is not compatible with imperative.
  (format t "ir4_32 --> <fail>~%")
  (setq ir4_32 _ir4_32))

(ir4_32)		   

		    

(defun ir4_33 ()
  (format t "ir4_33 --> Hit the nail with the hammer.~%")
  (setq ir4_33 _ir4_33))

(ir4_33)		   

(defun ir4_34 ()
  (format t "ir4_34 --> Hit the nail using a hammer.~%")
  (setq ir4_34 _ir4_34))

(ir4_34)		   

(defun ir4_35 ()
  (format t "ir4_35 --> Take the nail off using a screwdriver.~%")
  (setq ir4_35 _ir4_35))

(ir4_35)		   

(defun ir4_36 ()
  (format t "ir4_36 --> The nail is taken off using a screwdriver.~%")
  (setq ir4_36 _ir4_36))

(ir4_36)		   

(defun ir4_37 ()
  ;; another way of specifying the prep for the role instrument.
  (format t "ir4_37 --> Take the nail off using a screwdriver.~%")
  (setq ir4_37 _ir4_37))

(ir4_37)		   

(defun test4 (&key (from 1) (to 37) (timed nil))
  (do* ((i from (1+ i))
	(func (find-symbol (format nil "IR4_~s" i))
	      (find-symbol (format nil "IR4_~s" i))))
       ((> i to) 
	(values))
       (format t "~%=======================~%")
       (if timed
	   (time (uni (funcall func) :limit 400))
	 (uni (funcall func) :limit 200))))

(format t 
  "Use the function (test4 :from n :to p :timed nil) to try the examples.")

(setq *ir-list* (list (cons ir4_1 "ir4_1") (cons ir4_2 "ir4_2") (cons ir4_3 "ir4_3") (cons ir4_4 "ir4_4") (cons ir4_5 "ir4_5")
                      (cons ir4_6 "ir4_6") (cons ir4_7 "ir4_7") (cons ir4_8 "ir4_8") (cons ir4_9 "ir4_9") (cons ir4_10 "ir4_10")
                      (cons ir4_11 "ir4_11") (cons ir4_12 "ir4_12") (cons ir4_13 "ir4_13") (cons ir4_14 "ir4_14") (cons ir4_15 "ir4_15")
                      (cons ir4_16 "ir4_16") (cons ir4_17 "ir4_17") (cons ir4_18 "ir4_18") (cons ir4_19 "ir4_19") (cons ir4_20 "ir4_20")
                      (cons ir4_21 "ir4_21") (cons ir4_22 "ir4_22") (cons ir4_23 "ir4_23") (cons ir4_24 "ir4_24") (cons ir4_25 "ir4_25")
                      (cons ir4_26 "ir4_26") (cons ir4_27 "ir4_27") (cons ir4_28 "ir4_28") (cons ir4_29 "ir4_29") (cons ir4_30 "ir4_30")
                      (cons ir4_31 "ir4_31") (cons ir4_32 "ir4_32") (cons ir4_33 "ir4_33") (cons ir4_34 "ir4_34") (cons ir4_35 "ir4_35")
                      (cons ir4_36 "ir4_36") (cons ir4_37 "ir4_37")))
