;;; -*- Mode:Lisp; Syntax:Common-Lisp; Package: FUG3 -*-
;;; -----------------------------------------------------------------------
;;; File:         ir5.l
;;; Description:  Example inputs for GR5
;;; Author:       Michael Elhadad
;;; Created:      10 Mar 1989
;;; Modified:     18 May 90
;;; Package:      FUG3
;;; -----------------------------------------------------------------------

(defmacro define (var value) `(setq ,var ,value))
(load (concatenate 'string *cfuf-common-path* "testsuit/ir5.scm"))

(format t "GR5: list manipulation in FUF~%")
(format t "Use function (test-append ir5_i) to try the examples.~%")
(format t "The gensym symbols stand for Prolog variables.~%")

(defun ir5_1 ()
  (format t "ir5_1 --> append([a, b], [c, e], Z)~%")
  (setq ir5_1 _ir5_1))
(ir5_1)

(defun ir5_2 ()
  (format t "ir5_2 --> append([a, X, c], [d, e], [a, b | Z])~%")
  (setq ir5_2 _ir5_2))
(ir5_2)

(defun test-append (fd)
  (format t "Before: ~%")
  (format t "X --> ~s~%" (fd-to-prolog fd '{x}))
  (format t "Y --> ~s~%" (fd-to-prolog fd '{y}))
  (format t "Z --> ~s~%" (fd-to-prolog fd '{z}))
  (let ((ufd (uni-fd fd)))
    (format t "After:~%")
    (format t "X --> ~s~%" (fd-to-prolog ufd '{x}))
    (format t "Y --> ~s~%" (fd-to-prolog ufd '{y}))
    (format t "Z --> ~s~%" (fd-to-prolog ufd '{z}))))

(setq *ir-list* (list (cons ir5_1 "ir5_1") (cons ir5_2 "ir5_2")))
