;;; -*- Mode:Lisp; Syntax:Common-Lisp; -*-
;;; ------------------------------------------------------------
;;; File        : IR6.L
;;; Description : Simple inputs to test GR6.
;;; Author      : Michael Elhadad
;;; Created     : 25-Jun-90
;;; Modified    : 09-Jan-91  (New circ. roles)
;;; Language    : Common Lisp
;;; Package     : FUG3
;;; ------------------------------------------------------------

(defmacro define (var value) `(setq ,var ,value))
(load (concatenate 'string *cfuf-common-path* "testsuit/ir6.scm"))

(defun ir6_1 ()
  (format t "ir6_1  --> This car is expensive~%")
  (setq ir6_1 _ir6_1))

(ir6_1)

(defun ir6_2 ()
  (format t "ir6_2  --> John gives a blue book to Mary.~%")
  (setq ir6_2 _ir6_2))

(ir6_2)

(defun ir6_3 ()
  (format t "ir6_3  --> A science book is given by John to Mary.~%")
  (setq ir6_3 _ir6_3))
(ir6_3)

(defun ir6_4 ()
  (format t "ir6_4  --> John likes Mary.~%")
  (setq ir6_4 _ir6_4))

(ir6_4)

(defun ir6_5 ()
  (format t "ir6_5  --> John is the teacher.~%")
  (setq ir6_5 _ir6_5))

(ir6_5)

(defun ir6_6 ()
  (format t "ir6_6  --> The president is John.~%")
  (setq ir6_6 _ir6_6))

(ir6_6)

(defun ir6_7 ()
  (format t "ir6_7  --> Mary is thrown a heavy ball by John.~%")
  (setq ir6_7 _ir6_7))

(ir6_7)

(defun ir6_8 ()
  (format t "ir6_8  --> John's book is beautiful.~%")
  (setq ir6_8 _ir6_8))

(ir6_8)

(defun ir6_9 ()
  (format t "ir6_9  --> The SIG-display marker moves.~%")
  (setq ir6_9 _ir6_9))

(ir6_9)
	
(defun ir6_10 ()
  (format t "ir6_10 --> The SIG-display marker moves to the right.~%")
  (setq ir6_10 _ir6_10))

(ir6_10)
	
(defun ir6_11 ()
  (format t "ir6_11 --> The SIG-display marker moves from the left.~%")
  (setq ir6_11 _ir6_11))

(ir6_11)
	
(defun ir6_12 ()
  (format t
    "ir6_12 --> The SIG-display marker moves from the left to the right.~%")  
  (setq ir6_12 _ir6_12))

(ir6_12)

	
(defun ir6_13 ()
  (format t "ir6_13 --> the power level increasing causes the sig-display ~
	   ~%        marker to move to the right.~%")
  (setq ir6_13 _ir6_13))

(ir6_13)

(defun ir6_14 ()
  (format t "ir6_14 --> For her to do it.~%")
  (setq ir6_14 _ir6_14))

(ir6_14)

(defun ir6_15 ()
  (format t "ir6_15 --> For her to do it is a bold statement.~%")
  (setq ir6_15 _ir6_15))

(ir6_15)

(defun ir6_16 ()
  (format t "ir6_16 --> The man whom I know.~%")
  (setq ir6_16 _ir6_16))

(ir6_16)

(defun ir6_17 ()
  (format t "ir6_17 --> The man that I know.~%")
  (setq ir6_17 _ir6_17))

(ir6_17)

(defun ir6_18 ()
  (format t "ir6_18 --> The man that knows me.~%")
  (setq ir6_18 _ir6_18))

(ir6_18)

(defun ir6_19 ()
  (format t "ir6_19 --> The position to which the marker moves.~%")
  (setq ir6_19 _ir6_19))

(ir6_19)

(defun ir6_20 ()
  (format t "ir6_20 --> The position of the marker.~%")
  (setq ir6_20 _ir6_20))

(ir6_20)

(defun ir6_21 ()
  (format t "ir6_21 --> My wife, Carol.~%")
  (setq ir6_21 _ir6_21))

(ir6_21)

(defun ir6_22 ()
  (format t "ir6_22 --> My brother Steve.~%")
  (setq ir6_22 _ir6_22))

(ir6_22)

(defun ir6_23 ()
  (format t "ir6_23 --> An intelligent person.~%")
  (setq ir6_23 _ir6_23))

(ir6_23)

(defun ir6_24 ()
  (format t "ir6_24 --> My brother Steve and my wife, Carol.~%")
  (setq ir6_24 _ir6_24))

(ir6_24)

(defun ir6_25 ()
  (format t "ir6_25 --> My wife, Carol, my brother Steve and John.~%")
  (setq ir6_25 _ir6_25))

(ir6_25)

(defun ir6_26 ()
  (format t "ir6_26 --> Take the hammer and hit the nail.~%")
  (setq ir6_26 _ir6_26))

(ir6_26)		   
		    
(defun ir6_27 ()
  (format t "ir6_27 --> In order to install the battery, clean the box.~%")
  (setq ir6_27 _ir6_27))
		      
(ir6_27)



(defun ir6_28 ()
  (format t "ir6_28 --> For her to do it must be a bold statement.~%")
  (setq ir6_28 _ir6_28))

(ir6_28)


(defun ir6_29 ()
  (format t "ir6_29 --> The man whom I may know.~%")
  (setq ir6_29 _ir6_29))

(ir6_29)

(defun ir6_30 ()
  (format t "ir6_30 --> The SIG-display marker can move to the right.~%")
  (setq ir6_30 _ir6_30))

(ir6_30)

(defun ir6_31 ()
  (format t "ir6_31 --> First, take the hammer and then, hit the nail.~%")
  (setq ir6_31 _ir6_31))

(ir6_31)		   

(defun ir6_32 ()
  ;; ir6_32 fails because epistemic-modality is not compatible with imperative.
  (format t "ir6_32 --> <fail>~%")
  (setq ir6_32 _ir6_32))

(ir6_32)		   

(defun ir6_33 ()
  (format t "ir6_33 --> Hit the nail with the hammer.~%")
  (setq ir6_33 _ir6_33))

(ir6_33)		   

(defun ir6_34 ()
  (format t "ir6_34 --> Hit the nail using a hammer.~%")
  (setq ir6_34 _ir6_34))

(ir6_34)		   

(defun ir6_35 ()
  (format t "ir6_35 --> Take the nail off using a screwdriver.~%")
  (setq ir6_35 _ir6_35))

(ir6_35)		   

(defun ir6_36 ()
  (format t "ir6_36 --> The nail is taken off using a screwdriver.~%")
  (setq ir6_36 _ir6_36))

(ir6_36)		   

(defun ir6_37 ()
  ;; another way of specifying the prep for the role instrument.
  (format t "ir6_37 --> Take the nail off using a screwdriver.~%")
  (setq ir6_37 _ir6_37))

(ir6_37)		   


(defun ir6_38 ()
  ;; Test accompaniment role
  (format t "ir6_38 --> The battery lines up with the compartment.~%")
  (store-verbs '( ("line up" "lines up" "lined up" "lining up" "lined up")) )
  (setq ir6_38 _ir6_38))

(ir6_38)		   


(defun ir6_39 ()
  ;; Test reason role
  (format t "ir6_39 --> He does it because of you.~%")
  (setq ir6_39 _ir6_39))

(ir6_39)

(defun ir6_40 ()
  ;; Test reason role with a clause
  (format t "ir6_40 --> He does it because he likes you.~%")
  (setq ir6_40 _ir6_40))

(ir6_40)

(defun ir6_41 ()
  ;; Test reason role
  (format t "ir6_41 --> He scored 39 points for the Lakers.~%")
  (setq ir6_41 _ir6_41))

(ir6_41)

;; Add examples for all roles in focus of relative clauses

(defun test6 (&key (from 1) (to 41) (timed nil))
  (do* ((i from (1+ i))
	(func (find-symbol (format nil "IR6_~s" i)) 
	      (find-symbol (format nil "IR6_~s" i))))
       ((> i to) 
	(values))
       (format t "~%=======================~%")
       (if timed
	   (time (uni (funcall func) :limit 200))
	 (uni (funcall func) :limit 200))))


(format t 
 "Use function (test :from 1 :to 41 :timed nil) to try the examples.~%")

(setq *ir-list* (list (cons ir6_1 "ir6_1") (cons ir6_2 "ir6_2") (cons ir6_3 "ir6_3") (cons ir6_4 "ir6_4") (cons ir6_5 "ir6_5")
                      (cons ir6_6 "ir6_6") (cons ir6_7 "ir6_7") (cons ir6_8 "ir6_8") (cons ir6_9 "ir6_9") (cons ir6_10 "ir6_10")
                      (cons ir6_11 "ir6_11") (cons ir6_12 "ir6_12") (cons ir6_13 "ir6_13") (cons ir6_14 "ir6_14") (cons ir6_15 "ir6_15")
                      (cons ir6_16 "ir6_16") (cons ir6_17 "ir6_17") (cons ir6_18 "ir6_18") (cons ir6_19 "ir6_19") (cons ir6_20 "ir6_20")
                      (cons ir6_21 "ir6_21") (cons ir6_22 "ir6_22") (cons ir6_23 "ir6_23") (cons ir6_24 "ir6_24") (cons ir6_25 "ir6_25")
                      (cons ir6_26 "ir6_26") (cons ir6_27 "ir6_27") (cons ir6_28 "ir6_28") (cons ir6_29 "ir6_29") (cons ir6_30 "ir6_30")
                      (cons ir6_31 "ir6_31") (cons ir6_32 "ir6_32") (cons ir6_33 "ir6_33") (cons ir6_34 "ir6_34") (cons ir6_35 "ir6_35")
                      (cons ir6_36 "ir6_36") (cons ir6_37 "ir6_37") (cons ir6_38 "ir6_38") (cons ir6_39 "ir6_39") (cons ir6_40 "ir6_40")
                      (cons ir6_41 "ir6_41")))
