;;; -*- Mode:Lisp; Syntax:Common-Lisp; -*-
;;; ------------------------------------------------------------
;;; File        : IR8.L
;;; Description : Sample inputs to test GR8.
;;; Author      : Michael Elhadad and Jacques Robin
;;; Created     : 19 Apr 91
;;; Modified    : 08 May 91 - Added wh and yes-no examples
;;; Language    : Common Lisp
;;; ------------------------------------------------------------

(defmacro define (var value) `(setq ,var ,value))
(load (concatenate 'string *cfuf-common-path* "testsuit/ir8.scm"))

;; Extended and new defaults:
;; defaults for (cat clause):
;;	        (mood declarative)
;;	        (tense present)

;; defaults for process:
;;              (voice-class non-middle)
;;              (transitive-class transitive)

;; defaults for (cat np):
;;              (countable yes)
;;              (number singular)
;;		(definite yes)

(defun ir8_1 ()
  (format t "ir8_1  --> This car is expensive~%")
  (setq ir8_1 _ir8_1))

(ir8_1)

(defun ir8_2 ()
  (format t "ir8_2  --> John gives a blue book to Mary.~%")
  (setq ir8_2 _ir8_2))

(ir8_2)

(defun ir8_3 ()
  (format t "ir8_3  --> A science book is given by John to Mary.~%")
  (setq ir8_3 _ir8_3))
(ir8_3)

(defun ir8_4 ()
  (format t "ir8_4  --> John likes Mary.~%")
  (setq ir8_4 _ir8_4))

(ir8_4)

(defun ir8_5 ()
  (format t "ir8_5  --> John is the teacher.~%")
  (setq ir8_5 _ir8_5))

(ir8_5)

(defun ir8_6 ()
  (format t "ir8_6  --> The president is John.~%")
  (setq ir8_6 _ir8_6))

(ir8_6)

(defun ir8_7 ()
  (format t "ir8_7  --> Mary is thrown a heavy ball by John.~%")
  (setq ir8_7 _ir8_7))

(ir8_7)

(defun ir8_8 ()
  (format t "ir8_8  --> John's book is beautiful.~%")
  (setq ir8_8 _ir8_8))

(ir8_8)

(defun ir8_9 ()
  (format t "ir8_9  --> The SIG-display marker moves.~%")
  (setq ir8_9 _ir8_9))

(ir8_9)

(defun ir8_10 ()
  (format t "ir8_10 --> The SIG-display marker moves to the right.~%")
  (setq ir8_10 _ir8_10))
;; JR comment: "to the right" really is a participant of the clause, NOT
;; a circumstance. To revise using Talmy & Fawcett is the next version.
;; Idem for the ir8_11, ir8_12, ir8_19 and ir8_30.


(ir8_10)
	
(defun ir8_11 ()
  (format t "ir8_11 --> The SIG-display marker moves from the left.~%")
  (setq ir8_11 _ir8_11))

(ir8_11)
	
(defun ir8_12 ()
  (format t
    "ir8_12 --> The SIG-display marker moves from the left to the right.~%")  
  (setq ir8_12 _ir8_12))

(ir8_12)

	
(defun ir8_13 ()
  (format t "ir8_13 --> the power level increasing causes the sig-display ~
	   ~%           marker to move to the right.~%")
  (setq ir8_13 _ir8_13))
;; JR comment: check Talmy's analysis of such explicitly causative clauses

(ir8_13)

(defun ir8_14 ()
  (format t "ir8_14 --> For her to do it.~%")
  (setq ir8_14 _ir8_14))

(ir8_14)

(defun ir8_15 ()
  (format t "ir8_15 --> For her to do it is a bold statement.~%")
  (setq ir8_15 _ir8_15))

(ir8_15)

(defun ir8_16 ()
  (format t "ir8_16 --> The man whom I know.~%")
  (setq ir8_16 _ir8_16))

(ir8_16)

(defun ir8_17 ()
  (format t "ir8_17 --> The man that I know.~%")
  (setq ir8_17 _ir8_17))

(ir8_17)


(defun ir8_18 ()
  (format t "ir8_18 --> The man that knows me.~%")
  (setq ir8_18 _ir8_18))

(ir8_18)

(defun ir8_19 ()
  (format t "ir8_19 --> The position to which the marker moves.~%")
  (setq ir8_19 _ir8_19))

(ir8_19)

(defun ir8_20 ()
  (format t "ir8_20 --> The position of the marker.~%")
  (setq ir8_20 _ir8_20))

(ir8_20)

(defun ir8_21 ()
  (format t "ir8_21 --> My wife, Carol.~%")
  (setq ir8_21 _ir8_21))

(ir8_21)

(defun ir8_22 ()
  (format t "ir8_22 --> My brother Steve.~%")
  (setq ir8_22 _ir8_22))

(ir8_22)

(defun ir8_23 ()
  (format t "ir8_23 --> An intelligent person.~%")
  (setq ir8_23 _ir8_23))

(ir8_23)


(defun ir8_24 ()
  ;; New treatment of lists: complex can be apposition or conjunction
  (format t "ir8_24 --> My brother Steve and my wife, Carol.~%")
  (setq ir8_24 _ir8_24))


(ir8_24)

(defun ir8_25 ()
  (format t "ir8_25 --> My wife, Carol, my brother Steve and John.~%")
  (setq ir8_25 _ir8_25))

(ir8_25)

(defun ir8_26 ()
  (format t "ir8_26 --> Take the hammer and hit the nail.~%")
  (setq ir8_26 _ir8_26))

(ir8_26)		   
		    
(defun ir8_27 ()
  (format t "ir8_27 --> In order to install the battery, clean the box.~%")
  (setq ir8_27 _ir8_27))
		      
(ir8_27)



(defun ir8_28 ()
  ;; New treatment of relational processes - 
  ;; ascriptive, circumstantial or possessive 
  ;; Relation-mode is either attributive or equative
  (format t "ir8_28 --> For her to do it must be a bold statement.~%")
  (setq ir8_28 _ir8_28))

(ir8_28)


(defun ir8_29 ()
  (format t "ir8_29 --> The man whom I may know.~%")
  (setq ir8_29 _ir8_29))

(ir8_29)

(defun ir8_30 ()
  ;; Cf comment on ir8_11 about move and to-loc
  (format t "ir8_30 --> The SIG-display marker can move to the right.~%")
  (setq ir8_30 _ir8_30))

(ir8_30)

(defun ir8_31 ()
  (format t "ir8_31 --> First, take the hammer and then, hit the nail.~%")
  (setq ir8_31 _ir8_31))

(ir8_31)		   

(defun ir8_32 ()
  ;; ir8_32 fails because epistemic-modality is not compatible with imperative.
  (format t "ir8_32 --> <fail>~%")
  (setq ir8_32 _ir8_32))


(ir8_32)		   

		    

(defun ir8_33 ()
  (format t "ir8_33 --> Hit the nail with the hammer.~%")
  (setq ir8_33 _ir8_33))

(ir8_33)		   

(defun ir8_34 ()
  (format t "ir8_34 --> Hit the nail using a hammer.~%")
  (setq ir8_34 _ir8_34))

(ir8_34)		   

(defun ir8_35 ()
  (format t "ir8_35 --> Take the nail off using a screwdriver.~%")
  (setq ir8_35 _ir8_35))

(ir8_35)		   

(defun ir8_36 ()
  (format t "ir8_36 --> The nail is taken off using a screwdriver.~%")
  (setq ir8_36 _ir8_36))

(ir8_36)		   

(defun ir8_37 ()
  ;; another way of specifying the prep for the role instrument.
  (format t "ir8_37 --> Take the nail off using a screwdriver.~%")
  (setq ir8_37 _ir8_37))

(ir8_37)		   


(defun ir8_38 ()
  ;; Add an irregular verb to the lexicon with store-verbs
  ;; Treatment of non-movable particles as a single string (sort of hack)
  ;; Test accompaniment role
  (format t "ir8_38 --> The battery lines up with the compartment.~%")
  (store-verbs '( ("line up" "lines up" "lined up" "lining up" "lined up")) )
  (setq ir8_38 _ir8_38))

(ir8_38)		   


(defun ir8_39 ()
  ;; Test reason role
  (format t "ir8_39 --> He does it because of you.~%")
  (setq ir8_39 _ir8_39))

(ir8_39)

(defun ir8_40 ()
  ;; Test reason role with a clause
  (format t "ir8_40 --> He does it because he likes you.~%")
  (setq ir8_40 _ir8_40))

(ir8_40)

(defun ir8_41 ()
  ;; Test reason role
  (format t "ir8_41 --> He scored thirty-nine points for the Lakers.~%")
  (setq ir8_41 _ir8_41))

(ir8_41)

(defun ir8_42 ()
  ;; More and more on relational processes 
  ;; relation-mode equative when relation is symmetrical (can be passivized)
  ;; circumstance-as process|participant 
  ;; typically what expresses the relation is the verb (full verb) otherwise,
  ;; the relation (circumstance) is expressed in the participant and the verb
  ;; is "to be" (empty).  In such case, the participants are realized by a
  ;; PP (in general).
  (format t "ir8_42 --> The holding battery cover plate~%")
  (format t "           covers the holding battery compartment.~%")
  (setq ir8_42 _ir8_42))

(ir8_42)


(defun ir8_43 ()
  ;; Here is a circumstance-as participant for a location relation.
  ;; In addition, the location is an apposition of PPs.
  (format t "ir8_43 --> The holding battery compartment is~%")
  (format t "           in the back of the RT, at the bottom left corner.~%")
  (setq ir8_43 _ir8_43))

(ir8_43)


(defun ir8_44 ()
  ;; TEST: try your own syntactic analysis of this one and come up with 3
  ;; reasons why it is inferior to this one.
  ;; Send answers to robin@cs.columbia.edu
  (format t "ir8_44 --> The holding battery compartment contains~%")
  (format t "           the old holding battery shown in the cut-away view.~%")
  (setq ir8_44 _ir8_44))
		
(ir8_44)

(defun ir8_45 ()
  ;; Show that conjunction of different cats fails
  (format t "ir8_45 --> <fail>~%")
  (setq ir8_45 _ir8_45))

(ir8_45)


(defun ir8_46 ()
  ;; Show conjunction of low-level constituents (noun)
  (format t "ir8_46 --> My brother and friend, Steve.~%")
  (setq ir8_46 _ir8_46))

(ir8_46)


(defun ir8_47 ()
  ;; Test ordinal
  (format t "ir8_47 --> My first two years were happy and uneventful.~%")
  (setq ir8_47 _ir8_47))

(ir8_47)


(defun ir8_48 ()
  ;; Test possessive clauses
  (format t "ir8_48 --> Old McDonald had a farm.~%")
  (setq ir8_48 _ir8_48))

(ir8_48)

(defun ir8_49 ()
  ;; Equative attributive
  (format t "ir8_49 --> Old McDonald owned a farm.~%")
  (setq ir8_49 _ir8_49))

(ir8_49)
  
(defun ir8_50 ()
  ;; Equative attributive
  (format t "ir8_50 --> A farm was owned by Old McDonald.~%")
  (setq ir8_50 _ir8_50))


(ir8_50)


(defun ir8_51 ()
  ;; Test reason role
  (format t "ir8_51 --> To be innocent, you must do it for him to eat.~%")
  (setq ir8_51 _ir8_51))
	      

(ir8_51)


;; Test questions 

(defun ir8_52 ()
  (format t "ir8_52 --> Is this car expensive?~%")
  (setq ir8_52 _ir8_52))

(ir8_52)

(defun ir8_53 ()
  (format t "ir8_53 --> Will John give a blue book to Mary?~%")
  (setq ir8_53 _ir8_53))

(ir8_53)

(defun ir8_54 ()
  (format t "ir8_54 --> John did give a blue book to Mary.~%")
  (setq ir8_54 _ir8_54))

(ir8_54)

(defun ir8_55 ()
  (format t "ir8_55 --> What is expensive?~%")
  (setq ir8_55 _ir8_55))

(ir8_55)


(defun ir8_56 ()
  (format t "ir8_56 --> What is a classic?~%")
  (setq ir8_56 _ir8_56))
(ir8_56)

;; JR Note: The scope can't simply be "attribute", since then it would be
;; impossible to choose the question pronoun (e.g. in ir8_55 it would be "How"
;; or "How expensive", in ir8_56 it would be "What" or "What kind of")
;; Also note the ambiguity of ir8_56.


(defun ir8_57 ()
  (format t "ir8_57 --> Who is your father?~%")
  (setq ir8_57 _ir8_57))

(ir8_57)		       
		       

(defun ir8_58 ()
  (format t "ir8_58 --> Which is your father?~%")
  (setq ir8_58 _ir8_58))

(ir8_58)


(defun ir8_59 ()
  (format t "ir8_59 --> Where is your mother?~%")
  (setq ir8_59 _ir8_59))

(ir8_59)


(defun ir8_60 ()
  (format t "ir8_60 --> Who is in your house?~%")
  (setq ir8_60 _ir8_60))

(ir8_60)


(defun ir8_61 ()
  (format t "ir8_61 --> What covers the opening~%")
  (setq ir8_61 _ir8_61))

(ir8_61)


(defun ir8_62 ()
  (format t "ir8_62 --> What does the seal cover~%")
  (setq ir8_62 _ir8_62))

(ir8_62)


(defun ir8_63 ()
  (format t "ir8_63 --> When is the game?~%")
  (setq ir8_63 _ir8_63))

(ir8_63)

;; JR note: how to do "At what time is the game?" ?!?!?!?!?


(defun ir8_64 ()
  (format t "ir8_64 --> What happens then?~%")
  (setq ir8_64 _ir8_64))

(ir8_64)

;; JR note: equative and circumstance-as-process flavors seem difficult
;; without specifying a time unit in the question (e.g. "What day is the
;; 10th?" "How long does the fair last?")


(defun ir8_65 ()
  (format t "ir8_65 --> How is your sister?~%")
  (setq ir8_65 _ir8_65))


(ir8_65)


(defun ir8_66 ()
  (format t "ir8_66 --> With whom is your sister?~%")
  (setq ir8_66 _ir8_66))


(ir8_66)

;; JR note: before doing all circumstantial roles (and in all flavors) in
;; relation, decide whether we take Halliday's stance on the issue rather
;; than Fawcett.


(defun ir8_67 ()
  (format t "ir8_67 --> Who has a PhD.?~%")
  (setq ir8_67 _ir8_67))

(ir8_67)


(defun ir8_68 ()
  (format t "ir8_68 --> What does she have?~%")
  (setq ir8_68 _ir8_68))

(ir8_68)
  

(defun ir8_69 ()
  (format t "ir8_69 --> Who owns this book?~%")
  (setq ir8_69 _ir8_69))

(ir8_69)


(defun ir8_70 ()
  (format t "ir8_70 --> Which does she own?~%")
  (setq ir8_70 _ir8_70))

(ir8_70)


(defun ir8_71 ()
  (format t "ir8_71 --> Who gives a blue book to Mary?~%")
  (setq ir8_71 _ir8_71))

(ir8_71)


(defun ir8_72 ()
  (format t "ir8_72 --> What will John give to Mary?~%")
  (setq ir8_72 _ir8_72))

(ir8_72)


(defun ir8_73 ()
  (format t "ir8_73 --> To whom will John give a blue book?~%")
  (setq ir8_73 _ir8_73))

(ir8_73)


(defun ir8_74 ()
  (format t "ir8_74 --> What does Deborah prefer?~%")
  (setq ir8_74 _ir8_74))

(ir8_74)


(defun ir8_75 ()
  (format t "ir8_75 --> Who worships Baal?~%")
  (setq ir8_75 _ir8_75))

(ir8_75)

;; JR Question: How to make generic reference like "Who worships FIRE" or
;; "They want MONEY" ?


;; Add test for every role in relative clauses

(defun ir8_76 ()
  ;; Test reason role with a clause
  (format t "ir8_76 --> Why does he do it?~%")
  (setq ir8_76 _ir8_76))


(ir8_76)

(defun ir8_77 ()
  (format t
    "ir8_77 --> From where does the SIG-display marker move to the right?~%")  
  (setq ir8_77 _ir8_77))

(ir8_77)

(defun ir8_78 ()
  ;; Test cardinal with a string
  (format t "ir8_78 --> He scored 39 points for the Lakers.~%")
  (setq ir8_78 _ir8_78))

(ir8_78)

(defun ir8_79 ()
  (format t "ir8_79 --> The game happened then.~%")
  (store-verbs '( ("happen" "happens" "happened" "happening" "happened")) )
  (setq ir8_79 _ir8_79))

(ir8_79)

(defun test8 (&key (from 1) (to 79) (timed nil))
  (do* ((i from (1+ i))
	(func (find-symbol (format nil "IR8_~s" i)) 
	      (find-symbol (format nil "IR8_~s" i))))
       ((> i to) 
	(values))
       (format t "~%=======================~%")
       (if timed
	   (time (uni (funcall func) :limit 1000))
	 (uni (funcall func) :limit 1000))))


(format t 
  "
=================================================================
Use function (test8 :from 1 :to 79 :timed nil) to try examples.
Use function (do-tenses fd :from 1 :to 36 :passive nil :polarity t :question t)
to test tense formation, passivation, negation and interrogation.
=================================================================
NOTE: some examples do not work with gr8 but work with gr9 which is
an improved version of gr8.
Questions do not work with gr8 and gr9 (tests after 50).
(Fixing them is left as an exercise to the user :-)
Questions work in a much nicer way in the current grammar.
Check it there.
=================================================================

")

(setq *ir-list* (list (cons ir8_1 "ir8_1") (cons ir8_2 "ir8_2") (cons ir8_3 "ir8_3") (cons ir8_4 "ir8_4") (cons ir8_5 "ir8_5")
                      (cons ir8_6 "ir8_6") (cons ir8_7 "ir8_7") (cons ir8_8 "ir8_8") (cons ir8_9 "ir8_9") (cons ir8_10 "ir8_10")
                      (cons ir8_11 "ir8_11") (cons ir8_12 "ir8_12") (cons ir8_13 "ir8_13") (cons ir8_14 "ir8_14") (cons ir8_15 "ir8_15")
                      (cons ir8_16 "ir8_16") (cons ir8_17 "ir8_17") (cons ir8_18 "ir8_18") (cons ir8_19 "ir8_19") (cons ir8_20 "ir8_20")
                      (cons ir8_21 "ir8_21") (cons ir8_22 "ir8_22") (cons ir8_23 "ir8_23") (cons ir8_24 "ir8_24") (cons ir8_25 "ir8_25")
                      (cons ir8_26 "ir8_26") (cons ir8_27 "ir8_27") (cons ir8_28 "ir8_28") (cons ir8_29 "ir8_29") (cons ir8_30 "ir8_30")
                      (cons ir8_31 "ir8_31") (cons ir8_32 "ir8_32") (cons ir8_33 "ir8_33") (cons ir8_34 "ir8_34") (cons ir8_35 "ir8_35")
                      (cons ir8_36 "ir8_36") (cons ir8_37 "ir8_37") (cons ir8_38 "ir8_38") (cons ir8_39 "ir8_39") (cons ir8_40 "ir8_40")
                      (cons ir8_41 "ir8_41") (cons ir8_42 "ir8_42") (cons ir8_43 "ir8_43") (cons ir8_44 "ir8_44") (cons ir8_45 "ir8_45")
                      (cons ir8_46 "ir8_46") (cons ir8_47 "ir8_47") (cons ir8_48 "ir8_48") (cons ir8_49 "ir8_49") (cons ir8_50 "ir8_50")
                      (cons ir8_51 "ir8_51") (cons ir8_52 "ir8_52") (cons ir8_53 "ir8_53") (cons ir8_54 "ir8_54") (cons ir8_55 "ir8_55")
                      (cons ir8_56 "ir8_56") (cons ir8_57 "ir8_57") (cons ir8_58 "ir8_58") (cons ir8_59 "ir8_59") (cons ir8_60 "ir8_60")
                      (cons ir8_61 "ir8_61") (cons ir8_62 "ir8_62") (cons ir8_63 "ir8_63") (cons ir8_64 "ir8_64") (cons ir8_65 "ir8_65")
                      (cons ir8_66 "ir8_66") (cons ir8_67 "ir8_67") (cons ir8_68 "ir8_68") (cons ir8_69 "ir8_69") (cons ir8_70 "ir8_70")
                      (cons ir8_71 "ir8_71") (cons ir8_72 "ir8_72") (cons ir8_73 "ir8_73") (cons ir8_74 "ir8_74") (cons ir8_75 "ir8_75")
                      (cons ir8_76 "ir8_76") (cons ir8_77 "ir8_77") (cons ir8_78 "ir8_78") (cons ir8_79 "ir8_79")))
