;;; -*- Mode:Lisp; Syntax:Common-Lisp; -*-
;;; ------------------------------------------------------------
;;; File        : IR9.L
;;; Description : Sample inputs to test GR8.
;;; Author      : Michael Elhadad and Jacques Robin
;;; Created     : 19 Apr 91
;;; Modified    : 08 May 91 - Added wh and yes-no examples
;;; Language    : Common Lisp
;;; ------------------------------------------------------------

(defmacro define (var value) `(setq ,var ,value))
(load (concatenate 'string *cfuf-common-path* "testsuit/ir9.scm"))

;; Extended and new defaults:
;; defaults for (cat clause):
;;	        (mood declarative)
;;	        (tense present)

;; defaults for process:
;;              (voice-class non-middle)
;;              (transitive-class transitive)

;; defaults for (cat np):
;;              (countable yes)
;;              (number singular)
;;		(definite yes)

(defun ir9_1 ()
  (format t "ir9_1  --> This car is expensive~%")
  (setq ir9_1 _ir9_1))

(ir9_1)

(defun ir9_2 ()
  (format t "ir9_2  --> John gives a blue book to Mary.~%")
  (setq ir9_2 _ir9_2))

(ir9_2)

(defun ir9_3 ()
  (format t "ir9_3  --> A science book is given by John to Mary.~%")
  (setq ir9_3 _ir9_3))
(ir9_3)

(defun ir9_4 ()
  (format t "ir9_4  --> John likes Mary.~%")
  (setq ir9_4 _ir9_4))

(ir9_4)

(defun ir9_5 ()
  (format t "ir9_5  --> John is the teacher.~%")
  (setq ir9_5 _ir9_5))

(ir9_5)

(defun ir9_6 ()
  (format t "ir9_6  --> The president is John.~%")
  (setq ir9_6 _ir9_6))

(ir9_6)

(defun ir9_7 ()
  (format t "ir9_7  --> Mary is thrown a heavy ball by John.~%")
  (setq ir9_7 _ir9_7))

(ir9_7)

(defun ir9_8 ()
  (format t "ir9_8  --> John's book is beautiful.~%")
  (setq ir9_8 _ir9_8))

(ir9_8)

(defun ir9_9 ()
  (format t "ir9_9  --> The SIG-display marker moves.~%")
  (setq ir9_9 _ir9_9))

(ir9_9)

(defun ir9_10 ()
  (format t "ir9_10 --> The SIG-display marker moves to the right.~%")
  (setq ir9_10 _ir9_10))
;; JR comment: "to the right" really is a participant of the clause, NOT
;; a circumstance. To revise using Talmy & Fawcett is the next version.
;; Idem for the ir9_11, ir9_12, ir9_19 and ir9_30.


(ir9_10)
	
(defun ir9_11 ()
  (format t "ir9_11 --> The SIG-display marker moves from the left.~%")
  (setq ir9_11 _ir9_11))

(ir9_11)
	
(defun ir9_12 ()
  (format t
    "ir9_12 --> The SIG-display marker moves from the left to the right.~%")  
  (setq ir9_12 _ir9_12))

(ir9_12)

	
(defun ir9_13 ()
  (format t "ir9_13 --> the power level increasing causes the sig-display ~
	   ~%        marker to move to the right.~%")
  (setq ir9_13 _ir9_13))
;; JR comment: check Talmy's analysis of such explicitly causative clauses

(ir9_13)

(defun ir9_14 ()
  (format t "ir9_14 --> For her to do it.~%")
  (setq ir9_14 _ir9_14))

(ir9_14)

(defun ir9_15 ()
  (format t "ir9_15 --> For her to do it is a bold statement.~%")
  (setq ir9_15 _ir9_15))

(ir9_15)

(defun ir9_16 ()
  (format t "ir9_16 --> The man whom I know.~%")
  (setq ir9_16 _ir9_16))

(ir9_16)

(defun ir9_17 ()
  (format t "ir9_17 --> The man that I know.~%")
  (setq ir9_17 _ir9_17))

(ir9_17)


(defun ir9_18 ()
  (format t "ir9_18 --> The man that knows me.~%")
  (setq ir9_18 _ir9_18))

(ir9_18)

(defun ir9_19 ()
  (format t "ir9_19 --> The position to which the marker moves.~%")
  (setq ir9_19 _ir9_19))

(ir9_19)

(defun ir9_20 ()
  (format t "ir9_20 --> The position of the marker.~%")
  (setq ir9_20 _ir9_20))

(ir9_20)

(defun ir9_21 ()
  (format t "ir9_21 --> My wife, Carol.~%")
  (setq ir9_21 _ir9_21))

(ir9_21)

(defun ir9_22 ()
  (format t "ir9_22 --> My brother Steve.~%")
  (setq ir9_22 _ir9_22))

(ir9_22)

(defun ir9_23 ()
  (format t "ir9_23 --> An intelligent person.~%")
  (setq ir9_23 _ir9_23))

(ir9_23)


(defun ir9_24 ()
  ;; New treatment of lists: complex can be apposition or conjunction
  (format t "ir9_24 --> My brother Steve and my wife, Carol.~%")
  (setq ir9_24 _ir9_24))


(ir9_24)

(defun ir9_25 ()
  (format t "ir9_25 --> My wife, Carol, my brother Steve and John.~%")
  (setq ir9_25 _ir9_25))

(ir9_25)

(defun ir9_26 ()
  (format t "ir9_26 --> Take the hammer and hit the nail.~%")
  (setq ir9_26 _ir9_26))

(ir9_26)		   
		    
(defun ir9_27 ()
  (format t "ir9_27 --> In order to install the battery, clean the box.~%")
  (setq ir9_27 _ir9_27))
		      
(ir9_27)



(defun ir9_28 ()
  ;; New treatment of relational processes - 
  ;; ascriptive, circumstantial or possessive 
  ;; Relation-mode is either attributive or equative
  (format t "ir9_28 --> For her to do it must be a bold statement.~%")
  (setq ir9_28 _ir9_28))

(ir9_28)


(defun ir9_29 ()
  (format t "ir9_29 --> The man whom I may know.~%")
  (setq ir9_29 _ir9_29))

(ir9_29)

(defun ir9_30 ()
  ;; Cf comment on ir9_11 about move and to-loc
  (format t "ir9_30 --> The SIG-display marker can move to the right.~%")
  (setq ir9_30 _ir9_30))

(ir9_30)

(defun ir9_31 ()
  (format t "ir9_31 --> First, take the hammer and then, hit the nail.~%")
  (setq ir9_31 _ir9_31))

(ir9_31)		   

(defun ir9_32 ()
  ;; ir9_32 fails because epistemic-modality is not compatible with imperative.
  (format t "ir9_32 --> <fail>~%")
  (setq ir9_32 _ir9_32))


(ir9_32)		   

		    

(defun ir9_33 ()
  (format t "ir9_33 --> Hit the nail with the hammer.~%")
  (setq ir9_33 _ir9_33))

(ir9_33)		   

(defun ir9_34 ()
  (format t "ir9_34 --> Hit the nail using a hammer.~%")
  (setq ir9_34 _ir9_34))

(ir9_34)		   

(defun ir9_35 ()
  (format t "ir9_35 --> Take the nail off using a screwdriver.~%")
  (setq ir9_35 _ir9_35))

(ir9_35)		   

(defun ir9_36 ()
  (format t "ir9_36 --> The nail is taken off using a screwdriver.~%")
  (setq ir9_36 _ir9_36))

(ir9_36)		   

(defun ir9_37 ()
  ;; another way of specifying the prep for the role instrument.
  (format t "ir9_37 --> Take the nail off using a screwdriver.~%")
  (setq ir9_37 _ir9_37))

(ir9_37)		   


(defun ir9_38 ()
  ;; Add an irregular verb to the lexicon with store-verbs
  ;; Treatment of non-movable particles as a single string (sort of hack)
  ;; Test accompaniment role
  (format t "ir9_38 --> The battery lines up with the compartment.~%")
  (store-verbs '( ("line up" "lines up" "lined up" "lining up" "lined up")) )
  (setq ir9_38 _ir9_38))

(ir9_38)		   


(defun ir9_39 ()
  ;; Test reason role
  (format t "ir9_39 --> He does it because of you.~%")
  (setq ir9_39 _ir9_39))

(ir9_39)

(defun ir9_40 ()
  ;; Test reason role with a clause
  (format t "ir9_40 --> He does it because he likes you.~%")
  (setq ir9_40 _ir9_40))

(ir9_40)

(defun ir9_41 ()
  ;; Test reason role
  (format t "ir9_41 --> He scored thirty-nine points for the Lakers.~%")
  (setq ir9_41 _ir9_41))

(ir9_41)


(defun ir9_42 ()
  ;; More and more on relational processes 
  ;; relation-mode equative when relation is symmetrical (can be passivized)
  ;; circumstance-as process|participant 
  ;; typically what expresses the relation is the verb (full verb) otherwise,
  ;; the relation (circumstance) is expressed in the participant and the verb
  ;; is "to be" (empty).  In such case, the participants are realized by a
  ;; PP (in general).
  (format t "ir9_42 --> The holding battery cover plate~%")
  (format t "    --> covers the holding battery compartment.~%")
  (setq ir9_42 _ir9_42))

(ir9_42)


(defun ir9_43 ()
  ;; Here is a circumstance-as participant for a location relation.
  ;; In addition, the location is an apposition of PPs.
  (format t "ir9_43 --> The holding battery compartment is~%")
  (format t "    --> in the back of the RT, at the bottom left corner.~%")
  (setq ir9_43 _ir9_43))

(ir9_43)


(defun ir9_44 ()
  ;; TEST: try your own syntactic analysis of this one and come up with 3
  ;; reasons why it is inferior to this one.
  ;; Send answers to robin@cs.columbia.edu
  (format t "ir9_44 --> The holding battery compartment contains~%")
  (format t "    --> the old holding battery shown in the cut-away view.~%")
  (setq ir9_44 _ir9_44))
		
(ir9_44)

(defun ir9_45 ()
  ;; Show that conjunction of different cats fails
  (format t "ir9_45 --> <fail>~%")
  (setq ir9_45 _ir9_45))

(ir9_45)


(defun ir9_46 ()
  ;; Show conjunction of low-level constituents (noun)
  (format t "ir9_46 --> My brother and friend, Steve.~%")
  (setq ir9_46 _ir9_46))

(ir9_46)


(defun ir9_47 ()
  ;; Test ordinal
  (format t "ir9_47 --> My first two years were happy and uneventful.~%")
  (setq ir9_47 _ir9_47))

(ir9_47)


(defun ir9_48 ()
  ;; Test possessive clauses
  (format t "ir9_48 --> Old McDonald had a farm.~%")
  (setq ir9_48 _ir9_48))

(ir9_48)

(defun ir9_49 ()
  ;; Equative attributive
  (format t "ir9_49 --> Old McDonald owned a farm.~%")
  (setq ir9_49 _ir9_49))

(ir9_49)
  
(defun ir9_50 ()
  ;; Equative attributive
  (format t "ir9_50 --> A farm was owned by Old McDonald.~%")
  (setq ir9_50 _ir9_50))


(ir9_50)


(defun ir9_51 ()
  ;; Test reason role
  (format t "ir9_51 --> To be innocent, you must do it for him to eat.~%")
  (setq ir9_51 _ir9_51))
	      

(ir9_51)


;; Test questions 

(defun ir9_52 ()
  (format t "ir9_52  --> Is this car expensive?~%")
  (setq ir9_52 _ir9_52))

(ir9_52)

(defun ir9_53 ()
  (format t "ir9_53  --> Will John give a blue book to Mary?~%")
  (setq ir9_53 _ir9_53))

(ir9_53)

(defun ir9_54 ()
  (format t "ir9_54  --> John did give a blue book to Mary.~%")
  (setq ir9_54 _ir9_54))

(ir9_54)

(defun ir9_55 ()
  (format t "ir9_55  --> What is expensive?~%")
  (setq ir9_55 _ir9_55))

(ir9_55)


(defun ir9_56 ()
  (format t "ir9_56  --> What is a classic?~%")
  (setq ir9_56 _ir9_56))
(ir9_56)

;; JR Note: The scope can't simply be "attribute", since then it would be
;; impossible to choose the question pronoun (e.g. in ir9_55 it would be "How"
;; or "How expensive", in ir9_56 it would be "What" or "What kind of")
;; Also note the ambiguity of ir9_56.


(defun ir9_57 ()
  (format t "ir9_57  --> Who is your father?~%")
  (setq ir9_57 _ir9_57))

(ir9_57)		       
		       

(defun ir9_58 ()
  (format t "ir9_58  --> Which is your father?~%")
  (setq ir9_58 _ir9_58))

(ir9_58)


(defun ir9_59 ()
  (format t "ir9_59  --> Where is your mother?~%")
  (setq ir9_59 _ir9_59))

(ir9_59)


(defun ir9_60 ()
  (format t "ir9_60  --> Who is in your house?~%")
  (setq ir9_60 _ir9_60))

(ir9_60)


(defun ir9_61 ()
  (format t "ir9_61  --> What covers the opening~%")
  (setq ir9_61 _ir9_61))

(ir9_61)


(defun ir9_62 ()
  (format t "ir9_62  --> What does the seal cover~%")
  (setq ir9_62 _ir9_62))

(ir9_62)


(defun ir9_63 ()
  (format t "ir9_63  --> When is the game?~%")
  (setq ir9_63 _ir9_63))

(ir9_63)

;; JR note: how to do "At what time is the game?" ?!?!?!?!?


(defun ir9_64 ()
  (format t "ir9_64  --> What happens then?~%")
  (setq ir9_64 _ir9_64))

(ir9_64)


;; JR note: equative and circumstance-as-process flavors seem difficult
;; without specifying a time unit in the question (e.g. "What day is the
;; 10th?" "How long does the fair last?")


(defun ir9_65 ()
  (format t "ir9_65 --> How is your sister?~%")
  (setq ir9_65 _ir9_65))


(ir9_65)


(defun ir9_66 ()
  (format t "ir9_66 --> With whom is your sister?~%")
  (setq ir9_66 _ir9_66))


(ir9_66)

;; JR note: before doing all circumstantial roles (and in all flavors) in
;; relation, decide whether we take Halliday's stance on the issue rather
;; than Fawcett.


(defun ir9_67 ()
  (format t "ir9_67  --> Who has a PhD.?~%")
  (setq ir9_67 _ir9_67))

(ir9_67)


(defun ir9_68 ()
  (format t "ir9_68  --> What does she have?~%")
  (setq ir9_68 _ir9_68))

(ir9_68)
  

(defun ir9_69 ()
  (format t "ir9_69  --> Who owns this book?~%")
  (setq ir9_69 _ir9_69))

(ir9_69)


(defun ir9_70 ()
  (format t "ir9_70  --> Which does she own?~%")
  (setq ir9_70 _ir9_70))

(ir9_70)


(defun ir9_71 ()
  (format t "ir9_71  --> Who gives a blue book to Mary?~%")
  (setq ir9_71 _ir9_71))

(ir9_71)


(defun ir9_72 ()
  (format t "ir9_72  --> What will John give to Mary?~%")
  (setq ir9_72 _ir9_72))

(ir9_72)


(defun ir9_73 ()
  (format t "ir9_73  --> To whom will John give a blue book?~%")
  (setq ir9_73 _ir9_73))

(ir9_73)


(defun ir9_74 ()
  (format t "ir9_74  --> What does Deborah prefer?~%")
  (setq ir9_74 _ir9_74))

(ir9_74)


(defun ir9_75 ()
  (format t "ir9_75  --> Who worships Baal?~%")
  (setq ir9_75 _ir9_75))

(ir9_75)

;; JR Question: How to make generic reference like "Who worships FIRE" or
;; "They want MONEY" ?


;; Add test for every role in relative clauses

(defun ir9_76 ()
  ;; Test reason role with a clause
  (format t "ir9_76  --> Why does he do it?~%")
  (setq ir9_76 _ir9_76))


(ir9_76)

(defun ir9_77 ()
  (format t
    "ir9_77  --> From where does the SIG-display marker move to the right?~%")  
  (setq ir9_77 _ir9_77))

(ir9_77)

(defun ir9_78 ()
  ;; Test cardinal with a string
  (format t "ir9_78 --> He scored 39 points for the Lakers.~%")
  (setq ir9_78 _ir9_78))

(ir9_78)

(defun ir9_79 ()
  (format t "ir9_79  --> The game happened then.~%")
  (store-verbs '( ("happen" "happens" "happened" "happening" "happened")) )
  (setq ir9_79 _ir9_79))

(ir9_79)

(defun test9 (&key (from 1) (to 79) (timed nil))
  (do* ((i from (1+ i))
	(func (find-symbol (format nil "IR9_~s" i)) 
	      (find-symbol (format nil "IR9_~s" i))))
       ((> i to) 
	(values))
       (format t "~%=======================~%")
       (if timed
	   (time (uni (funcall func) :limit 1000))
	 (uni (funcall func) :limit 1000))))


(format t 
  "
=================================================================
Use function (test8 :from 1 :to 79 :timed nil) to try examples.
Use function (do-tenses fd :from 1 :to 36 :passive nil :polarity t :question t)
to test tense formation, passivation, negation and interrogation.
=================================================================
NOTE: some examples do not work with gr8 but work with gr9 which is
an improved version of gr8.
Questions do not work with gr8 and gr9 (tests after 50).
(Fixing them is left as an exercise to the user :-)
Questions work in a much nicer way in the current grammar.
Check it there.
=================================================================

")

(setq *ir-list* (list (cons ir9_1 "ir9_1") (cons ir9_2 "ir9_2") (cons ir9_3 "ir9_3") (cons ir9_4 "ir9_4") (cons ir9_5 "ir9_5")
                      (cons ir9_6 "ir9_6") (cons ir9_7 "ir9_7") (cons ir9_8 "ir9_8") (cons ir9_9 "ir9_9") (cons ir9_10 "ir9_10")
                      (cons ir9_11 "ir9_11") (cons ir9_12 "ir9_12") (cons ir9_13 "ir9_13") (cons ir9_14 "ir9_14") (cons ir9_15 "ir9_15")
                      (cons ir9_16 "ir9_16") (cons ir9_17 "ir9_17") (cons ir9_18 "ir9_18") (cons ir9_19 "ir9_19") (cons ir9_20 "ir9_20")
                      (cons ir9_21 "ir9_21") (cons ir9_22 "ir9_22") (cons ir9_23 "ir9_23") (cons ir9_24 "ir9_24") (cons ir9_25 "ir9_25")
                      (cons ir9_26 "ir9_26") (cons ir9_27 "ir9_27") (cons ir9_28 "ir9_28") (cons ir9_29 "ir9_29") (cons ir9_30 "ir9_30")
                      (cons ir9_31 "ir9_31") (cons ir9_32 "ir9_32") (cons ir9_33 "ir9_33") (cons ir9_34 "ir9_34") (cons ir9_35 "ir9_35")
                      (cons ir9_36 "ir9_36") (cons ir9_37 "ir9_37") (cons ir9_38 "ir9_38") (cons ir9_39 "ir9_39") (cons ir9_40 "ir9_40")
                      (cons ir9_41 "ir9_41") (cons ir9_42 "ir9_42") (cons ir9_43 "ir9_43") (cons ir9_44 "ir9_44") (cons ir9_45 "ir9_45")
                      (cons ir9_46 "ir9_46") (cons ir9_47 "ir9_47") (cons ir9_48 "ir9_48") (cons ir9_49 "ir9_49") (cons ir9_50 "ir9_50")
                      (cons ir9_51 "ir9_51") (cons ir9_52 "ir9_52") (cons ir9_53 "ir9_53") (cons ir9_54 "ir9_54") (cons ir9_55 "ir9_55")
                      (cons ir9_56 "ir9_56") (cons ir9_57 "ir9_57") (cons ir9_58 "ir9_58") (cons ir9_59 "ir9_59") (cons ir9_60 "ir9_60")
                      (cons ir9_61 "ir9_61") (cons ir9_62 "ir9_62") (cons ir9_63 "ir9_63") (cons ir9_64 "ir9_64") (cons ir9_65 "ir9_65")
                      (cons ir9_66 "ir9_66") (cons ir9_67 "ir9_67") (cons ir9_68 "ir9_68") (cons ir9_69 "ir9_69") (cons ir9_70 "ir9_70")
                      (cons ir9_71 "ir9_71") (cons ir9_72 "ir9_72") (cons ir9_73 "ir9_73") (cons ir9_74 "ir9_74") (cons ir9_75 "ir9_75")
                      (cons ir9_76 "ir9_76") (cons ir9_77 "ir9_77") (cons ir9_78 "ir9_78") (cons ir9_79 "ir9_79")))
