(define (get-env-var var-name)
  (let ((var-value (getenv var-name)))
    (if (not var-value)
        (error (string-append "The " var-value " environment variable must be set!")))
    var-value))

(define *cfuf-toplevel-path* (get-env-var "CFUF_TOPLEVEL_PATH"))
(define *surge-path* (get-env-var "SURGE_PATH"))

(define (load-all)
  (let ((cwd (getcwd)))
    (chdir *cfuf-toplevel-path*)
    (load "cfuf.scm")
    (chdir *surge-path*)
    (load "surge.scm")
    (load-grammar *surge-info* 'inputs 'linearizer 'types)
    (chdir cwd)))

(load-all)
;; (cfuf:silent #f)
(system "rm -rf orig copy && mkdir orig copy")
(for-each (lambda (test)
            (let* ((fname (symbol->string test))
                   (cfd (get-test test))
                   (copy (cfuf:copy-fd cfd)))
              (write-to-file cfd (string-append "orig/" fname) '*PPRINT-FD*)
              (write-to-file copy (string-append "copy/" fname) '*PPRINT-FD*))
            (print test))
          *ordered-tests*)
