(define *DST_DIR* #f)

(define (get-env-var var-name)
  (let ((var-value (getenv var-name)))
    (if (not var-value)
        (error (string-append "The " var-value " environment variable must be set!")))
    var-value))

(define *cfuf-toplevel-path* (get-env-var "CFUF_TOPLEVEL_PATH"))
(define *surge-path* (get-env-var "SURGE_PATH"))
(define *cfuf-testsuit-path* (get-env-var "CFUF_TESTSUIT_PATH"))
(define *cfuf-common-path* (get-env-var "CFUF_COMMON_PATH"))

(define (load-all)
  (let ((cwd (getcwd)))
    (chdir *cfuf-toplevel-path*)
    (load "cfuf.scm")
    (chdir *surge-path*)
    (load "surge.scm")
    (load-grammar *surge-info* 'linearizer)    (chdir cwd)))

(define (fun cfd name)
  (let* ((copy (cfuf:copy-fd cfd))
         (res (cfuf:unify-fd! copy *u-compiled-grammar*)))
    (if res
      (let ((file-name (format nil "~a/_u_~s.scm" *DST_DIR* name)))
        (write-to-file copy file-name '*PPRINT-FD*)
        (format t "The result is in ~a~%" file-name)
        copy)
      #f)))

(define (run . ilist)
  (if *DST_DIR* (mkdir *DST_DIR* 511))
  (do ((ilist ilist (cdr ilist)))
        ((null? ilist) 'done)
    (define i (number->string (car ilist)))
    (clear-tests)
    (load (string-append *cfuf-testsuit-path* "gr" i ".scm"))
    (load (string-append *cfuf-testsuit-path* "ir" i ".scm"))
    (set! *u-compiled-grammar* (set-ex-grammar))
    (test :timed t :linearize #f)))

;; (define *DST_DIR* "EX")

(load-all)
;; (cfuf:gc-assist #f)
;; (cfuf:doing-wait #t)
;; (cfuf:silent #f)
;; (cfuf:trace-level 3)
(run 0 1 2 3 4 5 6 7 8 9 10 11)
;; (run 7)
;; (if (access ".cfufrun.scm" "r") (load ".cfufrun.scm"))
