(define *HUGG-DIR* #f)

(define (get-env-var var-name)
  (let ((var-value (getenv var-name)))
    (if (not var-value)
        (error (string-append "The " var-value " environment variable must be set!")))
    var-value))

(define *cfuf-toplevel-path* (get-env-var "CFUF_TOPLEVEL_PATH"))
(define *hugg-path* (get-env-var "HUGG_PATH"))

(define (load-all)
  (let ((cwd (getcwd)))
    (chdir *cfuf-toplevel-path*)
    (load "cfuf.scm")
    (chdir *hugg-path*)
    (load "hugg.scm")
    (load-grammar *hugg-info* 'code 'inputs 'linearizer 'compile)
    (chdir cwd)))

(define (output cfd name)
  (let ((file-name (format nil "~a/_~s.scm" *HUGG-DIR* name)))
    (write-to-file cfd file-name '*PPRINT-FD*)
    (format t "The result is in ~a~%" file-name)
    cfd))

(define (fun cfd name)
  (let* ((copy (cfuf:copy-fd cfd))
         (res (cfuf:unify-fd! copy *u-compiled-grammar*)))
    (if res
        (output copy name)
        #f)))

;; (define *HUGG-DIR* "/tmp/HUGG.RES")
;; (define *HUGG-DIR* "HUGG")
(if *HUGG-DIR* (mkdir *HUGG-DIR* 511))

;; (cfuf:doing-wait #t)
(load-all)
;; (cfuf:silent #f)
;; (cfuf:trace-level 2)
;; (cfuf:gc-assist #t)
;; (test :timed t :to 't420)
;; (cfuf:gc-assist #f)
;; (test :to 'ex11 :fun fun :timed t :linearize #f)
(test :timed t :linearize #f)
;; (if (access ".cfufrun.scm" "r") (load ".cfufrun.scm"))

;; (cfuf:silent #f)
;; (cfuf:trace-level 3)
;; (print (cfuf:unify-fd! (cfuf:copy-fd (get-test 't27bis)) *u-compiled-grammar*))
;; (print (cfuf:unify-fd! (get-test 't27bis) *u-compiled-grammar*))
;; (test :item 't1)
