;;; -----------------------------------------------------------------------
;;; File:         functional2.l
;;; Description:  make some order in functional
;;; Author:       Yael Netzer
;;; Created:      17 Dec 1997
;;; Modified:     
;;; Package:      FUG5
;;; -----------------------------------------------------------------------

#+ignore(def-alt functional-modifiers (:index modifiers)
  (:demo "Are there functional modifiers given in input?")
  (((modifiers none))
   ((modifiers given)
    ;; modifiers fset:
    
    
       (:! purpose)
       (:! material)
       (:! part-of)
       (:! content)
       (:! instrument))))

(def-alt qualifier
  (:demo "Is there a qualifier? Is it a PP or a clause?")
  (((qualifier none)
    (qualifier-list none))
  ;; qualifier can be given in input or by modifiers.
  ;; We allow a list of up to 4 qualifiers.
  ;; when relative clause will be generated they should be replaced in the
  ;; end.
  ;; Now - must be able to allow shel-phrase before other pp.
  ;; meanwhile: make another slot for shel-phrase.
  ;; method: first map to qualifier, then to qualifier list.
  ;; 
  ((qualifier given)
   (qualifier ((:& qualifier-branch)))
   (opt ((qualifier ((prep ((lex "Sel")))))
	  (qualifier {^ shel-phrase})))
   (alt (((qualifier-list none)
	  ({^ qualifiers} {^ qualifier}))
	 ((qualifier-list yes)
	  (qualifiers ((pattern ({^2 qualifier} qualifier1 qualifier2))))
	  (qualifiers ((cat phrase)
		       (opt ((qualifier1 given)
			      (qualifier1 ((:& qualifier-branch)))))
		       
		       (opt ((qualifier2 given)
			     (qualifier2 ((:& qualifier-branch)))))))))))))
       

(def-conj qualifier-branch
  (synt-function qualifier)
  (alt qualifier-cat (:index cat) 
       (((cat pp)
	 (restrictive ((alt (yes no))))
	 (np ((syntax {^2 syntax})
	      (semantics {^2 semantics})
	      (lex {^2 lex}))))
	((cat list))
	((cat clause))))

  (alt qualifier-restrictive (:index restrictive)
       (((restrictive yes)
	 (punctuation ((before none))))
	((restrictive no)
	 (punctuation ((before ",") (after ",")))))))

(def-alt describer
  (:demo "Check is there are describers - determine pattern")
  (:index describers)
  (((describer none)
    (describers none)) ;; allow input to specify some descirbers
   (
    (alt (((describer given))
	  ((describers given)
	   (describers-list input))))

    (describer ((:& describer-branch)))
    (alt describers-list
	 (:index describers-list)
	 (((describers-list none)
	   ({^ describers} {^ describer}))
	  ((describers-list given)
	   
	   (describers ((cat phrase)
			(definite {^2 definite})
			(gender {^2 gender})
			(number {^2 number})
			(describers-list {^2 describers-list})
			(alt (((describers-list yes)
			       (pattern ({^2 describer} dots describer1
					     dots)))
			      ((describers-list input)
			       (pattern (describer1 dots)))))
			(alt desnum
			     (((describer2 given)
			       (describer2 ((:& describer-branch)))
			       (describer1 ((:& describer-branch)))
			       (opt punct-describer
				    ((describers-list yes)
				      ({^2 describer} ((punctuation ((after ",")))))))
			       (pattern (dots  conj describer2)))
			      ((describer1 given)
			       (describer1 ((:& describer-branch)))

			       (opt ((descirbers-list yes)
				     (pattern (dots conj describer1)))))))
			(conj ((cat conj)
			       (lex ((alt (given "V"))))))))))))))



(def-conj describer-branch

  ;; UNDER NP (SEMANTIC X)
  (number {^3 syntax number})
  (gender {^3 syntax gender})
  (definite {^3 syntax definite})
  (mark-definite {^3 mark-definite})
  (alt describer-cat
       (((cat ap))
	;;(qualifier none))- surge. WHY?
	((cat adj)
	 (definite no)
	 (modifier none)))))
