;silver:/users/stud/phds/yaeln/cfuf/cfuf.scm, Fri Jun 22 10:32:04 1998, edit by Yael Netzer

;; this file contains all sort of predicates and unfinished things.
;; I'll see what it needs.

(define (nil? node) (eq? node 'nil))

(define get-type cfuf:get-type) 
   
(define (internal? node)
  (eq? (cfuf:get-type node) '*internal*))

(define (special? node) (cfuf:get-special-attr node))

(define fd? cfuf:fd?)

(define (leaf? node) 
  (not (or (fd? node) (internal? node) (special? node))))
 


;;============================================================================

;; Capitalize a first letter of the word in the sentence.
(define (CAPITALIZE sentence dontcapitalize)
  "Capitalizes the first word in a sentence." 
  (if (and dontcapitalize (eq? dontcapitalize 'no))
      sentence
      (let ((first-word (car sentence)))
        (cons  (string-append (string-upcase (substring first-word 0 1))
                              (substring first-word 1 (string-length first-word)))
         (cdr sentence)))))


(define (PUNCTUATE lsentence question-flag)
  (let ((sentence (remove-if (lambda (word) (or (not word) (equal? "" word))) (flatten lsentence))))
    (unless (null? sentence)
	    (let ((word (car sentence)))
	      (set-car! sentence (remove-first-punctuations word (string-length word)))))
    (unless (final-punctuation-word? (car (last sentence 1))) 
	    (set! sentence (append sentence (list (if question-flag "?" ".")))))
    ;; Add punctuation at end of sentence if necessary.
    ;; Hard to do that in grammar because does not know if constituent is
    ;; embedded or not - so leave it to here.
    ;; Only do that if there is not already a punctuation element at the end
    ;; of the sentence

  ;; Will be true when we detect a pair (x=noun-marked-plural y=possessor-mark)
  ;; This way, next time we come, we'll have (x=possessor-mark y=any)
  ;; and we remember what was preceeding the possessor-mark.
  (let ((possessor-plural nil)
        (possessor-plural-mark "*'")
        (possessor-singular-mark "*'s"))
    (if (null? sentence)
        (list "<fail>")
	(append
	  (append-map
	   (lambda (x y) 
	     (when (noun-marked-as-an? x)
		 (set! x (unmark-noun-as-an x)))
	     (when (possessor-apostrophe? x) 
		 (if possessor-plural (set! x possessor-plural-mark)
		     (set! x possessor-singular-mark)))
	     (cond  ((noun-marked-as-plural? x)
		     (set! possessor-plural (possessor-apostrophe? y))
		     (set! x (unmark-noun-as-plural x)))
		    (else t))
	     (cond
	      ;; Rule 0
	      ((equal? x *indefinite-article*)
	       (if (or (vowel? (string-ref y 0))
		       (noun-marked-as-an? y))
		   (list "an" " ")
		   (list "a" " ")))
	      ;; Rules 1 and 2 
	      ((or (bracket-open-char? (string-ref x 0))
		   (bracket-close-char? (string-ref y 0)))
	       (list x))
	      ;; Rule 4
	      ((and (equal? (last-char x) ",")
		    (punctuation? (string-ref y 0)))

	       (list (butlast-char x)))
               ;; Rule 5
               ((and (equal? (last-char x) ".")
                     (punctuation? (string-ref y 0))
                     (not (equal? (string-ref y 0) #\.)))
                (list x))
               ;; Rule 6
               ((and (or (equal? (last-char x) ".")
			 (punctuation? (last-char x)))
                     (punctuation? (string-ref y 0)))
                (list (butlast-char x)))
               ;; Rule 7 
               ((possessor-apostrophe? y)
		(list x))
               ((possessor-apostrophe? x)
                (list (substring x 1 (string-length x))  " "))
             ;; Rule 3
               ;; Rule 3
               ((punctuation? (string-ref y 0))
                (list x))
               ;; Default: put a space between words.
               (else (list x " "))))
          (butlast sentence 1)
          (cdr sentence))
         (last sentence 1))))))


;; don't need path
(define (list-punctuation punctuation lstring)
 ; "Punctuation is an fd with 5 relevant features: before, after,
 ;      capitalize, append-before and append-after.
 ;      The value of before, after, append-before and append-after must be a
 ;      string of punctuation. Capitalize can be yes or no.  Default is no.
 ;      The string in append-before is appended to the first word in lstring.
 ;      The string in append-after is appended to the last word in lstring.
 ;      The strings in before and after are added as new punctuation words 
 ;      before and after lstring.
 ;      Path is the path from the root of the total fd to punctuation.
 ;      Lstring is a list of string.
 ;      Returns a list of strings with punctuation before and
 ;      after lstring as indicated by punctuation."

  (when (string? lstring) (set! lstring (list lstring)))
  (cond ((not punctuation) lstring) 
	(else 
	 (let ((before (get-value punctuation 'before))
	       (after  (get-value  punctuation 'after))
	       (append-before (get-value punctuation 'append-before))
	       (append-after  (get-value punctuation 'append-after))
	       (capitalize (get-value punctuation 'capitalize)))
           (when (null? lstring)
		 (set! lstring (list "")))
           (when (string? append-before)
		 (set-car! lstring
			   (string-append append-before (car lstring))))
           (when (string? append-after)
             (set-car! (last lstring 1)
                   (string-append (car (last lstring 1)) append-after)))
	   (when (string? before)
	     (set! lstring (cons before lstring)))
	   (when (string? after)
	     (set! lstring (append lstring (list after))))
	   lstring))))

(define (get-value fd attr)
  (let ((val  (cfuf:find-child  fd attr)))
    (get-type val)))

;;-------------------------------------------------------------------
;; Capitalize and Punctuation
;;-------------------------------------------------------------------
(define (punctuation? letter)
  (member letter '(#\, #\. #\; #\: #\! #\?)))

(define (bracket-open-char? letter)
  (member letter '(#\( #\[ #\" #\' #\`)))

(define (bracket-close-char? letter)
  (member letter '(#\' #\` #\" #\] #\))))

(define (bracket-char? letter)
  (or (bracket-open-char? letter)
      (bracket-close-char? letter)))

(define (VOWEL? char) 
  (member char '(#\a #\e #\i #\o #\u)))

(define (final-punctuation? letter)
;  "Predicate: This letter is a punctuation that can end a sentence."
  (member letter '(#\. #\; #\: #\! #\?)))

(define (last-char str)
  (let ((slength (string-length str)))
  (substring str (- slength 1) slength)))

(define (butlast-char str)
  (substring str 0 (- (string-length str) 1)))

(define (final-punctuation-word? word)
  (and (string? word)
       (= (string-length word) 1)
       (final-punctuation? (string-ref word 0))))

(define (possessor-apostrophe? sign)
 (or (equal? sign "*apostrophe*")
     ;; the need to mark with * here is that
     ;; bracket-open(close)-char functions recognizes
     ;; the ' as a bracket.
     (equal? sign "*'")
     (equal? sign "*'s")))

(define (mark-noun-as-plural word)
  (string-append word *plural*))

(define (unmark-noun-as-plural word)
  (let ((l (string-length word)))
    (substring word  0 (- l (string-length *plural*)))))

(define (noun-marked-as-plural? word)
  (and (> (string-length word) (string-length *plural*))
       (string=?  (substring word (- (string-length word) (string-length *plural*)) 
			(string-length word))
		*plural*)))


(define (mark-noun-as-an word)
  (string-append *a-an-marker* word))

(define (unmark-noun-as-an word)
  (substring word (string-length *a-an-marker*) (string-length word)))

(define (noun-marked-as-an? word)
  (and (> (string-length word) (string-length *a-an-marker*))
       (string=?  (substring word 0 (string-length *a-an-marker*)) *a-an-marker*)))



(define (remove-first-punctuations word length)
  (cond 
    ((punctuation? (string-ref word 0))
     (set! word (substring word 1 length))
     (remove-first-punctuations word (- length 1)))
    (else word)))


(define *indefinite-article* "a**")
;  "An indefinite article when value of next word is still unknown
;	(we don't know if it is a or an)")
(define *a-an-marker* "***")
;  "Marker to add to a noun that must be preceded by a determiner an
;   (like an acronym)")
(define *plural* "****")
;  "Marker to add to a plural noun which ends with 's'")

(define (fetch-or-not word feature)
  (let ((lex (lexfetch word feature)))
    (if (null? lex) word lex)))