(define refresh-fug
  (let ((hash-alt  (make-hash-table 1000))
        (hash-conj (make-hash-table 1000)))

    (define (get-alt expr) (get-hashed hash-alt expr "alt"))
    (define (get-conj expr) (cdr (get-hashed hash-conj expr "conj")))
    
    (define (get-hashed hash-table expr what)
      (if (not (and (pair? expr) (null? (cdr expr))))
        (error "Invalid syntax: " expr))
      (let ((val (hget-assoc (car expr) hash-table)))
        (if val
          val
          (error (string-append "undefined " what ": ") expr))))
    
    (define (do-refresh gr)
      (cond
       ((not (pair? gr)) gr)
       ((not (pair? (car gr))) (cons (car gr) (do-refresh (cdr gr))))
       ((eq? (caar gr) ':!) (do-refresh (cons (cons 'alt (get-alt (cdar gr))) (cdr gr))))
       ((eq? (caar gr) ':&) (do-refresh (append (get-conj (cdar gr)) (cdr gr))))
       (else (cons (do-refresh (car gr)) (do-refresh (cdr gr))))))
    
    (lambda (key . args)
      (cond
       ((null? args) (do-refresh key))
       ((eq? key 'alt) (apply hput-assoc (cons hash-alt args)) #t)
       ((eq? key 'conj) (apply hput-assoc (cons hash-conj args)) #t)
       (else (error "refresh-gr: invalid arguments."))))))

(defmacro def-alt (name . args) `(refresh-fug 'alt ',name ',args))
(defmacro def-conj (name . args) `(refresh-fug 'conj ',name ',args))
