#include "stdcfuf.h"
#include "common.hxx"

static int FindParam(char *szKey,Helper::CmdLineParam *pParams,int nParams);

int Helper::ParseCmdLine(int argc,char *argv[],CmdLineParam *pParams,int nParams,int nMinArgsLeft,int nMaxArgsLeft)
{
  assert(nParams <= 100);
  bool given[100];
  memset(given,0,sizeof(given));
  uint nMustGiven = 0;

  int nArgsDone = 0;
  for (;;){
    ++argv;
    --argc;

    int nParamFound = -1;
    if (argc) nParamFound = FindParam(*argv,pParams,nParams);

    if (nParamFound == -1){
      if (nMinArgsLeft > argc || argc > nMaxArgsLeft) return -1;
      
      uint nMustRequired = 0;
      for (int i = 0; i < nParams; ++i)
        if (pParams[i].type & CmdLineParam::MUST) ++nMustRequired;
      return (nMustRequired == nMustGiven) ? nArgsDone : -1;
    }

    int type = pParams[nParamFound].type & ~(CmdLineParam::ADJACENT | CmdLineParam::MUST);
    bool bAdjacent = pParams[nParamFound].type & CmdLineParam::ADJACENT;
    
    if (pParams[nParamFound].type & CmdLineParam::MUST){
      if (!given[nParamFound]) ++nMustGiven;
      given[nParamFound] = true;
    }
    
    char *endptr;
    char *szVal;

    if (bAdjacent) szVal = *argv + pParams[nParamFound].nKeyLen;
    else if (type != CmdLineParam::BOOL){
      ++argv;
      --argc;
      if (argc == 0) return -1;
      szVal = *argv;
    }
    
    switch (type){
    case CmdLineParam::INT:
      {
        int iVal = strtol(szVal,&endptr,10);
        if (*endptr) return -1;
        *(pParams[nParamFound].val.pInt) = iVal;
        break;
      }
    case CmdLineParam::DOUBLE:
      {
        double dVal = strtod(szVal,&endptr);
        if (*endptr) return -1;
        *(pParams[nParamFound].val.pDouble) = dVal;
        break;
      }
    case CmdLineParam::STRING:
      *(pParams[nParamFound].val.pString) = szVal;
      break;
    case CmdLineParam::BOOL:
      *(pParams[nParamFound].val.pBool) = true;
      break;
    default:
      assert(false);
    }
    ++nArgsDone;
  }
}
int FindParam(char *szKey,Helper::CmdLineParam *pParams,int nParams)
{
  for (int i = 0; i < nParams; ++i){
    if (pParams[i].type & Helper::CmdLineParam::ADJACENT){
      assert(pParams[i].type != (Helper::CmdLineParam::BOOL|Helper::CmdLineParam::ADJACENT));

      if (pParams[i].nKeyLen == 0)
        pParams[i].nKeyLen = strlen(pParams[i].szKey);
      
      if (strncmp(szKey,pParams[i].szKey,pParams[i].nKeyLen) == 0)
        return i;
    }else{
      if (strcmp(szKey,pParams[i].szKey) == 0)
        return i;
    }
  }
  return -1;
}
