#include "stdcfuf.h"
#include "c_fdnode.hxx"
#include "c_fddump.hxx"
#include "c_fdpprint.hxx"
#include "common.hxx"
#include <iomanip>
#include <sys/types.h>
#include <sys/stat.h>

#ifdef WIN32
#include <io.h>
#endif

void Helper::DumpScm(const string& strFileName,CFDNode *pNode)
{
	string fname(strFileName);
	fname << ".scm";
	ofstream outfile(fname.c_str());
	CPrettyPrintFD pprinter(pNode);
	outfile << "(define fd '";
	pprinter.display(true,outfile,12,false);
	outfile << ")\n";
}
void Helper::DumpTcl(const string& strFileName,CFDNode *pNode)
{
	string fname(strFileName);
	fname << ".tcl";
	ofstream outfile(fname.c_str());
	FDDump::fd2tkdot(outfile,pNode,true);
#ifdef WIN32
	_chmod(fname.c_str(),_S_IREAD | _S_IWRITE);
#else
	chmod(fname.c_str(),0755);
#endif
}
void Helper::DumpDot(const string& strFileName,CFDNode *pNode)
{
	string fname(strFileName);
	fname << ".dot";
	ofstream outfile(fname.c_str());
	FDDump::fd2dot(outfile,pNode,true);
}
