#include "stdcfuf.h"
#include "c_grnode.hxx"
#include "c_grdump.hxx"
#include "common.hxx"
#include <iomanip>
#include <sys/types.h>
#include <sys/stat.h>

#ifdef WIN32
#include <io.h>
#endif

void Helper::DumpPlain(const string& strFileName,CGrNode *pNode)
{
	string fname(strFileName);
	fname << ".dump";
	ofstream outfile(fname.c_str());
	GrammarDump::grdump(outfile,pNode);
}
void Helper::DumpTcl(const string& strFileName,CGrNode *pNode)
{
	string fname(strFileName);
	fname << ".tcl";
	ofstream outfile(fname.c_str());
	GrammarDump::gr2tkdot(outfile,pNode);
#ifdef WIN32
	_chmod(fname.c_str(),_S_IREAD | _S_IWRITE);
#else
	chmod(fname.c_str(),0755);
#endif
}
void Helper::DumpDot(const string& strFileName,CGrNode *pNode)
{
	string fname(strFileName);
	fname << ".dot";
	ofstream outfile(fname.c_str());
	GrammarDump::gr2dot(outfile,pNode);
}
