#include "stdcfuf.h"
#include "p_objects.hxx"
#include "common.hxx"
#include <iomanip>

#ifdef WIN32
#include <iostream>
using std::setw;
#define cout std::cout
#endif

static token_t GetDefineToken();
static token_t GetDefTestToken();
static void SkipExpected();

token_t Helper::SkipDefine(uint count,uint flags)
{
  if (!count) return 0;
  
  token_t tokDefine = GetDefineToken();
  token_t tokDefTest = GetDefTestToken();
  token_t token;
  token_t tokFDName = 0;

  bool bSilent = flags & SILENT;
  bool bPosition = flags & POSITION;
  
  do{
    --count;
    while (g_pTheLexer->get(token) && token != tokDefTest && token != tokDefine);
    
    if (!g_pTheLexer->ok()) return 0;

    g_pTheLexer->get(tokFDName) && g_pTheLexer->get(tokFDName);    // read the white space and then the fd name
    if (!g_pTheLexer->ok()) return 0;

    if (count || !bPosition){
      if (!bSilent) cout << setw(10) << tokFDName << endl;
      BaseParser::skip_sexpr(true);
    }
  }while (count);

  if (bPosition){
    if (token == tokDefine){
      while (g_pTheLexer->get(token) && token != Delim::single_quote);
      if (g_pTheLexer->get(token) && token!=Delim::ws)
        g_pTheLexer->putback(token);
    }else SkipExpected();
  }
  return g_pTheLexer->ok() ? tokFDName : 0;
}
token_t GetDefineToken()
{
  static token_t tokDefine = Symbols::insert("define");
  return tokDefine;
}
token_t GetDefTestToken()
{
  static token_t tokDefTest = Symbols::insert("def-test");
  return tokDefTest;
}
void SkipExpected()
{
  token_t token;
  (g_pTheLexer->get(token) &&            // read white space
   g_pTheLexer->get(token) &&            // read the opening double quote or parenthesis
   (token == Delim::open_paren ?         // if parenthesis
    BaseParser::skip_sexpr(true),true :  // skip the following scheme expression
    g_pTheLexer->get(token) &&           // else read the expected string and
    g_pTheLexer->get(token)) &&          // read the closing double quote 
   g_pTheLexer->get(token));             // read white space
}
