#include "stdcfuf.h"
#include "common.hxx"
#include "b_tokhier.hxx"

static int GetTypeCount(char *types[]);

void Helper::SetSurgeTypes()
{
  static char *surgeTypes[]={
    "semantic-cat","lexical-cat","event","relation","set","thing",0,
    "thing","zero-article-thing","article-thing","countable","mass",0,
    "set","collective-set","distributive-set",0,
    "zero-article-thing","season","institution","meal","illness","transportation",0,
    "number","singular","plural",0,
    "plural","dual","not-one",0,
    "lexical-cat","clause","verb-group","np","ap","pp","np-head","adj","prep","conj","phrase","address",0,
    "clause","simple-clause","complex-clause",0,
    "verb-group","simple-verb-group","complex-verb-group",0,
    "np","simple-np","complex-np",0,
    "pp","simple-pp","complex-pp",0,
    "ap","simple-ap","complex-ap",0,
    "np-head","simple-np-head","complex-np-head",0,
    "cardinal","simple-cardinal","complex-cardinal",0,
    "ordinal","simple-ordinal","complex-ordinal",0,
    "simple-np-head","noun","noun-compound","measure","partitive","name",0,
    "name","person-name","team-name",0,
    "noun","simple-noun","complex-noun",0,
    "adj","simple-adj","complex-adj",0,
    "complex","clause","verb-group","np","ap","pp","np-head","adj","cardinal","ordinal",0,
    "simple-np","pronoun","common","proper","measure","partitive","date","address",0,
    "proper","trivial-proper","basic-proper","compound-proper",0,
    "common","partitive",0,
    "complex-np","pronoun","common","proper","date","partitive",0,
    "pronoun","personal-pronoun","question-pronoun","relative-pronoun","quantified-pronoun","demonstrative-pronoun",0,
    "det","possessive-det","demonstrative-det","article-det","question-det","quantifier-det",0,
    "question-det","question-possessive-det",0,
    "possessive-det","question-possessive-det",0,
    "adv","intensifier","detensifier","adv-p",0,
    "process-class","lexical","simple-process","composite",0,
    "simple-process","event","relation",0,
    "event","material","mental","verbal",0,
    "mental","perception","thinking",0,
    "relation","ascriptive","possessive","locative",0,
    "locative","spatial","temporal","accompaniment","existential","natural-phenom",0,
    "participant","agent","affected","created","carrier","identified",0,
    "agent","agent-carrier","third-party-agent","agent-identified",0,
    "affected","affected-carrier","affected-identified",0,
    "created","created-carrier",0,
    "carrier","located","possessor",0,
    "located","agent-carrier","affected-carrier","created-carrier",0,
    "possessor","agent-carrier","affected-carrier","created-carrier",0,
    "identified","agent-identified","affected-identified",0,
    "synt-role","subject","obj","complement",0,
    "obj","object","iobject","dative","by-obj",0,
    "complement","subj-comp","obj-comp",0,
    "synt-adverbial","adjunct","disjunct",0,
    "adjunct","pred-adjunct","sent-adjunct",0,
    "sem-adverbial","pred-modif","circum",0,
    "pred-modif","location","direction","origin","destination","path","distance","duration","manner","means","instrument","comparison","score",0,
    "circum","location","distance","origin","time","duration","frequency","co-event","reason","result","purpose","behalf","condition","concessive-condition","concession","contrast","exception","inclusion","substitution","addition","accompaniment","opposition","manner","means","comparison","matter","standard","perspective",0,
    "sem-adverbial","spatial","temporal","causal","conditional","determinative","how","topical",0,
    "spatial","location","direction","origin","destination","path","distance",0,
    "temporal","time","duration","frequency","co-event",0,
    "causal","reason","result","purpose","behalf","co-event",0,
    "conditional","condition","concessive-condition","concession",0,
    "determinative","contrast","opposition","exception","inclusion","substitution","addition","accompaniment",0,
    "how","manner","means","instrument","comparison",0,
    "topical","matter","standard","perspective",0,
    "mood","finite","non-finite",0,
    "finite","declarative","interrogative","bound","relative",0,
    "non-finite","imperative","participle","infinitive","verbless",0,
    "participle","past-participle","present-participle",0,
    "infinitive","to-infinitive","for-to-infinitive","bare-infinitive",0,
    "interrogative","yes-no","wh",0,
    "wh","wh-full","wh-possessive","wh-partial",0,
    "bound","bound-nominal","bound-adverbial",0,
    "bound-nominal","bound-nominal-declarative","bound-nominal-subjunctive",0,
    "relative","simple-relative","embedded-relative","possessive-relative",0,
    "modality","epistemic-modality","deontic-modality",0,
    "epistemic-modality","fact","inference","possible",0,
    "deontic-modality","duty","authorization",0,
    "tense","present","past","future","past-perfect","present-perfect","future-perfect","past-progressive","present-progressive","future-progressive","tense-10","tense-11","tense-12","tense-13","tense-14","tense-15","tense-16","tense-17","tense-18","tense-19","tense-20","tense-21","tense-22","tense-23","tense-24","tense-25","tense-26","tense-27","tense-28","tense-29","tense-30","tense-31","tense-32","tense-33","tense-34","tense-35","tense-36",0,
    "present","simple-present","tense-2",0,
    "past","simple-past","tense-1",0,
    "future","simple-future","tense-3",0,
    "past-perfect","past-in-past","tense-4",0,
    "present-perfect","past-in-present","tense-5",0,
    "future-perfect","past-in-future","tense-6",0,
    "past-progressive","present-in-past","tense-7",0,
    "present-progressive","present-in-present","tense-8",0,
    "future-progressive","present-in-future","tense-9",0,
    "tense-10","future-in-past","past-future",0,
    "tense-11","future-in-present",0,
    "tense-12","future-in-future",0,
    "tense-13","past-in-future-in-past","past-future-perfect",0,
    "tense-14","past-in-future-in-present",0,
    "tense-15","past-in-future-in-future",0,
    "tense-16","present-in-past-in-past","past-perfect-progressive",0,
    "tense-17","present-in-past-in-present","present-perfect-progressive",0,
    "tense-18","present-in-past-in-future","future-perfect-progressive",0,
    "tense-19","present-in-future-in-past","past-future-progressive",0,
    "tense-20","present-in-future-in-present","present-future-progressive",0,
    "tense-21","present-in-future-in-future","future-future-progressive",0,
    "tense-22","future-in-past-in-past",0,
    "tense-23","future-in-past-in-present",0,
    "tense-24","future-in-past-in-future",0,
    "tense-25","past-in-future-in-past-in-past",0,
    "tense-26","past-in-future-in-past-in-present",0,
    "tense-27","past-in-future-in-past-in-future",0,
    "tense-28","present-in-past-in-future-in-past","past-future-perfect-progressive",0,
    "tense-29","present-in-past-in-future-in-present","present-future-perfect-progressive",0,
    "tense-30","present-in-past-in-future-in-future",0,
    "tense-31","present-in-future-in-past-in-past",0,
    "tense-32","present-in-future-in-past-in-present",0,
    "tense-33","present-in-future-in-past-in-future",0,
    "tense-34","present-in-past-in-future-in-past-in-past",0,
    "tense-35","present-in-past-in-future-in-past-in-present",0,
    "tense-36","present-in-past-in-future-in-past-in-future",0,0
  };

  SetTypes(surgeTypes);
}
void Helper::SetTypes(char *types[])
{
  g_pTheTokhier->reset(GetTypeCount(types));
  
  int i=0;
  char *parent,*child;
  while ((parent=types[i++])) while ((child = types[i++]))
    if (Fail *f = g_pTheTokhier->insert_pair(Symbols::insert(parent),Symbols::insert(child)))
      throw f;

  g_pTheTokhier->Realize();
}
int GetTypeCount(char *types[])
{
  int i = 0;
  int nTypes = 0;
  while (types[i++]){
    ++nTypes;
    while (types[i++]) ++nTypes;
  }
  return nTypes;
}
