#include "cfuf.hxx"
#include "cfuf_grammar.hxx"
#include "b_lexer.hxx"
#include "common.hxx"

struct CmdLine
{
	static bool bDot;
};
bool CmdLine::bDot;

main(int argc,char *argv[])
{
	Helper::CmdLineParam param("-dot",Helper::CmdLineParam::BOOL,7,&CmdLine::bDot);

	int nArgsDone = Helper::ParseCmdLine(argc,argv,&param,1,1,1);
	if (nArgsDone < 0)
	{
		cerr << "Usage: " << *argv << " [-dot] filename\n";
		return 1;
	}

	CFUF::Initialize();
	g_pTheInput = new CInputFileStream(argv[++nArgsDone]);
	if (!g_pTheInput->IsOK())
	{
		cerr << "File not found: " << argv[nArgsDone] << endl;
		return 1;
	}

	Helper::SkipDefine(1,Helper::POSITION);

	CLexer::s_bFlushTokenPutbackQueue = false;
	ugrammar_t gr = CFUFGrammar::Parse(*g_pTheInput);
	CLexer::s_bFlushTokenPutbackQueue = true;

	int exitCode = 0;
	if (gr.fail)
	{
		cerr << gr.fail << endl;
		delete gr.fail;
		exitCode = 1;
	}
	else
	{
		string strFileName("_gr");
		CGrNode *pRoot = gr.val->GetGrammar()->root();
		// if (CmdLine::bDots) Helper::DumpDot(strFileName,pRoot);
		if (CmdLine::bDot) 
		{
			Helper::DumpDot(strFileName,pRoot);
		}
		Helper::DumpPlain(strFileName,pRoot);
	}

	gr.val->Destroy();

	delete g_pTheInput;
	CFUF::Shutdown();

	return exitCode;
}
