#include "cfuf.hxx"
#include "common.hxx"
#include "p_objects.hxx"

#ifdef WIN32
using std::cout;
#endif

main(int argc,char *argv[])
{
	int nArgsDone = Helper::ParseCmdLine(argc,argv,0,0,1,1);
	if (nArgsDone < 0)
	{
		cerr << "Usage: " << *argv << " filename\n";
		return 1;
	}

	CFUF::Initialize();

	g_pTheInput = new CInputFileStream(argv[++nArgsDone]);
	if (!g_pTheInput->IsOK())
	{
		cerr << "File not found: " << argv[nArgsDone] << endl;
		return 1;
	}

	CMyObject *value;
	try
	{
		for (;;)
		{
			value=BaseParser::parse_value();
			cout << "----" << value << "----" << endl;
			delete value;
		}
	}
	catch(Fail *e)
	{
		delete e; 
	}

	delete g_pTheInput;
	CFUF::Shutdown();

	return 0;
}
