#include "stdcfuf.h"
#include "b_debug_tracer.hxx"
#include "b_altparams.hxx"
#include "b_bkclass.hxx"

static void unparse_toklist(string& acc,token_t key,const TokenList& toklist)
{
  acc << " (:" << key;
  if (toklist.size() == 1) acc << ' ' << toklist[0] << ')';
  else acc << " (" << toklist.GetString() << "))";
}

////////////////////////////////////////////////////////////////////////////////
// CWaitElem methods
//
void CWaitElem::destroy()
{
  if (m_addr){
    m_addr->removeReference();
    m_type->removeReference();
  }
}
string CWaitElem::str() const
{
  if (m_type->nil()) return m_addr->toString();
  string str;
  return str << '(' << m_addr << ' ' << m_type << ')';
}

////////////////////////////////////////////////////////////////////////////////
// CWait methods
//
CWait::~CWait()
{
  while (size()){
    back().destroy();
    pop_back();
  }
}
string CWait::toString() const
{
  assert(size());
  if (size() == 1 && !front().type()->final())
    return front().addr()->toString();
  string str("(");
  CWait::const_iterator it = begin();
  for (uint i=size()-1;i;--i,++it) str << it->str() << ' ';
  return str << it->str() << ')';
}

/////////////////////////////////////////////////////////////////////////////////
// CAltParams methods
//
void CAltParams::augment_root()
{
  if (m_index.empty()) m_index.push_back(Predefined::cat);
}
string CAltParams::toString() const
{
  string res;
  
  res << m_name;
  if (!m_index.empty()) unparse_toklist(res,Predefined::index,m_index);
  if (m_bkclasses){
    TokenList toklist;
    BKClass::bkcode2toklist(m_bkclasses,toklist);
    unparse_toklist(res,Predefined::bkclass,toklist);
  }
  if (m_wait) res << " (:" << Predefined::wait << ' ' << m_wait << ')';
  if (m_demo) res << " (:" << Predefined::demo << " \"" << m_demo << "\")";
  return res;
}
