#ifndef _BASE_ALTPARAMS_
#define _BASE_ALTPARAMS_

#include "b_objects.hxx"

class CWaitElem{
  CAddr *m_addr;
  CType *m_type;
public:
  CWaitElem():m_addr(0),m_type(0){}
  CWaitElem(CAddr *addr,CType *type):m_addr(addr),m_type(type){}
  CAddr *addr() const   { return m_addr; }
  CType *type() const   { return m_type; }
  string str() const;
private:
  friend class CWait;
  void destroy();
};

class CWait:public CMyObject,public vector<CWaitElem>{
public:
  ~CWait();
  string toString() const;
};

class CAltParams:public CMyObject{
  friend struct AltHeaderParser;
  friend class CIndexParser;
  friend class CBKClassParser;
  friend class CDemoParser;
  friend class CWaitParser;
protected:
  token_t m_name;
  uint64 m_bkclasses;
  TokenList m_index;
  token_t m_demo;
  CWait *m_wait;
public:
  explicit CAltParams(token_t name):m_name(name),m_bkclasses(0),m_demo(0),m_wait(0){}
  ~CAltParams()                 { delete m_wait; }
  void augment_root();
  token_t name() const          { return m_name; }
  uint64 bkclasses() const      { return m_bkclasses; }
  const TokenList *index() const{ return &m_index; }
  token_t demo() const          { return m_demo; }
  CWait *wait() const           { return m_wait; }
  string toString() const;
};

#endif
