#include "b_bits.hxx"
#include <stdio.h>

void CBitMatrix::transpose(int n)
{
	int x,y;
	if (n>m_nMatrixSize || n < 0)
	{
		n=m_nMatrixSize;
	}
	int set1,set2;

	for (y=0;y<n;y++) 
	{
		for (x=y+1;x<n;x++)
		{
			set1=is_set(y,x);
			set2=is_set(x,y);

			if (set1)
			{
				set_bit(x,y); 
			}
			else 
			{
				clear_bit(x,y);
			}

			if (set2) 
			{
				set_bit(y,x); 
			}
			else 
			{
				clear_bit(y,x);
			}
		}
	}
}
void CBitMatrix::print_row(int *vec,int n)
{
	int i,shift;
	if (n>m_nMatrixSize || n < 0)
	{
		n=m_nMatrixSize;
	}
  
	for (i=0,shift=0;i<n;i++)
	{
		putchar('0' + ((vec[INTDIV(i)] >> shift) & 1));
		shift=(shift+1)%n;
	}
	putchar('\n');
}
void CBitMatrix::print(int n)
{
	int y,i,shift;
	int *vec;
	if (n>m_nMatrixSize || n < 0) 
	{
		n=m_nMatrixSize;
	}

	for (y=0,vec=m_matrix;y<n;y++,vec+=m_nIntRowSize)
	{
		printf("%-2d: ",y);
		for (i=0,shift=0;i<n;i++)
		{
			putchar('0' + ((vec[INTDIV(i)] >> shift) & 1));
			shift=(shift+1)%n;
		}
		putchar('\n');
	}
}
