#ifndef _BASE_BKCLASS_
#define _BASE_BKCLASS_

#include "b_symbols.hxx"
#include <hash_map.h>
#include <string.h>

class CTokArray64{
public:
  CTokArray64()                 { init(); }
  void init()                   { memset(m_arr,0,sizeof(m_arr)); }
  token_t& operator[](int i)    { return m_arr[i]; }
private:
  token_t m_arr[sizeof(uint64) << 3];
};

class EdgeList;
typedef EdgeList TokenList;

struct BKClass{
  static const int capacity;
  
  static void reset();
  static bool insert(token_t feature,token_t bkclass);
  static uint64 bkclass2mask(token_t bkclass);
  static void bkcode2toklist(uint64 alt_bk,TokenList& toklist);
  static uint nclasses()                        { return s_nclasses; }
  static void reset_fail_bk()                   { s_fail_bk = 0; }
  static void add_fail_bk(token_t feature)      { s_fail_bk |= feature2bkcode(feature); }
  static uint64 fail_bk()                       { return s_fail_bk; }
private:
  typedef hash_map<token_t,uint64,hashtoken,eqtokens> token2uint64_t;
  static uint s_nclasses;
  static token2uint64_t s_class2mask;
  static token2uint64_t s_feature2bkcode;
  static uint64 s_fail_bk;
  static CTokArray64 s_bkclasses;
private:
  static uint64 feature2bkcode(token_t feature);
};

#endif
