#ifndef _BASE_CONTROL_
#define _BASE_CONTROL_

#include "b_objects.hxx"

union StrOrAddr{
  string *str;
  CAddr *addr;
  StrOrAddr(string *_str):str(_str){}
  StrOrAddr(CAddr *_addr):addr(_addr){}
};
// Example of a control statement:
// (control (not (equal? @{^ synt-funct} "main-clause")))
// In terms of StrOrAddr:
//     string *       CAddr *            string *
// <(not (equal? >,<{^ synt-funct}>,< "main-clause"))>
class CControl:public CMyObject{
  friend class ControlParser;
private:
  vector<StrOrAddr> m_stmt;
  vector<bool> m_chooser;
public:
  ~CControl();
  string toString() const;
  const vector<StrOrAddr>& stmt() const { return m_stmt; }
  const vector<bool>& chooser() const   { return m_chooser; }
  static token_t feature()              { return Predefined::control; }
};

#ifndef _BASE_EXTFWD_
class CControlType;
typedef Handle<CControl> hCControl;
typedef Handle<CControlType> hCControlType;
#endif

#endif
