#include "stdcfuf.h"
#define SORT
#include "b_cset.hxx"

#ifdef SORT
#include <algo.h>

bool comp(const string& s1,const string& s2)
{
  return strcmp(s1.c_str(),s2.c_str()) < 0;
}
#endif

/////////////////////////////////////////////////////////////////////////////////
// CCsetComponent methods
//
string CCsetComponent::str() const
{
  if (empty()) return "";
  string str;
#ifdef SORT
  vector<string> sorted;
  sorted.reserve(size());
  {
    const_iterator it=begin();
    for (uint i = size();i;--i,++it) sorted.push_back((*it)->toString());
  }
  sort(sorted.begin(),sorted.end(),comp);
  vector<string>::const_iterator cur=sorted.begin();
#else
  const_iterator cur=begin();
#endif
  for (uint i = size() - 1;i;--i,++cur) str << *cur << ' ';
  return str << *cur;
}

/////////////////////////////////////////////////////////////////////////////////
// GenCset methods
//
string GenCset::str() const
{
  if (!base().size() && !inc().size() && !dec().size())
    if (!abs().size()) return "nil";
    else{
      string str;
      return str << '(' << abs().str() << ')';
    }
  string str("(");
  bool ok;
  ok=unparse_part(abs(),str,"=",false);
  ok=unparse_part(base(),str,"==",ok);
  ok=unparse_part(inc(),str,"+",ok);
  unparse_part(dec(),str,"-",ok);
  return str << ')';
}
bool GenCset::unparse_part(const GenCsetComponent& component,string& str,char *prefix,bool space) const
{
  if (!component.size()) return space;
  if (space) str+=' ';
  str << '(' << prefix << ' ' << component.str() << ')';
  return true;
}
