#ifdef OP_TRACE
#define OP_TRACE0()               cerr << "[OP]:" << __FUNCTION__ << flush << "()\n"
#define OP_TRACE1(arg1)           cerr << "[OP]:" << __FUNCTION__ << flush << '(' << arg1 << ")\n"
#define OP_TRACE2(arg1,arg2)      cerr << "[OP]:" << __FUNCTION__ << flush << '(' << arg1 << ',' << arg2 << ")\n"
#define OP_TRACE3(arg1,arg2,arg3) cerr << "[OP]:" << __FUNCTION__ << flush << '(' << arg1 << ',' << arg2 << ',' << arg3 << ")\n"
#else
#define OP_TRACE0()
#define OP_TRACE1(arg1)
#define OP_TRACE2(arg1,arg2)
#define OP_TRACE3(arg1,arg2,arg3)
#endif

#ifdef F_TRACE
#define F_TRACE0()                cerr << "[T0]:" << __PRETTY_FUNCTION__ << flush << endl
#define F_TRACE1(arg1)            cerr << "[T1]:" << __PRETTY_FUNCTION__ << flush << ": " << arg1 << endl
#define F_TRACE2(arg1,arg2)       cerr << "[T2]:" << __PRETTY_FUNCTION__ << flush << ": " << arg1 << ',' << arg2 << endl
#define F_TRACE3(arg1,arg2,arg3)  cerr << "[T3]:" << __PRETTY_FUNCTION__ << flush << ": " << arg1 << ',' << arg2 << ',' << arg3 << endl
#else
#define F_TRACE0()                
#define F_TRACE1(arg1)            
#define F_TRACE2(arg1,arg2)       
#define F_TRACE3(arg1,arg2,arg3)  
#endif

#ifdef CMD_TRACE_ON
#define CMD_TRACE(cmd)  cmd
#else
#define CMD_TRACE(cmd)
#endif

#define DEBUGPOINT cerr << "+++ " << __FUNCTION__ << ':' << __LINE__ << " +++\n"
