#ifndef _BASE_DEFS_
#define _BASE_DEFS_

#ifdef WIN32
#pragma warning (disable : 4786 4800)
#endif

#define ISIZE 32        // length of an integer in bits
#define ISIZELOG 5      // log2(ISIZE)
#define INTDIV(n) ((n) >> ISIZELOG)            // equivalent to n/ISIZE
#define INTMUL(n) ((n) << ISIZELOG)            // equivalent to n/ISIZE
#define INTREM(n) ((n) - INTMUL(INTDIV(n)))    // equivalent to n*ISIZE

using namespace std;

typedef unsigned int uint;
typedef unsigned long ulong;
typedef unsigned short ushort;
typedef signed char byte;
typedef unsigned char ubyte;

#ifdef WIN32
typedef __int64 int64;
typedef unsigned __int64 uint64;
#else
typedef long long int64;
typedef unsigned long long uint64;
#endif

#endif
