#ifndef _BASE_FAIL_
#define _BASE_FAIL_

class Fail{
public:
  Fail(){}
  virtual ~Fail(){}
  virtual string GetDesc() const =0;
  virtual bool IsAbort() const           { return false; }
  virtual bool IsInternalNormal() const  { return false; }
  virtual bool IsInternalGiven() const   { return false; }
  void *operator new(size_t size);
  void operator delete(void *p);
private:
  Fail(const Fail&);
  Fail& operator=(const Fail&);
};
class InterruptFail:public Fail{
public:
  string GetDesc() const;
  bool IsAbort() const { return true; }
};
class ComplexFail:public Fail{
protected:
  ComplexFail(Fail *e)          { m_pReason = e; }
  ~ComplexFail()                { delete m_pReason; }
  bool IsAbort() const          { return m_pReason->IsAbort(); }
  bool IsInternalNormal() const { return m_pReason->IsInternalNormal(); }
  bool IsInternalGiven() const  { return m_pReason->IsInternalGiven(); }
protected:
  Fail *m_pReason;
};

inline string& operator<<(string& str,Fail *obj)           { return str+=(obj ? obj->GetDesc() : "NULL"); }
inline ostream& operator<<(ostream& os,Fail *obj)          { return os << (obj ? obj->GetDesc() : "NULL"); }

template <class T>
struct RetVal{
  T val;
  Fail *fail;
  RetVal():val(0),fail(0){}
  RetVal(const T& _val):val(_val),fail(0){}
  RetVal(Fail *_fail):val(0),fail(_fail){}
  RetVal(const T& _val,Fail *_fail):val(_val),fail(_fail){}
  void set(const T& _val,Fail *_fail){
    val = _val;
    fail = _fail;
  }
};

class CFDNode;
struct ret{
  typedef RetVal<hCType> utype_t;
  typedef RetVal<int> uint_t;
  typedef RetVal<bool> ubool_t;
  typedef RetVal<token_t> utoken_t;
  typedef RetVal<CFDNode *> unode_t;
};

#endif
