#ifndef _BASE_GRAPHBASE_
#define _BASE_GRAPHBASE_

#include "b_objects.hxx"

class CFDBuilder{
public:
  virtual ~CFDBuilder(){}
  virtual Fail *Initialize() =0;
  virtual Fail *Realize() =0;
  virtual Fail *EnterSubgraph(token_t feat) =0;
  virtual void EnterSubgraph(int upcount) =0;
  virtual void LeaveSubgraph() =0;
  virtual Fail *AddLeaf(token_t feat,const hCType& type) =0;
  virtual Fail *AddPath(token_t feat,const hCPath& path) =0;
  virtual Fail *AddLeaf(const hCType& type) =0;
  virtual Fail *AddPath(const hCPath& path) =0;
  virtual const EdgeList *cur_loc() const { return 0; }
};

class CAltParams;

class CGrammarBuilder:public CFDBuilder{
public:
  virtual Fail *EnterBranch()          { return 0; }
  virtual Fail *LeaveBranch()          { return 0; }
  virtual Fail *EnterAlt(CAltParams *) { return 0; }
  virtual Fail *LeaveAlt()             { return 0; }
  virtual Fail *EnterRalt(CAltParams *){ return 0; }
  virtual Fail *LeaveRalt()            { return 0; }
  virtual Fail *EnterOpt(CAltParams *) { return 0; }
  virtual Fail *LeaveOpt()             { return 0; }
};

#endif
