#ifndef _BASE_NODEBASE__
#define _BASE_NODEBASE_

#include "b_env.hxx"

// m_input is a boolean variable declared ushort instead of bool
// to ensure that the whole structure fits in an integer. This is
// because bool on sparc is 4 bytes long instead of 1 byte as on 80x86.
class CInput{
  tick_t m_inp_id;
  ushort m_input;
public:
  CInput():m_inp_id(g_pTheEnv->m_tickCurrent),m_input(m_inp_id == CClock::INPUT_TICK){}
  CInput& operator=(bool input){
    m_inp_id = CClock::INPUT_TICK;
    m_input = input;
    return *this;
  }
  CInput& operator=(const CInput& r){
    if (r.input() && !input()){
      m_input = true;
      m_inp_id = g_pTheEnv->m_tickCurrent;
    }
    return *this;
  }
  operator bool() const { return input(); }
private:
  bool input() const { return m_input && g_pTheEnv->m_clock.IsCurrent(m_inp_id); }
};

class CFDNodeBase{
protected:
  CInput m_input;
public:
  const CInput& input() const { return m_input; }
protected:
  CFDNodeBase(){}
};

#endif
