#ifndef _BASE_PATTERN_
#define _BASE_PATTERN_

#include "b_objects.hxx"
#include <vector.h>

///////////////////////////////////////////////////////////////////////////////////
// There are components other than normal addresses used in a pattern.
// These are dots and a mergeable address
class CDots:public CMyObject{
public:
  string toString() const { return "dots"; }
};

// Cannot be derived from CAddr, since CAddr can be either CArc or CPath.
class CMergeableAddr:public CMyObject{
protected:
  hCAddr m_addr;
public:
  CMergeableAddr(){}
  explicit CMergeableAddr(const hCAddr& addr):m_addr(addr){}
  hCAddr addr() const   { return m_addr; }
  string toString() const;
};

inline CDots *obj2dots(CMyObject *obj)                    { return cast<CDots>(obj); }
inline CMergeableAddr *obj2mergeable_addr(CMyObject *obj) { return cast<CMergeableAddr>(obj); }

typedef Handle<CDots> hCDots;
typedef Handle<CMergeableAddr> hCMergeableAddr;
///////////////////////////////////////////////////////////////////////////////////

class CPattern:public CMyObject,public vector<hCObject>{
  friend class PatternParser;
public:
  CPattern():m_mergeable(false){}
  bool is_mergeable() const { return m_mergeable; }
  string toString() const;
  static token_t feature(){ return Predefined::pattern; }
private:
  bool m_mergeable;
};

#ifndef _BASE_EXTFWD_
class CPatternType;
typedef Handle<CPattern> hCPattern;
typedef Handle<CPatternType> hCPatternType;
#endif

#endif
