#ifndef _BASE_SYMBOLS_
#define _BASE_SYMBOLS_

#include "b_defs.hxx"
#include <hash_set.h>

struct eqstr{
  bool operator()(const char* s1, const char* s2) const {
    return strcmp(s1, s2) == 0;
  }
};

typedef char *token_t;
#define TOK2STR(token) token

struct Symbols{
  static char *insert(const char *str);
  static void clean();
private:
  typedef hash<const char *> hashstr;
  typedef hash_set<const char*, hashstr, eqstr> symhash_t;
  static symhash_t s_symbols;
};

struct eqtokens{
  inline bool operator()(token_t t1, token_t t2) const{
    return TOK2STR(t1) == TOK2STR(t2);    // both tokens must point to the same string
  }
};

struct hashtoken{
  size_t operator()(token_t token) const{
    return size_t(TOK2STR(token));
  }
};

#endif
