#ifndef _COMPILER_BARECMDS_
#define _COMPILER_BARECMDS_

class Fail;
class CFDBuilder;

class CCmd{
public:
  virtual ~CCmd(){}
  virtual Fail *exec(CFDBuilder *fd) =0;
  virtual string str() const = 0;
};

class CEnterSubgraphCmd_edge:public CCmd{
  token_t m_edge;
public:
  explicit CEnterSubgraphCmd_edge(token_t edge):m_edge(edge){}
  Fail *exec(CFDBuilder *fd);
  string str() const;
};

class CEnterSubgraphCmd_path:public CCmd{
  int m_upcount;
public:
  explicit CEnterSubgraphCmd_path(int upcount):m_upcount(upcount){}
  Fail *exec(CFDBuilder *fd);
  string str() const;
};

class CLeaveSubgraphCmd:public CCmd{
  Fail *exec(CFDBuilder *fd);
  string str() const;
};

class CAddLeafCmd_2arg:public CCmd{
  token_t m_edge;
  hCType m_type;
public:
  CAddLeafCmd_2arg(token_t edge,const hCType& type):m_edge(edge),m_type(type){}
  Fail *exec(CFDBuilder *fd);
  string str() const;
};

class CAddLeafCmd_1arg:public CCmd{
  hCType m_type;
public:
  explicit CAddLeafCmd_1arg(const hCType& type):m_type(type){}
  Fail *exec(CFDBuilder *fd);
  string str() const;
};

class CAddPathCmd_2arg:public CCmd{
  token_t m_edge;
  hCPath m_path;
public:
  CAddPathCmd_2arg(token_t edge,const hCPath& path):m_edge(edge),m_path(path){}
  Fail *exec(CFDBuilder *fd);
  string str() const;
};

class CAddPathCmd_1arg:public CCmd{
  hCPath m_path;
public:
  explicit CAddPathCmd_1arg(const hCPath& path):m_path(path){}
  Fail *exec(CFDBuilder *fd);
  string str() const;
};

#endif
