#include "stdcfuf.h"
#include "c_branchnode.hxx"
#include "c_barefd.hxx"
#include "c_barecmds.hxx"

/////////////////////////////////////////////////////////////////////////////////
// CBranchNode methods
//
CBranchNode::CBranchNode(CBareGr& gr):CGrNode(0,0,0,0,gr),m_index_type(g_pTheEnv->nil()){}
CBranchNode::~CBranchNode()
{
  CmdList::const_iterator it=m_cmds.begin();
  for (uint i = m_cmds.size();i;--i,++it) delete *it;
}
/*
  alt is an instance of some derived class from CAltNode.
  Its base class CGrnode is uninitialized and must be constructed in place.
*/
CGrNode *CBranchNode::add_alt(CGrNode *alt)
{
  alt->construct(m_depth,this,m_parent,m_range.second+1);
  alt->set_range_end(m_range.second);
  m_children.push_back(alt);
  return alt;
}
string CBranchNode::str() const
{
  assert(m_index_type.pointee());
  string _str(type());
  _str << " #" << m_rank << " (" << m_range.first << ')';
  if (!m_index_type->nil()) _str << ", indexed by " << m_index_type;
  return _str;
}
