#ifndef _COMPILER_BRANCHNODE_
#define _COMPILER_BRANCHNODE_

#include "c_grnode.hxx"

class CFDBuilder;
class CBareGr;
class CCmd;

class CBranchNode:public CGrNode{
  friend class CCmdIterator;
public:
  typedef vector<CCmd *> CmdList;
protected:
  CmdList m_cmds;               // branch creation commands
  hCType m_index_type;
public:
  explicit CBranchNode(CBareGr& gr);
  ~CBranchNode();
  CGrNode *add_alt(CGrNode *alt);
  const hCType& index_type() const        { return m_index_type; }
  void set_index_type(const hCType& itype){ m_index_type = itype; }
  void store_cmd(CCmd *cmd)     { m_cmds.push_back(cmd); }
  string str() const;
  string type() const           { return "branch"; }
  string edge_label() const     { return MakeStringFromInt(m_range.first); }
  string edge_color() const     { return "blue"; }
};

class CCmdIterator{
public:
  typedef CCmd& reference;
  typedef CCmd *pointer;
private:
  CBranchNode::CmdList& m_cmds;
  CBranchNode::CmdList::iterator m_cur;
public:
  explicit CCmdIterator(CBranchNode *branch):m_cmds(branch->m_cmds),m_cur(m_cmds.begin()){}
  void advance()                { ++m_cur; }
  bool is_past_the_end() const  { return m_cur == m_cmds.end(); }
  reference operator*() const   { return **m_cur; }
  pointer operator->() const    { return *m_cur; }
  operator pointer() const      { return *m_cur; }
};

inline CBranchNode *node2branch(CGrNode *node) { return cast<CBranchNode>(node); }

#endif
