#ifndef _COMPILER_CELL_
#define _COMPILER_CELL_

class CFDNode;

class CCell:public RCObject{
public:
  virtual ~CCell(){}
  virtual bool is_dots() const      =0;
  virtual bool is_mergeable() const =0;
  virtual CFDNode *node() const     =0;
  virtual CCell *clone(CFDNode *node) const =0;
  virtual string str(CFDNode *from) const =0;
};

class CDotsCell:public CCell{
public:
  bool is_dots() const          { return true; }
  bool is_mergeable() const     { return false; }
  CFDNode *node() const         { return NULL; }
  CCell *clone(CFDNode *) const { return const_cast<CDotsCell *>(this); }
  string str(CFDNode *) const   { return "dots"; }
};

class CNodeCell:public CCell{
protected:
  CFDNode *m_node;
public:
  CNodeCell(CFDNode *node):m_node(node){}
  bool is_dots() const          { return false; }
  bool is_mergeable() const     { return false; }
  CFDNode *node() const         { return m_node; }
  CCell *clone(CFDNode *node) const { return new CNodeCell(node); }
  string str(CFDNode *from) const;
};

class CMergeNodeCell:public CNodeCell{
public:
  CMergeNodeCell(CFDNode *node):CNodeCell(node){}
  bool is_mergeable() const     { return true; }
  CCell *clone(CFDNode *node) const { return new CMergeNodeCell(node); }
  string str(CFDNode *from) const;
};

#endif
