#ifndef _COMPILER_CSET_
#define _COMPILER_CSET_

#include "b_cset.hxx"
#include "c_special.hxx"

class CFDNode;
class GenUnifyCset;
class GenUnifyCsetComponent;
typedef const GenUnifyCset GenericCset;                 // convenience typedefs
typedef const GenUnifyCsetComponent GenericComponent;

class CCsetTypeComponent:public GenCsetComponent,public vector<CFDNode *>
{
public:
	explicit CCsetTypeComponent(int capacity=0){ reserve(capacity); }
	uint size() const { return vector<CFDNode *>::size(); }
	string str() const;
};

class CBareFD;

class CCsetType:public CSpecial,public CType,public GenCset
{
	CCsetTypeComponent m_abs,m_base,m_inc,m_dec;
	CFDNode *m_owner;
public:
	static ret::utype_t create(CFDNode *owner,const hCCset& cset);
	ret::utype_t special_unify(const hCCset& cset);
	ret::utype_t unify_with_special(const hCType&,CFDNodeBase *,CFDNodeBase *);
	const GenCsetComponent& abs() const { return m_abs; }
	const GenCsetComponent& base() const{ return m_base; }
	const GenCsetComponent& inc() const { return m_inc; }
	const GenCsetComponent& dec() const { return m_dec; }
	string toString() const;
	bool empty() const                    { return m_abs.empty() && m_base.empty() && m_inc.empty() && m_dec.empty(); }
	hCType clone(CFDNode *owner) const    { return new CCsetType(owner,*this); }
	Fail *add_self(CExtFD *fd) const;
	bool is_equal(CType *) const;
	token_t feature() const               { return Predefined::cset; }
private:
	CCsetType(CFDNode *owner,const CCsetType&);
	CCsetType(CFDNode *owner,const hCCset& cset);
	CCsetType(const hCCsetType& ctype,const hCCset& cset);
	CCsetType(const hCCsetType& ctype1,const hCCsetType& ctype2);
	bool unify(GenericCset& cset1,GenericCset& cset2);
	bool construct_abs(GenericComponent& master,GenericComponent& slave,CVisitedBitmap& visited);
	void proceed_1(GenericCset& cset1,GenericCset& cset2);
	void unite_components(CCsetTypeComponent& dst,GenericComponent& src1,GenericComponent& src2);
	bool proceed_2(GenericCset& cset1,GenericCset& cset2,CVisitedBitmap& visited);
	bool validate_inclusion(CVisitedBitmap& visited,GenericComponent& slave);
	bool validate_mutex(CVisitedBitmap& visited,GenericComponent& slave);
	void set_component(CVisitedBitmap& visited,CCsetTypeComponent& dst,GenericComponent& src);
	void init_component(CCsetTypeComponent& dst,const GenCsetComponent& _src);
	void reverse_init_component(CCsetComponent& dst,const CCsetTypeComponent& src) const;
	void copy_component(CCsetTypeComponent& dst,const CCsetTypeComponent& src);
	bool is_equal_component(const CCsetTypeComponent& src,const CCsetTypeComponent& dst,CFDNode *dstroot) const;
};

class FDCsetFail:public Fail
{
public:
	FDCsetFail();
};

inline CCsetType *obj2cSetType(CMyObject *obj)       { return cast<CCsetType>(obj); }

#endif
