#include "stdcfuf.h"
#include "c_curloc.hxx"

/////////////////////////////////////////////////////////////////////////////////
// CCurLoc methods
//
CCurLoc::CCurLoc(int){ construct(); }
CCurLoc::~CCurLoc()  { destroy(); }
void CCurLoc::destroy()
{
  delete m_loc;
  while (undo_stack.size()){
    delete undo_stack.top().second;
    undo_stack.pop();
  }
}
void CCurLoc::construct()
{
  m_loc=new EdgeList;
}
void CCurLoc::update(token_t edge)
{
  m_loc->push_back(edge);
  undo_stack.push(Undo(0,NULL));
}
void CCurLoc::update(int upcount)
{
  if (upcount==CPath::ABS || upcount >= int(m_loc->size())){
    undo_stack.push(Undo(CPath::ABS,m_loc));
    m_loc=new EdgeList;
  }else{
    EdgeList *undo_edges=new EdgeList(m_loc->end()-upcount,m_loc->end());
    undo_stack.push(Undo(CPath::CUR,undo_edges));
    m_loc->erase(m_loc->end()-upcount,m_loc->end());
  }
}
void CCurLoc::undo()
{
  Undo undo=undo_stack.top();
  undo_stack.pop();
  if (!undo.second) m_loc->pop_back();
  else if (undo.first==CPath::ABS){
    delete m_loc;
    m_loc=undo.second;
  }else{
    assert(undo.first==CPath::CUR);
    copy(undo.second->begin(),undo.second->end(),back_inserter(*m_loc));
    delete undo.second;
  }
}
string CCurLoc::toString() const
{
  if (m_loc->empty()) return "()";
  string str("(");
  CPath::iterator cur=m_loc->begin();
  for (uint i=0;i<m_loc->size()-1;++i,++cur) str << *cur << ' ';
  return str << *cur << ')';
}
