#include "stdcfuf.h"

#define __DEBUG_DUMP

#include "c_debug.hxx"
#include "c_barefd.hxx"
#include "c_fddump.hxx"
#include "c_fdpprint.hxx"
#include <fstream.h>
#include <iostream.h>
#include <ctype.h>

#ifdef TKDOT
#define FD2GRAPH FDDump::fd2tkdot
#define EXT      ".tcl"
#else
#define FD2GRAPH FDDump::fd2dot
#define EXT      ".dot"
#endif

#ifdef WIN32
using std::ofstream;
using std::cin;
using std::cout;
using std::flush;
#endif

void scm_dump_fd(int count,CBareFD *fd)
{
  string fname;
  fname << "_FD" << count << ".scm";
  
  ofstream outfile(fname.c_str());
  CPrettyPrintFD pprinter(fd->root());
  outfile << "(define fd '";
  pprinter.display(true,outfile,12,false);
  outfile << ")\n";
}
void dot_dump_fd(int count,CBareFD *fd)
{
  string fname;
  fname << "_FD" << count << EXT;
  
  ofstream outfile(fname.c_str());
  FD2GRAPH(outfile,fd->root(),true);
  string cmd;
  cmd << "chmod 755 " << fname;
  system(cmd.c_str());
}

////////////////////////////////////////////////////////////////////////////////
// DebugDump methods
//
void DebugDump::dump_fd(CBareFD *fd)
{
	static int count=0;
	static int skip_count=0;
	static bool ask=true;
	static bool dump=false;
	static char answer;

	cout << count << ") Dump the current fd (y/Y/n/N/#)[n]? " << flush;
	if (ask && !skip_count)
	{
		dump=false;
		char c;
		cin.get(c);
		if (isdigit(c))
		{
			do
			{
				skip_count *= 10;
				skip_count += c - '0';
				cin.get(c);
			}
			while (isdigit(c));
			answer = skip_count ? 'n' : 'y';
		}
		if (c!='\n') 
		{
			cin.ignore(1000,'\n');
		}
		if (c=='Y' || c=='N')
		{
			ask = false;
			answer = c;
		}
		else 
		{
			answer = (c=='y') ? c : 'n';
		}
		dump = (tolower(answer) == 'y');
	}
	else
	{
		cout << answer << endl;
	}
	if (dump)
	{
		scm_dump_fd(count,fd);
		dot_dump_fd(count,fd);
	}
	if (skip_count)
	{
		--skip_count;
	}
	++count;
}
void DebugDump::dump_cur_pos(CBareFD *fd)
{
	cout << "Current fd position is {" << fd->cur_loc()->GetString() << "}\n";
}
