#ifndef _COMPILER_EXTFD_
#define _COMPILER_EXTFD_

#include "c_barefd.hxx"
#include "b_extfwd.hxx"

class Constraint;

class FDControlFail:public Fail
{
public:
	explicit FDControlFail(string _expr);
	string GetDesc() const       { return expr; }
private:
	string expr;
};

class CExtFD:public CBareFD
{
public:
	CFDNode *SoftPeekAddr(CAddr *addr);
	CFDNode *SoftPeekPath(CPath *path);

	Fail *AddSpecial(token_t,const hCPattern& pattern)    { return AddPatternProt(pattern).fail; }
	Fail *AddSpecial(token_t,const hCCset& cset)          { return AddCsetProt(cset).fail; }
	Fail *AddSpecial(token_t,const hCFset& fset)          { return AddFsetProt(fset).fail; }
	Fail *AddSpecial(token_t,const hCControl& control)    { return AddControlProt(control); }
	Fail *satisfy_constraint(const Constraint&);
protected:
	Fail *EnterSubgraphProt(token_t edge,token_t intitle = Predefined::nil);
	ret::unode_t AddLeafProt(token_t,const hCType&);
	ret::unode_t AddPatternProt(const hCPattern& pattern);
	ret::unode_t AddCsetProt(const hCCset& cset);
	ret::unode_t AddFsetProt(const hCFset& fset);
	Fail *AddControlProt(const hCControl& control);
	friend class CFsetType;
private:        // this private template is used to implement AddPatternProt/cset/fset
	CFDNode *SoftPeekAdvance(CFDNode *from,token_t edge,bool& cont);
	pair<CFDNode *,CType *> AddSpecialProt(token_t tknSpecialFeature);
	CFsetType *GetCurFset(CFDNode *curNode = 0);
};

#endif
