#include "stdcfuf.h"
#include "c_barefd.hxx"
#include "c_fdbase.hxx"

////////////////////////////////////////////////////////////////////////////////
// CArc_c methods
//
CArc_c::CArc_c(){}
CArc_c::CArc_c(token_t title):CArc(title),m_def_id(g_pTheEnv->m_tickCurrent),m_undef_id(CClock::INVALID_TICK){}
void CArc_c::cleanup()
{
  m_undef_id = IsDefined() ? CClock::INVALID_TICK : CClock::INPUT_TICK;
  m_def_id = CClock::INPUT_TICK;
}
void CArc_c::undefine()
{
  if (m_undef_id == CClock::INVALID_TICK || !g_pTheEnv->m_clock.IsCurrent(m_undef_id))
    m_undef_id = g_pTheEnv->m_tickCurrent;
}
void CArc_c::update()
{
  m_def_id = g_pTheEnv->m_tickCurrent;
  m_undef_id = CClock::INVALID_TICK;
}
bool CArc_c::IsDefined()
{
  if (!g_pTheEnv->m_clock.IsCurrent(m_def_id) ||    // if either the arc belongs to a failed branch or it was undefined
      (m_undef_id != CClock::INVALID_TICK && g_pTheEnv->m_clock.IsCurrent(m_undef_id)))       // in the current unification sequence
    return false;                       // return false - the arc is not defined
  m_undef_id = CClock::INVALID_TICK;    // else - the arc is ok
  return true;
}

////////////////////////////////////////////////////////////////////////////////
// CVisitedBitmap methods
//
CVisitedBitmap::CVisitedBitmap(int n):vector<bool>(n,false){}
CVisitedBitmap::reference CVisitedBitmap::operator[](uint i)
{
  uint all = size();
  if (i >= all)
    insert(end(),2*all >= i ? all : i-all,false); // double the size of the bitmap if index exceeds the boundary
  CVisitedBitmap::reference tmp = vector<bool>::operator[](i);
  return tmp;
}
