#include "stdcfuf.h"

// #define F_TRACE

#include "b_debug_tracer.hxx"
#include "c_fditerator.hxx"

////////////////////////////////////////////////////////////////////////////////
// CFDGraphIterator methods
//
CFDGraphIterator::CFDGraphIterator(CFDNode *root):
  m_cur(root),m_visited(root->fd()->count(),false)
{
  F_TRACE0();
  
  m_visited[m_cur->group_id()]=true;
  m_it_queue.push(new CFDChildIterator(root));
}
CFDGraphIterator::~CFDGraphIterator()
{
  while (!m_it_queue.empty()){
    delete m_it_queue.front();
    m_it_queue.pop();
  }
}
void CFDGraphIterator::next()
{
  F_TRACE0();

  if (g_pTheEnv->m_bInterrupted) throw new InterruptFail;
  while (!m_it_queue.empty()){
    CFDChildIterator *cur_it = m_it_queue.front();
    while (!cur_it->is_past_the_end()){
      m_cur = (*cur_it)->second;
      int group_id = m_cur->group_id();
      if (!m_visited[group_id]){
        m_visited[group_id] = true;
        m_it_queue.push(new CFDChildIterator(m_cur));
        return;
      }
      cur_it->advance();
    }
    delete cur_it;
    m_it_queue.pop();
  }
  m_cur = 0;
}
