#ifndef _COMPILER_FDITERATOR_
#define _COMPILER_FDITERATOR_

#include "c_fdnode.hxx"
#include "c_barefd.hxx"
#include <queue.h>

class CFDGraphIterator{
public:
  typedef CFDNode value_type;
  typedef value_type& reference;
  typedef value_type *pointer;
public:
  CFDGraphIterator(CFDNode *root);
  ~CFDGraphIterator();
  void advance()                { if (m_cur) next(); }
  bool is_past_the_end() const  { return m_cur==NULL; }
  reference operator*() const   { return *m_cur; }
  pointer operator->() const    { return m_cur; }
  operator pointer() const      { return m_cur; }
private:
  CFDNode *m_cur;
  queue<CFDChildIterator *> m_it_queue;
  vector<bool> m_visited;
private:
  void next();
};

#endif
