#ifndef _COMPILER_FSET_
#define _COMPILER_FSET_

#include "b_objects.hxx"
#include "b_fset.hxx"
#include "c_special.hxx"

class CBareFD;
class CFDNode;

class CFsetType:public CSpecial,public CType{
  hCFset m_fset;
  CFDNode *m_owner;
public:
  static ret::utype_t create(CFDNode *owner,const hCFset& fset);
  ret::utype_t special_unify(const hCFset& fset);
  ret::utype_t unify_with_special(const hCType&,CFDNodeBase *,CFDNodeBase *);
  bool IsFeatureAllowed(token_t f) const;
  string toString() const               { return m_fset->toString(); }
  hCType clone(CFDNode *owner) const    { return new CFsetType(owner,*this); }
  bool is_equal(CType *) const;
  Fail *add_self(CExtFD *fd) const;
  token_t feature() const               { return Predefined::fset; }
  CFset *const GetFset() const          { return m_fset; }
private:
  CFsetType(CFDNode *owner,const CFsetType&);
  CFsetType(CFDNode *owner,const hCFset& fset);
  CFsetType(const hCFsetType& ftype,const hCFset& fset);
  CFsetType(const hCFsetType& ftype1,const hCFsetType& ftype2,CFDNode *fnode1,CFDNode *fnode2);
  Fail *check_parents(CFDNode *fnode);
  Fail *validate_fset(CFDNode *node);
  void unify_fsets(const hCFset& fset1,const hCFset& fset2);
  void intersect(const hCFset& fset1,const hCFset& fset2);
};

class FDFsetFail:public ComplexFail{
protected:
  FDFsetFail(Fail *e);
};

inline CFsetType *obj2fSetType(CMyObject *obj)       { return cast<CFsetType>(obj); }

#endif
