#include "stdcfuf.h"
#include "c_grnode.hxx"
#include "c_baregr.hxx"

/////////////////////////////////////////////////////////////////////////////////
// CGrNode methods
//
CGrNode::CGrNode(int depth,CGrNode *parent,CGrNode *grandparent,int range_start,CBareGr& gr):
  m_depth(depth),
  m_parent(parent),
  m_grandparent(grandparent),
  m_range(range_start,range_start),
  m_rank(1),
  m_id(gr.m_count),
  m_right_sibling(NULL),
  m_gr(gr){ ++gr.m_count; }
CGrNode::CGrNode(CBareGr& gr):
  m_rank(1),
  m_id(gr.m_count),
  m_right_sibling(NULL),
  m_gr(gr){ ++gr.m_count; }
CGrNode::~CGrNode()
{
  for (ch_iterator it = ch_begin();it!=ch_end();++it) delete *it;
}
int CGrNode::count() const
{
  return m_gr.m_count;
}
void CGrNode::construct(int depth,CGrNode *parent,CGrNode *grandparent,int range_start)
{
  m_depth=depth;
  m_parent=parent;
  m_grandparent=grandparent;
  m_range.first=range_start;
  m_range.second=range_start;
}
void CGrNode::connect_children()
{
  if (m_children.size()){
    uint rank;
    for (rank=1;rank<m_children.size();++rank){
      m_children[rank-1]->m_right_sibling=m_children[rank];
      m_children[rank-1]->m_rank=rank;
    }
    m_children[rank-1]->m_right_sibling=NULL;
    m_children[rank-1]->m_rank=rank;
  }
}
string CGrNode::dotlabel(bool is_short) const
{
  if (is_leaf()) return "";
  else if (is_short) return type();
  else{
    string label(type());
    label << '[' << m_range.first;
    if (m_range.first==m_range.second) label << ']';
    else label << ',' << m_range.second << ']';
    return label;
  }
}
