#include "stdcfuf.h"
#include "c_fdnode.hxx"
#include "c_patnode.hxx"
#include "c_extcmds.hxx"

/////////////////////////////////////////////////////////////////////////////////
// CPatBranchNode methods
//
CPatBranchNode::CPatBranchNode(CBareGr& gr):CBranchNode(gr)
{
  CBranchNode::store_cmd(new CAddPatternCmd(m_current));
}
void CPatBranchNode::reset()
{
  // cout << "-[ " << hex << &m_patstack << dec << ',' << m_patstack.size() << flush;
  while (!m_patstack.empty()) m_patstack.pop();
  m_current=NULL;
  // cout << " ]\n";
}
void CPatBranchNode::set_pattern(const hCPatternType& pattern)
{
  // cout << "+[ " << hex << &m_patstack << dec << ',' << m_patstack.size() << flush;
  m_patstack.push(make_pair(m_current,m_rank)); // save the recent pattern and rank
  m_current=pattern;    // "there is a new sheriff in town"
  m_rank=1;
  // cout << " ]\n";
}
CGrNode *CPatBranchNode::right_sibling()
{
  if (!m_current){
    assert(m_patstack.empty());
    return NULL;
  }
  if (m_current->advance()){
    ++m_rank;
    return this;
  }
  failed();
  return NULL;
}
void CPatBranchNode::failed()
{
  assert(!m_patstack.empty());
  m_current = m_patstack.top().first;
  m_rank = m_patstack.top().second;
  m_patstack.pop();
}
