#ifndef _COMPILER_PATNODE_
#define _COMPILER_PATNODE_

#include "c_altnode.hxx"
#include "c_fdnode.hxx"
#include "c_pattern.hxx"
#include "c_branchnode.hxx"

class CPatBranchNode;
class CBareGr;

class CPatAltNode:public CAltNode{
  hCPattern m_pattern;
public:
  CPatAltNode(const hCPattern& pattern,const CCurLoc& loc,CBareGr& gr):CAltNode(loc,NULL,gr),m_pattern(pattern){}
  void add_branch(CGrNode *branch){
    CAltNode::add_branch(branch,this);
  }
  const hCPattern& pattern() const    { return m_pattern; }
  string type() const           { return "pattern"; }
  string edge_color() const     { return "brown"; }
  string dotlabel(bool) const   { return CAltNode::dotlabel(true); }
};

class CPatternType;
class CPatBranchNode:public CBranchNode{
  stack<pair<hCPatternType,int> > m_patstack;
  hCPatternType m_current;
public:
  explicit CPatBranchNode(CBareGr& gr);
  void reset();
  void set_pattern(const hCPatternType& pattern);
  void failed();
  CPatternType *pattern() const { return m_current; }
  bool is_mergeable() const     { return bool(m_current) && m_current->is_mergeable(); }
  CGrNode *right_sibling();
  string type() const           { return ""; }
  string edge_color() const     { return "black"; }
private:
  CGrNode *add_alt(CGrNode *)   { return 0; }
  void store_cmd(CCmd *cmd){}
};

inline CPatAltNode *node2pat_alt(CGrNode *node)        { return cast<CPatAltNode>(node); }
inline CPatBranchNode *node2pat_branch(CGrNode *node)  { return cast<CPatBranchNode>(node); }

#endif
