#ifdef WIN32
#include <ostream.h>
using std::ostream;
#else
#include <ostream.h>
#endif

#include "c_tkdot.hxx"

/////////////////////////////////////////////////////////////////////////////////
// OutputTKDot methods
//
void OutputTKDot::Prefix(ostream& os)
{
	os << "#!/usr/local/bin/tkdot -f\n";
	os << "wm minsize . 200 200\n\n";
	os << "# Graph definition---------------------------------------------\n";
	os << "set g [dotnew digraph]\n";
	os << "#$g setattributes ranksep 2\n\n";
}
void OutputTKDot::Suffix(ostream& os)
{
	os << "# End of graph definition--------------------------------------\n\n";
	os << "# Set the window layout----------------------------------------\n";
	os << "$g layout\n";
	os << "set bgcolor grey\n\n";
	os << "button .dismiss -text dismiss -command exit\n";
	os << "pack .dismiss -side bottom -fill x\n\n";
	os << "scrollbar .hscroll -orient horiz -width 10 -command \".c xview\"\n";
	os << "scrollbar .vscroll -width 10 -command \".c yview\"\n\n";
	os << "set c [canvas .c -relief sunken \\\n";
	os << "\t-background $bgcolor -borderwidth 2 \\\n";
	os << "\t-xscrollcommand \".hscroll set\" \\\n";
	os << "\t-yscrollcommand \".vscroll set\"]\n\n";
	os << "eval [$g render]\n";
	os << "eval set bb [$g queryattributes bb]\n";
	os << "set width [string trimright [lindex $bb 2] \"p\"]\n";
	os << "set height [string trimright [lindex $bb 3] \"p\"]\n";
	os << "if {$width > 600} {set width 600}\n";
	os << "if {$height > 300} {set height 300}\n";
	os << ".c configure -scrollregion $bb -width $width -height $height\n\n";
	os << "pack .hscroll -side bottom -fill x\n";
	os << "pack .vscroll -side right -fill y\n";
	os << "pack .c -expand yes -fill both\n";
}
