#include "stdcfuf.h"
#include "cfuf.hxx"
#include "b_lexer.hxx"
#include "b_tokhier.hxx"

////////////////////////////////////////////////////////////////////////////////
// CFUFReportMemory methods
//
bool CFUF::s_bAutoDelInterp = false;
////////////////////////////////////////////////////////////////////////////////
// CFUF methods
//
void CFUF::Initialize(CInterp *pInterp,
                      bool bAutoDelInterp)
{
  s_bAutoDelInterp = bAutoDelInterp;
    
  Predefined::init();
  Delim::init();
  g_pTheEnv = new Env;             // declared in env_b.hxx
  g_pTheLexer = new CLexer;        // declared in lexer_b.hxx
  g_pTheTokhier = new CTokenHier;  // declared in tokhier_b.hxx
  g_pTheTokhier->Realize();

  g_pTheInterp = pInterp;          // declared in objects_b.hxx
  if (!g_pTheInterp) g_pTheInterp = &g_nullInterp;

  g_pTheLexer->reset();
  g_pTheInput = &g_nullInput;
  g_pTheOutput = &g_nullOutput;
}
void CFUF::Shutdown()
{
  if (g_pTheInterp != &g_nullInterp && s_bAutoDelInterp)
    delete g_pTheInterp;
  
  delete g_pTheTokhier;g_pTheTokhier = NULL;
  delete g_pTheLexer;g_pTheLexer = NULL;
  delete g_pTheEnv;g_pTheEnv = NULL;

  g_pTheInterp = NULL;
  g_pTheInput = NULL;
  g_pTheOutput = NULL;
  
  Symbols::clean();
}
