#ifndef __CFUF_GRAMMAR__
#define __CFUF_GRAMMAR__

#include "u_gr.hxx"

class CFUFGrammar{
public:
  static ugrammar_t Parse(CInputStream& inputStream);
  void Destroy();
  
  static void EnableDemo(bool bEnable = true)   { m_bDoDemo = bEnable; }
  static void EnableWait(bool bEnable = true)   { m_bDoWait = bEnable; }
  static void EnableIndex(bool bEnable = true)  { m_bDoIndex = bEnable; }
  static void EnableBKClass(bool bEnable = true){ m_bDoBKClass = bEnable; }
  static bool IsDemoEnabled()   { return m_bDoDemo; }
  static bool IsWaitEnabled()   { return m_bDoWait; }
  static bool IsIndexEnabled()  { return m_bDoIndex; }
  static bool IsBKClassEnabled(){ return m_bDoBKClass; }

  CGrammar *GetGrammar() const { return m_pGrammar; }
  
  explicit CFUFGrammar(CGrammar *pGrammar);
protected:
  ~CFUFGrammar();
  
  CGrammar *m_pGrammar;
  
  static bool m_bDoWait;
  static bool m_bDoIndex;
  static bool m_bDoDemo;
  static bool m_bDoBKClass;
};

#endif
