#ifndef __CFUF_SPECIAL__
#define __CFUF_SPECIAL__

class GenCsetComponent;
typedef class CFUFFD *fd_t;

struct CFUFSpecial{
  struct Pattern{
    fd_t *m_arrValues;
    uint m_nCount;
    ~Pattern(){ Delete(); }
  private:
    friend struct CFUFSpecial;
    Pattern();
    void Delete();
    Pattern *Init(CType *type);
  };
  struct Cset{
    enum {ABS,BASE,INC,DEC};
    fd_t *m_arrValues[4];
    uint m_nCount[4];
    ~Cset(){ Delete(); }
  private:
    friend struct CFUFSpecial;
    Cset();
    void Delete();
    Cset *Init(CType *type);
    void GetComponent(const GenCsetComponent& c,uint what);
  };
  struct Fset{
    token_t *m_arrFeatures;
    uint m_nCount;
    ~Fset(){ Delete(); }
  private:
    friend struct CFUFSpecial;
    Fset();
    void Delete();
    Fset *Init(CType *type);
  };
  static Pattern *GetPattern(CType *type);
  static Cset *GetCset(CType *type);
  static Fset *GetFset(CType *type);
};

#endif
