#include "stdcfuf.h"
#include "ctrlc.hxx"

////////////////////////////////////////////////////////////////////////////////
// CShieldCtrlC methods
//
CShieldCtrlC::CShieldCtrlC()
{
#ifdef WIN32
	signal(SIGINT,SetInterrupted);
#else
	m_shielded.sa_handler = SetInterrupted;
	m_shielded.sa_flags = 0;
	sigaction(SIGINT,&m_shielded,&m_original);
#endif
}
CShieldCtrlC::~CShieldCtrlC()
{
	g_pTheEnv->m_bInterrupted = false;
#ifndef WIN32
	sigaction(SIGINT,&m_original,0);
#endif
}
void CShieldCtrlC::SetInterrupted(int)
{
	g_pTheEnv->m_bInterrupted = true;
}

////////////////////////////////////////////////////////////////////////////////
// CDisableCtrlC methods
//
CDisableCtrlC::CDisableCtrlC()
{
#ifdef WIN32
	signal(SIGINT,SIG_IGN);
#else
	m_disabled.sa_handler = SIG_IGN;
	m_disabled.sa_flags = 0;
	sigaction(SIGINT,&m_disabled,&m_original);
#endif
}
CDisableCtrlC::~CDisableCtrlC()
{
#ifndef WIN32
	sigaction(SIGINT,&m_original,0);
#endif
}
