#include "stdcfuf.h"
#include "p_alt.hxx"
#include "b_altparams.hxx"
#include "p_altparams.hxx"
#include "b_debug_tracer.hxx"

/////////////////////////////////////////////////////
// AltParser methods
//
Fail *AltParser::parse_feature(token_t)
{
  Fail *f = 0;
  f = ParseFD::grammar()->EnterAlt(AltHeaderParser::parse_alt_header());
  if (!f) f = BaseParser::parse_list(this,false,false);
  if (!f) f = ParseFD::grammar()->LeaveAlt();
  return f;
}
Fail *AltParser::parse_list_elem(token_t first)
{
  Fail *f = 0;
  if (first==Delim::percent){
    token_t token;
    while ((g_pTheLexer->get(token)) && token!=Delim::percent);
    if (!g_pTheLexer->ok()) throw new ParserFail();
  }else{ 
    g_pTheLexer->putback(first);
    f = ParseFD::grammar()->EnterBranch();
    if (!f) f = ParseFD::parse_no_init();
    if (!f) f = ParseFD::grammar()->LeaveBranch();
  }
  return f;
}

/////////////////////////////////////////////////////
// RaltParser methods
//
Fail *RaltParser::parse_feature(token_t)
{
  Fail *f = 0;
  f = ParseFD::grammar()->EnterRalt(AltHeaderParser::parse_alt_header());
  if (!f) f = BaseParser::parse_list(this,false,false);
  if (!f) f = ParseFD::grammar()->LeaveRalt();
  return f;
}

/////////////////////////////////////////////////////
// OptParser methods
//
Fail *OptParser::parse_feature(token_t)
{
  Fail *f = 0;
  f = ParseFD::grammar()->EnterOpt(AltHeaderParser::parse_alt_header());
  if (!f) f = ParseFD::grammar()->EnterBranch();
  if (!f) f = ParseFD::parse_no_init();
  if (!f) f = ParseFD::grammar()->LeaveBranch();
  if (!f) f = ParseFD::grammar()->EnterBranch();
  if (!f) f = ParseFD::grammar()->AddLeaf(g_pTheEnv->nil());
  if (!f) f = ParseFD::grammar()->LeaveBranch();
  if (!f) f = ParseFD::grammar()->LeaveOpt();
  return f;
}
