#ifndef _PARSER_ALTPARAM_
#define _PARSER_ALTPARAM_

#include "p_objects.hxx"

class CAltParams;

class AltParamParser{
public:
  virtual ~AltParamParser(){}
  virtual void parse_alt_param(CAltParams *) throw (Fail *) =0;
protected:
  void already_registered(token_t key);
};

struct AltHeaderParser{
  static CAltParams *parse_alt_header() throw (Fail *);
  static void register_param(token_t,AltParamParser *);
private:
  typedef hash_map<token_t,AltParamParser *,hashtoken,eqtokens> ParamRegistry;
  static ParamRegistry s_reg;
};

/////////////////////////////////////////////////////////////////////////////////
// Declare the predefined alt parameter parsers
//
class CIndexParser:public AltParamParser,public BaseParser::ListElemParser{
  CAltParams *m_params;
public:
  void parse_alt_param(CAltParams *) throw (Fail *);
private:
  Fail *parse_list_elem(token_t);
};

class CBKClassParser:public AltParamParser,public BaseParser::ListElemParser{
  CAltParams *m_params;
public:
  void parse_alt_param(CAltParams *) throw (Fail *);
private:
  Fail *parse_list_elem(token_t);
};

class CDemoParser:public AltParamParser{
public:
  void parse_alt_param(CAltParams *) throw (Fail *);
};

class CWaitParser:public AltParamParser,public BaseParser::ListElemParser{
  CAltParams *m_params;
public:
  void parse_alt_param(CAltParams *) throw (Fail *);
private:
  Fail *parse_list_elem(token_t);
};

#endif
