#include "stdcfuf.h"
#include "p_control.hxx"

/////////////////////////////////////////////////////////////////////////////////
// ControlParser methods
//
CControl *ControlParser::parse_special() throw (Fail *)
{
  int balance=1;      // "(control " has already been read
  token_t token;
  string *stmt_portion = new string;

  m_control.reset(new CControl);
  
  while (g_pTheLexer->get(token)){          // get a token
    if (token==Delim::at){            // the token is @
      add_string(stmt_portion);         // add the string read so far to the control
      add_addr(BaseParser::parse_addr());// parse the address following @ and add it to the control
      stmt_portion = new string;        // start a new string portion
    }else{
      if (token==Delim::open_paren) ++balance;        // update the balance each time one of
      else if (token==Delim::close_paren) --balance;  // the two parentheses is met
      if (balance) (*stmt_portion) << token;    // if not finished yet - build on the string portion
      else{                             // reached the closing parenthesis - "(control ... )"
        if (stmt_portion->empty()){
          delete stmt_portion;          // dispose of the string portion if empty
          stmt_portion = 0;
        }else add_string(stmt_portion); // add it to the control otherwise
        g_pTheLexer->putback(token);        // return the closing parenthesis back to the token stream
        return m_control.release();     // we are done - finito
      }
    }
  }
  delete stmt_portion;
  throw new ParserFail();               // gets here in case of a failure
}
void ControlParser::add_string(string *str)
{
  m_control->m_stmt.push_back(str);     // add a string to the control
  m_control->m_chooser.push_back(true); // indicate so in the chooser
}
void ControlParser::add_addr(CAddr *addr)
{
  m_control->m_stmt.push_back(addr);    // add an address to the control
  m_control->m_chooser.push_back(false);// indicate so in the chooser
}
