#include "stdcfuf.h"
#include "p_cset.hxx"
#include <algo.h>

/////////////////////////////////////////////////////////////////////////////////
// CsetParser methods
//
CCset *CsetParser::parse_special() throw (Fail *)
{
  enum {START_,OPEN_PAREN_,PICK_,NEXT_,SPACE_,END_,ERROR_};
  token_t token;
  int state=START_;

  m_cset.reset(new CCset);
  while (state<END_ && (g_pTheLexer->get(token))){
    switch(state){
    case PICK_:
      if (token==Delim::ws);
      else{
        g_pTheLexer->putback(token);
        m_component =
          (token == Predefined::assign) ? &m_cset->m_abs :
          (token == Predefined::equal)  ? &m_cset->m_base :
          (token == Predefined::plus)   ? &m_cset->m_inc :
          (token == Predefined::minus)  ? &m_cset->m_dec : NULL;
        if (!m_component) throw new ParserFail();
        BaseParser::parse_list(this,true,false,token);
        state = SPACE_;
      }
      break;
    case SPACE_:
      if (token==Delim::ws) state=NEXT_;
      else state = (token==Delim::close_paren) ? END_ : ERROR_;
      break;
    case NEXT_:
      if (token==Delim::open_paren) state=PICK_;
      else state = (token==Delim::close_paren) ? END_ : ERROR_;
      break;
    case OPEN_PAREN_:
      if (token==Delim::ws);
      else if (token==Delim::open_paren) state=PICK_;
      else if (token==Delim::close_paren) state=END_;
      else{
        g_pTheLexer->putback(token);
        g_pTheLexer->putback(Delim::open_paren);
        m_component = &m_cset->m_abs;
        BaseParser::parse_list(this,true,false);
        state = END_;
      }
      break;
    case START_:
      if (token == Predefined::nil) state=END_;
      else if (token==Delim::open_paren) state=OPEN_PAREN_;
      else state = ERROR_;
      break;
    }
  }
  if (state!=END_) throw new ParserFail();
  return m_cset.release();
}
Fail *CsetParser::parse_list_elem(token_t first)
{
  g_pTheLexer->putback(first);
  m_component->push_back(BaseParser::parse_addr());
  return 0;
}
