#include "stdcfuf.h"
#include "p_pattern.hxx"
#include <algo.h>

/////////////////////////////////////////////////////////////////////////////////
// PatternParser methods
//
CPattern *PatternParser::parse_special() throw (Fail *)
{
  m_prev_dots = false;
  m_pattern.reset(new CPattern);
  BaseParser::parse_list(this,false,false);
  return m_pattern.release();
}
Fail *PatternParser::parse_list_elem(token_t first)
{
  static hCDots dots(new CDots);
  
  if (first == Predefined::dots){
    if (!m_prev_dots){
      m_pattern->push_back(dots);
      m_prev_dots=true;
    }
  }else{
    m_prev_dots=false;
    if (first==Delim::open_paren){
      token_t token;
      if (!g_pTheLexer->get(token) || token!=Delim::star ||
          !g_pTheLexer->get(token) || token!=Delim::ws) throw new ParserFail;
      m_pattern->push_back(new CMergeableAddr(BaseParser::parse_addr()));
      if (!g_pTheLexer->get(token) || token!=Delim::close_paren) throw new ParserFail;
      m_pattern->m_mergeable = true;
    }else{
      g_pTheLexer->putback(first);
      m_pattern->push_back(BaseParser::parse_addr());
    }
  }
  return 0;
}
