#ifndef _PARSER_TYPES_
#define _PARSER_TYPES_

#include "b_objects.hxx"

class CNormalTypeParser{
public:
  virtual ~CNormalTypeParser(){}
  virtual CType *parse() throw (Fail *) =0;
};

class CAtomTypeParser:public CNormalTypeParser{
  token_t m_token;
public:
  void set_token(token_t token){ m_token = token; }
  CType *parse() throw (Fail *);
};

// It is actually responsible for parsing all types of the form #(tag val)
// The major clients are under types, but it recognizes sunder and external
// types too.
class CUnderTypeParser:public CNormalTypeParser{
public:
  CType *parse() throw (Fail *);
};

class CQuotedTypeParser:public CNormalTypeParser{
public:
  CType *parse() throw (Fail *);
};

#endif
