#include "stdcfuf.h"
#include "b_altparams.hxx"
#include "p_altparams.hxx"
#include "b_debug_tracer.hxx"

////////////////////////////////////////////////////////////////////////////////
// CWaitParser methods
//
void CWaitParser::parse_alt_param(CAltParams *params) throw (Fail *)
{
  if (params->m_wait) already_registered(Predefined::wait);
  else{
    m_params = params;
    params->m_wait = new CWait;
    BaseParser::parse_list(this,false,true);
  }
}
Fail *CWaitParser::parse_list_elem(token_t token)
{
  if (token == Delim::open_paren){              // parse (addr type)
    hCType type;
    hCAddr addr;
    addr = BaseParser::parse_addr();            // parse the wait address
    if (!g_pTheLexer->get(token) || token != Delim::ws) throw new ParserFail;       // expect a white space 
    type = BaseParser::parse_type();            // parse the wait type
    if (type->nil()) throw new ParserFail;      // must not be nil
    if (type->any()) type = g_pTheEnv->given();     // fix the wait type, ANY to GIVEN
    if (!g_pTheLexer->get(token) || token != Delim::close_paren) throw new ParserFail; // expect the ')'
    addr->addReference();                       // prevent the handles from deleting the
    type->addReference();                       // respective pointers
    m_params->m_wait->push_back(CWaitElem(addr,type));  // save the wait expression
  }else{
    g_pTheLexer->putback(token);                    // parse addr (the type is implicitly defined as GIVEN)
    g_pTheEnv->nil()->addReference();               // update the reference count
    m_params->m_wait->push_back(CWaitElem(BaseParser::parse_addr(),g_pTheEnv->nil()));
  }
  return 0;
}
