#ifndef _TRACER_BRANCH_
#define _TRACER_BRANCH_

class CGrNode;
class CAltNode;
class CPatAltNode;
class CPatBranchNode;
class CWaitElem;
class EdgeList;
class CFDBuilder;

struct BranchInfo{
  CGrNode*& m_cur_branch;
  explicit BranchInfo(CGrNode*& cur_branch):m_cur_branch(cur_branch){}
};

////////////////////////////////////////////////////////////////////////
// Responsible for tracing of branch traversal
struct Tracer_l2{
  static void init(BranchInfo *binfo);
  static void accept_b();
  static void fail_b();
  static void success_b(CGrNode *branch);
  static void bkprune_b();
  static void report_failure(Fail *);
  static void report_wait(const CWaitElem *,CFDBuilder *);
  static void freeze_b(CAltNode *alt);
  static void melt_b(EdgeList *elist,CAltNode *alt);
  static void unmelt_b(CAltNode *alt);
  static void unfreeze_b(CAltNode *alt);
  static void scanfreezer_b(bool bForceUnmelt);
private:
  static void wt_msg_b(char *status,CAltNode *alt);
  static void msg_b(char *status,CAltNode *alt,int brank,char *prompt);
  static void msg_pat_b(char *status,CPatAltNode *alt,CPatBranchNode *branch,char *prompt);
private:
  static auto_ptr<BranchInfo> m_binfo;
};

#endif
