#include "stdcfuf.h"
#include "c_fdnode.hxx"
#include "c_grnode.hxx"
#include "c_fdnode2path.hxx"
#include "t_cmd.hxx"
#include "t_base.hxx"
#include "c_special.hxx"
#include "b_debug_tracer.hxx"

/////////////////////////////////////////////////////////////////////////////////
// Tracer_l3 methods
//
void Tracer_l3::new_node(const hCType& type,CFDNode *node)
{
  if (type->nil() || type->internal()) return;
  // DEBUGPOINT;
  // type.dump();
  Formatter::prompt(' ',"",5);
  (*g_pTheOutput) << "Adding a node <" << type->toString() << "> at " << Node2Path::get_abs_path(node) << ENDL;
  // DEBUGPOINT;
}
void Tracer_l3::update_node(const hCType& prev,const hCType& type,CFDNode *node)
{
  if (prev->nil()) new_node(type,node);
  else if (prev->special() || !prev->is_equal(type)){
    Formatter::prompt(' ',"",5);
    (*g_pTheOutput) << "Updating a node at " << Node2Path::get_abs_path(node) << " from <"
                << prev->toString() << "> to <" << type->toString() << ">\n";
  }
}
void Tracer_l3::merge_nodes(CFDNode *node1,CFDNode *node2)
{
  Formatter::prompt(' ',"",5);
  (*g_pTheOutput) << "Merging paths " << Node2Path::get_abs_path(node1) << " and "
              << Node2Path::get_abs_path(node2) << ENDL;
}
void Tracer_l3::special_unify(CType *type,CMyObject *obj)
{
  CSpecial *special = cast<CSpecial>(type);
  assert(special);
  Formatter::prompt(' ',"",5);
  (*g_pTheOutput) << "Unifying " << special->feature() << "s <" << type->toString() << "> and <" << obj << ">\n";
}
