#ifdef WIN32
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#endif
#include "timer.hxx"

////////////////////////////////////////////////////////////////////////////////
// CTimer methods

#ifdef WIN32
void CTimer::Go()   
{
	UFileTime dummyTime;
	GetThreadTimes(GetCurrentThread(),&dummyTime,&dummyTime,&m_kernelTimeStart,&m_userTimeStart);
	_ftime(&m_start);
}
void CTimer::Stop()
{
	UFileTime dummyTime,kernelTimeEnd,userTimeEnd;
	struct _timeb end;
	GetThreadTimes(GetCurrentThread(),&dummyTime,&dummyTime,&kernelTimeEnd,&userTimeEnd);
	_ftime(&end);

	UFileTime diffTime = kernelTimeEnd + userTimeEnd - m_kernelTimeStart - m_userTimeStart;
	m_run.last = long(diffTime.quadPart/10000);
	m_run.total += m_run.last;

	m_real.last = (end.time - m_start.time) * 1000 + (end.millitm - m_start.millitm);
	m_real.total += m_real.last;
}
#else
void CTimer::Go()   
{
	m_real.last = -times(&m_start); 
}
void CTimer::Stop()
{
	struct tms end;
	m_real.last += times(&end);
	m_real.total += m_real.last;

	m_run.last = end.tms_utime + end.tms_stime - m_start.tms_utime - m_start.tms_stime;
	m_run.total += m_run.last;
}
#endif
