#ifndef _UNIFY_BTRV_
#define _UNIFY_BTRV_

// #define NO_WAIT

#include "u_base.hxx"
#include <stack.h>

class CFDNode;
class CGrNode;
class CAltNode;
class CPatAltNode;
class CFD;
class CGrammar;

class CBranchTraversor{
  struct BranchDone{
    CGrNode *branch;
    CFDNode *inode;
    BranchDone(CGrNode *_branch,CFDNode *_inode):branch(_branch),inode(_inode){}
  };
private:
  CFD *m_fd;
  CGrNode *m_top_alt;           // the traversal is limited to the grammar part lying under m_top_alt
  stack<BranchDone> m_done_stack;
  CGrNode *m_cur_branch;        // the branch being now traversed
  CFDNode *m_cur_inode;         // the node located at the index address in this branch
public:
  CBranchTraversor(CFD *fd,CGrNode *top_branch);
  ustatus_t proceed();
  ustatus_t retreat();
#ifndef NO_WAIT
  ustatus_t freeze();
#endif
  void wake_up();
  void ungo_loc() const;
  CGrNode *cur_branch() const   { return m_cur_branch; }
  CGrNode *top_alt() const      { return m_top_alt; }
private:
  ustatus_t set_branch(CGrNode *branch);
  ustatus_t accept(CGrNode *alt);
  ustatus_t go_indexed(CGrNode *branch);
  ustatus_t accept_pattern(CPatAltNode *pat_alt);
  ustatus_t try_brother();
  ustatus_t fail_cur_alt();
  void prev2cur();
};

#endif
