#ifndef _UNIFY_FD_
#define _UNIFY_FD_

#include "c_extfd.hxx"
#include "u_base.hxx"

class CGrNode;
class CBranchNode;
class CAltNode;
class CCmd;

class CFDExtra{
public:
  virtual ~CFDExtra(){}
};

class CFD:public CExtFD{
  friend class CMarkFDPos;
  friend struct FDManip;
public:
  CFD():extra(0){}
  ~CFD(){ delete extra; }
  ret::utype_t AddPattern(const hCPattern& pattern);
  void go_constituent_loc(const EdgeList *elist);
  void ungo_constituent_loc(const EdgeList *elist);
  CFDNode *go_alt_loc(CGrNode *alt);
  void ungo_alt_loc(CGrNode *alt);
  bool index_matches(CBranchNode *branch,const hCType& inode_type);
  void start_unify();
  void end_unify(bool ok);
  bool is_wait_satisfied(CAltNode *alt,CFDNode *node);
  // node stack accessors and modifiers
  void push_node(CFDNode *node) { m_stack.push(node,Predefined::null); }
  void pop_node()               { m_stack.pop(); }
  CFDNode *top_node() const     { return m_stack.topnode(); }
  int balance() const           { return m_stack.balance(); }
  void set_base(CFDNode *node);
public:
  CFDExtra *extra;  // user hook for associating extra information with the fd
private:
  void descent(const EdgeList *elist);
  void ascent(const EdgeList *elist);
};

class CMarkFDPos{
  CFD *m_fd;
  int m_balance;
public:
  explicit CMarkFDPos(CFD *fd):m_fd(fd),m_balance(fd->balance()){}
  ~CMarkFDPos(){ restore(); }
  void restore(){
    while (m_balance!=m_fd->balance()) m_fd->LeaveSubgraph();
  }
};

#endif
