:pa ff
:cd /home/mark/thesis/cfuf/front-end/lisp/.test
(require 'foreign)

(defun initialize ()
  (def-c-type (fuf-entity :no-defuns) :struct (nil :unsigned-int) (nil :unsigned-int))

  (defforeign 'register-lcb :entry-point "RegisterLCB" :arguments '(fixnum fixnum fixnum) :return-type :void)
  (defforeign 'delete-fuf-entity :entry-point "DeleteFUFEntity" :arguments '(:lisp) :return-type :void)

  (defun-c-callable lcb-construct-fuf-entity ()
    (let ((fuf-entity (make-fuf-entity)))
      (schedule-finalization fuf-entity 'delete-fuf-entity)
      fuf-entity))
  
  (defun-c-callable lcb-error ((msg :unsigned-long))
    (error (char*-to-string msg)))
  
  (defun-c-callable lcb-defprimitive ((sz-lisp-name :unsigned-long) (sz-c-name :unsigned-long) (nargs :fixnum))
    (let ((lisp-name (eval (read-from-string (char*-to-string sz-lisp-name))))
          (c-name (char*-to-string sz-c-name))
          (arglist (make-list nargs :initial-element :lisp)))
      (defforeign lisp-name :entry-point c-name :arguments arglist :return-type :void)))

  (apply #'register-lcb (maplist #'(lambda (lcb-func-name) (cadr (multiple-value-list (register-function lcb-func-name))))
                                 '(lcb-construct-fuf-entity
                                   lcb-error
                                   lcb-defprimitive)))
  )

(defun aaa ()
  (defforeign 'construct-a :entry-point "ConstructA" :arguments '(integer double-float) :return-type :lisp)
  )

(progn (load "test.so") (initialize) (aaa))
(setq a (construct-a 100 1.5d0))

(setq wv (weak-vector 1))
(setf (aref wv 0) a)

(setq a nil)
