:pa ff
(require 'foreign)

(defun initialize ()
  (def-c-type (fuf-entity :no-defuns) :struct (nil :unsigned-int) (nil :unsigned-int))

  (defforeign 'delete-fuf-entity :entry-point "DeleteFUFEntity" :arguments '(:lisp) :return-type :void)
  (defforeign 'final-cfuf :entry-point "CFUF_Final" :arguments nil :return-type :void)
  (defforeign 'init-cfuf :entry-point "CFUF_Initialize" :arguments nil :return-type :void)
  
  (defun-c-callable lcb-construct-fuf-entity ()
    (let ((fuf-entity (make-fuf-entity)))
      (schedule-finalization fuf-entity 'delete-fuf-entity)
      fuf-entity))
  
  (defun-c-callable lcb-error ((caller :unsigned-long) (exp :lisp))
    (if exp
        (error "~s: ~s~%" (char*-to-string caller) exp)
        (error "~s~%" (char*-to-string caller))))
  
  (defun-c-callable lcb-make-inv-expr-msg ((exp :lisp))
    (format nil "Invalid fuf expression: ~s" exp))

  (defun-c-callable lcb-eval-str ((exp :unsigned-long))
    (eval (read-from-string (char*-to-string exp))))

  (defun-c-callable lcb-cons ((car :lisp) (cdr :lisp))
    (cons car cdr))

  (defun-c-callable lcb-cons-pair-to-list ((car :lisp) (cdr :lisp) (lst :lisp))
    (cons (list car cdr) lst))

  (defun-c-callable lcb-defprimitive ((sz-lisp-name :unsigned-long) (sz-c-name :unsigned-long) (nargs :fixnum))
    (let ((lisp-name (eval (read-from-string (concatenate 'string "'" (char*-to-string sz-lisp-name)))))
          (c-name (char*-to-string sz-c-name))
          (arglist (make-list nargs :initial-element :lisp)))
      (defforeign lisp-name :entry-point c-name :arguments arglist :return-type :void)))

  (funcall #'(lambda (lcb-func-list)
               (defforeign 'register-lcb
                 :entry-point "RegisterLCB"
                 :arguments (make-list (length lcb-func-list) :initial-element 'fixnum)
                 :return-type :void)
               (apply #'register-lcb (maplist #'(lambda (lcb-func-name) (cadr (multiple-value-list (register-function lcb-func-name))))
                                              lcb-func-list)))
           '(lcb-construct-fuf-entity
             lcb-error
             lcb-make-inv-expr-msg
             lcb-eval-str
             lcb-cons
             lcb-cons-pair-to-list
             lcb-defprimitive)))
  
  (init-cfuf)
  )
