#ifndef __SCM_AUX__
#define __SCM_AUX__

#include "scheme.h"
#include "cpp2c.h"
#include "b_objects.hxx"

class CFUFGrammar;
class CFUFFD;

struct ScmAux{
  static CFUFGrammar *scm2gr(SCM scm_gr,int nArg,char *szCaller);
  static SCM gr2scm(CFUFGrammar *pGrammar);
  
  static CFUFFD *scm2fd(SCM scm_fd,int nArg,char *szCaller);
  static SCM fd2scm(CFUFFD *pFD);
  
  static token_t scm2token(SCM scm_obj,int nArg,char *szCaller);
  static SCM token2scm(token_t);
  static SCM type2scm(CType *);
  static SCM str2scm(string);

  static void scm2elist(EdgeList& rLstTokens,SCM scm_lstTokens,int nArg,char *szCaller);
  static SCM elist2scm(const EdgeList& elist);

  struct Cleanup{
    virtual ~Cleanup(){}
    virtual void Perform(){}
  };
  static SCM Failed(char *who,Fail *e,Cleanup& cleanup = s_defClean);

  // static void gc(double weight);
private:
  static Cleanup s_defClean;
};

#define DECLARE_STRING(Module,Name) extern char *sz##Module##Name
#define MAKE_SUBR(I,Module,Name)           __MAKE_SUBR(I,tc7_subr_,I,Module,Name)
#define MAKE_SUBR_TYPE(I,Args,Module,Name) __MAKE_SUBR(I,tc7_subr_,Args,Module,Name)
#define __MAKE_SUBR(I,TypeHead,TypeTail,Module,Name) MakeSubr##I(sz##Module##Name,TypeHead##TypeTail,Scm##Module::Name)

#define DECLARE_METHOD0(Name) static SCM Name()
#define DECLARE_METHOD1(Name) static SCM Name(SCM)
#define DECLARE_METHOD2(Name) static SCM Name(SCM,SCM)
#define DECLARE_METHOD3(Name) static SCM Name(SCM,SCM,SCM)

#endif
