#include "stdrun.h"
#include "cfuf_bkclass.hxx"

DECLARE_STRING(BKClass,Clear);
DECLARE_STRING(BKClass,GetCount);
DECLARE_STRING(BKClass,GetCapacity);
DECLARE_STRING(BKClass,Define);

struct ScmBKClass{
  DECLARE_METHOD0(Clear);
  DECLARE_METHOD0(GetCount);
  DECLARE_METHOD0(GetCapacity);
  DECLARE_METHOD2(Define);
};

void PlugBKClass()
{
  MAKE_SUBR(0,BKClass,Clear);
  MAKE_SUBR(0,BKClass,GetCount);
  MAKE_SUBR(0,BKClass,GetCapacity);
  MAKE_SUBR(2,BKClass,Define);
}
/////////////////////////////////////////////////////////////////////////////////
// ScmBKClass methods
//
SCM ScmBKClass::Define(SCM scm_feature,SCM scm_lstBKClasses)
{
  token_t feature = ScmAux::scm2token(scm_feature,ARG1,szBKClassDefine);
  TokenList lstBKClasses;
  ScmAux::scm2elist(lstBKClasses,scm_lstBKClasses,ARG2,szBKClassDefine);

  if (token_t bkclass = CFUFBKClass::Define(feature,lstBKClasses)){
    (*g_pTheOutput) << szBKClassDefine << ": failed to create bkclass " << bkclass << " ("
                    << long(CFUFBKClass::GetCapacity()) << " bkclasses already)\n";
    return BOOL_F;
  }
  return BOOL_T;
}
SCM ScmBKClass::Clear()
{
  CFUFBKClass::Clear();
  return UNSPECIFIED;
}
SCM ScmBKClass::GetCount()
{
  return MAKINUM(CFUFBKClass::GetCount());
}
SCM ScmBKClass::GetCapacity()
{
  return MAKINUM(CFUFBKClass::GetCapacity());
}
