#include "stdrun.h"
#include "cfuf_misc.hxx"

DECLARE_STRING(Misc,GetCategoriesNotUnified);
DECLARE_STRING(Misc,RegisterCategoriesNotUnified);
DECLARE_STRING(Misc,UnregisterCategoriesNotUnified);

DECLARE_STRING(Misc,PathSplit);
DECLARE_STRING(Misc,CorrectGiven);
DECLARE_STRING(Misc,Silent);
DECLARE_STRING(Misc,TraceLevel);
DECLARE_STRING(Misc,ULimit);

struct ScmMisc{
  DECLARE_METHOD0(GetCategoriesNotUnified);
  DECLARE_METHOD1(RegisterCategoriesNotUnified);
  DECLARE_METHOD1(UnregisterCategoriesNotUnified);

  DECLARE_METHOD1(PathSplit);
  DECLARE_METHOD1(CorrectGiven);
  DECLARE_METHOD1(Silent);
  DECLARE_METHOD1(TraceLevel);
  DECLARE_METHOD1(ULimit);
};

void PlugMisc()
{
  MAKE_SUBR(0,Misc,GetCategoriesNotUnified);
  MAKE_SUBR(1,Misc,RegisterCategoriesNotUnified);
  MAKE_SUBR_TYPE(1,1o,Misc,UnregisterCategoriesNotUnified);

  MAKE_SUBR_TYPE(1,1o,Misc,PathSplit);
  MAKE_SUBR_TYPE(1,1o,Misc,CorrectGiven);
  MAKE_SUBR_TYPE(1,1o,Misc,Silent);
  MAKE_SUBR_TYPE(1,1o,Misc,TraceLevel);
  MAKE_SUBR_TYPE(1,1o,Misc,ULimit);
}
/////////////////////////////////////////////////////////////////////////////////
// ScmMisc methods
//
SCM ScmMisc::PathSplit(SCM scm_bOn)
{
  if (scm_bOn==UNDEFINED) return CFUFMisc::IsPathSplitEnabled() ? BOOL_T : BOOL_F;
  CFUFMisc::EnablePathSplit(scm_bOn != BOOL_F);
  return UNSPECIFIED;
}
SCM ScmMisc::CorrectGiven(SCM scm_bOn)
{
  if (scm_bOn==UNDEFINED) return CFUFMisc::IsCorrectGivenEnabled() ? BOOL_T : BOOL_F;
  CFUFMisc::EnableCorrectGiven(scm_bOn != BOOL_F);
  return UNSPECIFIED;
}
SCM ScmMisc::Silent(SCM scm_bOn)
{
  if (scm_bOn==UNDEFINED) return CFUFMisc::IsSilent() ? BOOL_T : BOOL_F;
  CFUFMisc::SetSilent(scm_bOn != BOOL_F);
  return UNSPECIFIED;
}
SCM ScmMisc::TraceLevel(SCM scm_level)
{
  if (scm_level==UNDEFINED) return MAKINUM(CFUFMisc::GetTraceLevel());
  CFUFMisc::SetTraceLevel(num2long(scm_level,(char *)ARG1,szMiscTraceLevel));
  return UNSPECIFIED;
}
SCM ScmMisc::ULimit(SCM scm_limit)
{
  if (scm_limit==UNDEFINED) return MAKINUM(CFUFMisc::GetULimit());
  CFUFMisc::SetULimit(num2ushort(scm_limit,(char *)ARG1,szMiscULimit));
  return UNSPECIFIED;
}
SCM ScmMisc::RegisterCategoriesNotUnified(SCM scm_lstCategories)
{
  ASSERT(NIMP(scm_lstCategories) && CONSP(scm_lstCategories),scm_lstCategories,ARG1,
         szMiscRegisterCategoriesNotUnified);
  TokenList lstCategories;
  ScmAux::scm2elist(lstCategories,scm_lstCategories,ARG1,szMiscRegisterCategoriesNotUnified);
  
  CFUFMisc::RegisterCategoriesNotUnified(lstCategories);
  return UNSPECIFIED;
}
SCM ScmMisc::UnregisterCategoriesNotUnified(SCM scm_lstCategories)
{
  if (scm_lstCategories == UNDEFINED){
    CFUFMisc::UnregisterCategoriesNotUnified();
  }else{
    ASSERT(NIMP(scm_lstCategories) && CONSP(scm_lstCategories),scm_lstCategories,ARG1,
           szMiscUnregisterCategoriesNotUnified);
    TokenList lstCategories;
    ScmAux::scm2elist(lstCategories,scm_lstCategories,ARG1,szMiscUnregisterCategoriesNotUnified);
    
    CFUFMisc::UnregisterCategoriesNotUnified(lstCategories);
  }
  return UNSPECIFIED;
}
SCM ScmMisc::GetCategoriesNotUnified()
{
  TokenList lstCategories;
  CFUFMisc::GetCategoriesNotUnified(lstCategories);
  return ScmAux::elist2scm(lstCategories);
}
