#include "stdrun.h"
#include "cfuf_typehier.hxx"

DECLARE_STRING(Typehier,Clear);
DECLARE_STRING(Typehier,GetCapacity);
DECLARE_STRING(Typehier,GetCount);
DECLARE_STRING(Typehier,Realize);
DECLARE_STRING(Typehier,Reset);
DECLARE_STRING(Typehier,Define);
DECLARE_STRING(Typehier,GetGLB);

struct ScmTypehier{
  DECLARE_METHOD0(Clear);
  DECLARE_METHOD0(GetCapacity);
  DECLARE_METHOD0(GetCount);
  DECLARE_METHOD0(Realize);
  DECLARE_METHOD1(Reset);
  DECLARE_METHOD2(Define);
  DECLARE_METHOD2(GetGLB);
};

void PlugTypehier()
{
  MAKE_SUBR(0,Typehier,Clear);
  MAKE_SUBR(0,Typehier,GetCapacity);
  MAKE_SUBR(0,Typehier,GetCount);
  MAKE_SUBR(0,Typehier,Realize);
  MAKE_SUBR_TYPE(1,1o,Typehier,Reset);
  MAKE_SUBR(2,Typehier,Define);
  MAKE_SUBR(2,Typehier,GetGLB);
}
/////////////////////////////////////////////////////////////////////////////////
// ScmTypehier methods
//
SCM ScmTypehier::Define(SCM scm_parent,SCM scm_lstChildren)
{
  ASSERT(NIMP(scm_lstChildren) && CONSP(scm_lstChildren), scm_lstChildren, ARG2, szTypehierDefine);
  token_t parent = ScmAux::scm2token(scm_parent,ARG1,szTypehierDefine);
  TokenList lstChildren;
  ScmAux::scm2elist(lstChildren,scm_lstChildren,ARG2,szTypehierDefine);

  if (Fail *f = CFUFTypehier::Define(parent,lstChildren))
    return ScmAux::Failed(szTypehierDefine,f);
  
  return BOOL_T;
}
SCM ScmTypehier::Reset(SCM scm_nMaxTypes)
{
  if (scm_nMaxTypes == UNDEFINED) CFUFTypehier::Reset();
  else{
    ASSERT(INUMP(scm_nMaxTypes) && INUM(scm_nMaxTypes) >= 0, scm_nMaxTypes, ARG1, szTypehierReset);
    CFUFTypehier::Reset(INUM(scm_nMaxTypes));
  }
  return UNSPECIFIED;
}
SCM ScmTypehier::Realize()
{
  CFUFTypehier::Realize();
  return UNSPECIFIED;
}
SCM ScmTypehier::Clear()
{
  CFUFTypehier::Clear();
  return UNSPECIFIED;
}
SCM ScmTypehier::GetCount()
{
  return MAKINUM(CFUFTypehier::GetCount());
}
SCM ScmTypehier::GetCapacity()
{
  return MAKINUM(CFUFTypehier::GetCapacity());
}
SCM ScmTypehier::GetGLB(SCM scm_token1,SCM scm_token2)
{
  token_t token1 = ScmAux::scm2token(scm_token1,ARG1,szTypehierGetGLB);
  token_t token2 = ScmAux::scm2token(scm_token2,ARG2,szTypehierGetGLB);
  
  ret::utoken_t glb = CFUFTypehier::GetGLB(token1,token2);
  if (glb.fail) return ScmAux::Failed(szTypehierGetGLB,glb.fail);
  return ScmAux::token2scm(glb.val);
}
