#include <stdio.h>
#include <string.h>
#include <stdlib.h>

typedef int bool;
enum {false,true};

#define IS_PATH_DELIM(c) (c == '\\' || c == '/')
#define TAG		"path"
#define TAGLEN	sizeof(TAG) - 1
#define MAX_BUF_SIZE 1000

void OutputPath(char **pszPath);

char *g_szProgName;

main(int argc,char *argv[])
{
	int i;

	g_szProgName = *argv;

	for (i = 1;i < argc; ++i)
	{
		char *ptr = argv[i];
		while (*ptr)
		{
			if (*ptr == '@')
			{
				char szTag[TAGLEN + 1];
				memset(szTag,0,sizeof(szTag));

				strncpy(szTag,++ptr,TAGLEN);
				if (strncmp(szTag,TAG,TAGLEN) == 0)
				{
					ptr+=TAGLEN;
					OutputPath(&ptr);
				}
				else
				{
					putchar('@');
					fputs(szTag,stdout);
					ptr+=strlen(szTag);
				}
			}
			else
			{
				putchar(*ptr++);
			}
		}
		if (i != argc - 1)
		{
			putchar(' ');
		}
	}
}
void OutputPath(char **pszPath)
{
	char szBuf[MAX_BUF_SIZE];
	char *szCurPtr = szBuf;
	const char *szEndPtr = szBuf + MAX_BUF_SIZE;

	if (**pszPath == '"')
	{
		++(*pszPath);
	}

	while (**pszPath && **pszPath != '@' && szCurPtr < szEndPtr)
	{
		if (IS_PATH_DELIM(**pszPath))
		{
			if ((*pszPath)[1] == '.' && (*pszPath)[2] == '.')
			{
				while (szCurPtr > szBuf && *szCurPtr != '\\') --szCurPtr;
				if (*szCurPtr == '\\') --szCurPtr;
				*szCurPtr = '\0';
				(*pszPath)+=2;
			}
			else
			{
				*szCurPtr++ = '\\';
				if (szCurPtr == szEndPtr)
				{
					--szCurPtr;
				}
				*szCurPtr++ = '\\';
			}
		}
		else
		{
			*szCurPtr++ = **pszPath;
		}
		++(*pszPath);
	}
	*szCurPtr = '\0';

	if (**pszPath != '@')
	{
		if (szCurPtr == szEndPtr)
		{
			fprintf(stderr,"%s: a path must not exceed %d characters in length!\n",g_szProgName,MAX_BUF_SIZE);
		}
		else
		{
			fprintf(stderr,"%s: end-of-path marker is missing!\n",g_szProgName);
		}
		exit(1);
	}

	++(*pszPath);

	if (szCurPtr > szBuf && szCurPtr[-1] == '"')
	{
		szCurPtr[-1] = '\0';
	}

	putchar('"');
	fputs(szBuf,stdout);
	putchar('"');
}
