#include <stdio.h>
#include <string.h>

typedef int bool;
enum {false,true};

#define MAX_CMD_SIZE 1000

bool MergeCmdLine(char szCmd[],int argc,char *argv[]);
bool ExecuteAndStripNewLine(char szCmd[]);

main(int argc,char *argv[])
{
	bool bOK = true;

	if (argc > 1)
	{
		char szCmd[MAX_CMD_SIZE];
		bOK = MergeCmdLine(szCmd,argc,argv) && ExecuteAndStripNewLine(szCmd);
	}
	return bOK ? 0 : 1;
}
bool MergeCmdLine(char szCmd[],int argc,char *argv[])
{
	char *szPtr = szCmd;
	const char *szPtrEnd = szCmd + MAX_CMD_SIZE;
	int i;

	for (i = 1; i < argc; ++i)
	{
		int nArgLen = strlen(argv[i]);
		if (szPtr + nArgLen + 1 >=  szPtrEnd)
		{
			fprintf(stderr,"%s: command line is too long!\n",argv[0]);
			return false;
		}
		memcpy(szPtr,argv[i],nArgLen);
		szPtr += nArgLen;
		*szPtr++ = ' ';
	}
	*--szPtr = '\0';

	return true;
}
bool ExecuteAndStripNewLine(char szCmd[])
{
	char szCmdOutput[512];
	FILE *pfileCmdOutput = _popen(szCmd,"rb");
	bool bReadNewLine = false;
	long nPrevPos,nNewLinePos;

	if (!pfileCmdOutput)
	{
		return false;
	}

	while(!feof(pfileCmdOutput))
	{
		nPrevPos = ftell(pfileCmdOutput);
		if (fgets(szCmdOutput, sizeof(szCmdOutput), pfileCmdOutput))
		{
			if (bReadNewLine)
			{
				putchar(' ');
				bReadNewLine = false;
			}
			nNewLinePos = ftell(pfileCmdOutput) - nPrevPos - 1;
			if (bReadNewLine = (szCmdOutput[nNewLinePos] == '\n'))
			{
				if (szCmdOutput[nNewLinePos - 1] == '\r')
				{
					--nNewLinePos;
				}
				szCmdOutput[nNewLinePos] = '\0';
			}
			fputs(szCmdOutput,stdout);
		}
	}
	
	_pclose(pfileCmdOutput);
	return true;
}
